From a7fc9eebc82e0978ada89754593a3ced036884a6 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Thu, 18 Jun 2015 07:32:22 -0400
Subject: [PATCH] src/interp/br-con.lisp common lisp cleanup

Goal: move toward Common Lisp, rewrite compiler output
---
 changelog                       |    6 +
 patch                           |    5 +-
 src/axiom-website/patches.html  |    6 +-
 src/interp/br-con.lisp.pamphlet | 2305 +++++++++++++++++++--------------------
 4 files changed, 1160 insertions(+), 1162 deletions(-)

diff --git a/changelog b/changelog
index 41ca0f8..6456102 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20150618 tpd src/axiom-website/patches.html 20150618.01.tpd.patch 
+20150618 tpd src/interp/br-con.lisp common lisp cleanup
+20150603 tpd src/axiom-website/patches.html 20150603.01.tpd.patch 
+20150603 tpd books/bookvol9 remove lispelt
+20150603 tpd books/bookvol5 remove lispelt
+20150603 tpd src/interp/vmlisp.lisp remove lispelt
 20150602 tpd src/axiom-website/patches.html 20150602.01.tpd.patch 
 20150602 tpd books/bookvol5 remove lasttail
 20150602 tpd src/interp/i-spec1.lisp remove lasttail
diff --git a/patch b/patch
index e54da4e..e3bd821 100644
--- a/patch
+++ b/patch
@@ -1,5 +1,6 @@
-src/interp/vmlisp.lisp remove lasttail
+src/interp/br-con.lisp common lisp cleanup
+
+Goal: move toward Common Lisp, rewrite compiler output
 
-Goal: Remove MACLISP, move toward Common Lisp
 
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 16a5e8b..227dc74 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -5079,7 +5079,11 @@ src/interp/vmlisp.lisp remove KAR, KDR, KADR, KADDR macros<br/>
 <a href="patches/20150527.01.tpd.patch">20150527.01.tpd.patch</a>
 books/bookvol5 move PLACEP VMREAD to Algebra support section<br/>
 <a href="patches/20150602.01.tpd.patch">20150602.01.tpd.patch</a>
-src/interp/vmlisp remove lasttail
+src/interp/vmlisp remove lasttail<br/>
+<a href="patches/20150603.01.tpd.patch">20150603.01.tpd.patch</a>
+src/interp/vmlisp.lisp remove lispelt<br/>
+<a href="patches/20150618.01.tpd.patch">20150618.01.tpd.patch</a>
+src/interp/br-con.lisp common lisp cleanup<br/>
  </body>
 </html>
 
diff --git a/src/interp/br-con.lisp.pamphlet b/src/interp/br-con.lisp.pamphlet
index f71007f..9eed143 100644
--- a/src/interp/br-con.lisp.pamphlet
+++ b/src/interp/br-con.lisp.pamphlet
@@ -18,26 +18,24 @@
 ;  --positions for tick(1), dashes(2), and address(9), i.e. 12
 ;  TERPRI $outStream
 
-(defun |writedb| (|u|)
+(defun |writedb| (u)
   (declare (special |$outStream|))
-  (COND
-    ((NULL (STRINGP |u|)) NIL)
-    ('T (PRINC (|addPatchesToLongLines| |u| 500) |$outStream|)
-     (TERPRI |$outStream|))))
+  (cond
+    ((null (stringp u)) nil)
+    (t (princ (|addPatchesToLongLines| u 500) |$outStream|)
+     (terpri |$outStream|))))
 
 ;addPatchesToLongLines(s,n) ==
 ;  #s > n => STRCONC(SUBSTRING(s,0,n),
 ;              addPatchesToLongLines(STRCONC('"--",SUBSTRING(s,n,nil)),n))
 ;  s
 
-(defun |addPatchesToLongLines| (|s| |n|)
-  (COND
-    ((> (|#| |s|) |n|)
-     (STRCONC (SUBSTRING |s| 0 |n|)
-              (|addPatchesToLongLines|
-                  (STRCONC "--" (SUBSTRING |s| |n| NIL))
-                  |n|)))
-    ('T |s|)))
+(defun |addPatchesToLongLines| (s n)
+ (cond
+  ((> (|#| s) n)
+    (strconc (substring s 0 n)
+      (|addPatchesToLongLines| (strconc "--" (substring s n nil)) n)))
+  (t s)))
 
 ;checkCommentsForBraces(kind,sop,sigpart,comments) ==
 ;  count := 0
@@ -56,17 +54,17 @@
 ;    sayBrightly ['"(",$conname,'" documentation) missing right brace--> ",:tail]
 ;  if count ^= 0 or missingLeft then pp comments
 
-(defun |checkCommentsForBraces| (|kind| |sop| |sigpart| |comments|)
-  (PROG (|c| |count| |missingLeft| |tail|)
+(defun |checkCommentsForBraces| (kind sop sigpart comments)
+  (PROG (|c| |count| missingLeft |tail|)
   (declare (special |$conname|))
     (RETURN
       (SEQ (PROGN
              (setq |count| 0)
-             (DO ((G168430 (MAXINDEX |comments|))
+             (DO ((G168430 (MAXINDEX comments))
                   (|i| 0 (QSADD1 |i|)))
                  ((QSGREATERP |i| G168430) NIL)
                (SEQ (EXIT (PROGN
-                            (setq |c| (ELT |comments| |i|))
+                            (setq |c| (ELT comments |i|))
                             (COND
                               ((BOOT-EQUAL |c| #\{)
                                (setq |count| (+ |count| 1)))
@@ -75,20 +73,20 @@
                                         (- |count| 1))
                                (COND
                                  ((MINUSP |count|)
-                                  (setq |missingLeft| 'T)))))))))
+                                  (setq missingLeft t)))))))))
              (COND
-               ((OR (MINUSP |count|) |missingLeft|)
+               ((OR (MINUSP |count|) missingLeft)
                 (setq |tail|
                          (COND
-                           ((BOOT-EQUAL |kind| '|attribute|)
-                            (CONS |sop|
+                           ((BOOT-EQUAL kind '|attribute|)
+                            (CONS sop
                                   (CONS "("
-                                        (CONS |sigpart|
+                                        (CONS sigpart
                                          (CONS ")" NIL)))))
-                           ('T
-                            (CONS |sop|
+                           (t
+                            (CONS sop
                                   (CONS ": "
-                                        (CONS |sigpart| NIL))))))
+                                        (CONS sigpart NIL))))))
                 (|sayBrightly|
                     (CONS "("
                           (CONS |$conname|
@@ -102,9 +100,9 @@
                                 (CONS                                      " documentation) missing right brace--> "
                                       |tail|))))))
              (COND
-               ((OR (NEQUAL |count| 0) |missingLeft|)
-                (|pp| |comments|))
-               ('T NIL)))))))
+               ((OR (NEQUAL |count| 0) missingLeft)
+                (|pp| comments))
+               (t NIL)))))))
 
 ;dbAugmentConstructorDataTable() ==
 ;  instream := MAKE_-INSTREAM '"libdb.text"
@@ -135,7 +133,7 @@
                                      (INTERN (|dbName| |line|)))
                             (COND
                               ((setq |entry|
-                                        (|getCDTEntry| |cname| 'T))
+                                        (|getCDTEntry| |cname| t))
                                (PROGN
                                  (setq |name| (CAR |entry|))
                                  (setq |abb| (CADR |entry|))
@@ -151,7 +149,7 @@
                                     (RPLACD (CDR |entry|)
                                      (PUTALIST (CDDR |entry|)
                                       '|constructorArgs| |args|)))
-                                   ('T NIL)))))))))
+                                   (t NIL)))))))))
              '|done|)))))
 
 ;dbHasExamplePage conname ==
@@ -176,7 +174,7 @@
         (COND
           ((|isExistingFile| |pathname|)
            (INTERN (STRCONC |sname| "XmpPage")))
-          ('T NIL))))))
+          (t NIL))))))
 
 ;dbReadComments(n) ==
 ;  n = 0 => '""
@@ -197,7 +195,7 @@
     (RETURN
       (SEQ (COND
              ((EQL |n| 0) "")
-             ('T
+             (t
               (setq |instream|
                        (MAKE-INSTREAM
                            (STRCONC (|getEnv| "AXIOM")
@@ -275,7 +273,7 @@
 
 (defun |dbSplitLibdb| ()
   (PROG (|instream| |outstream| |comstream| |line| |outP| |comP|
-            |LETTMP#1| |prefix| |comments|)
+            |LETTMP#1| |prefix| comments)
   (declare (special |$tick|))
     (RETURN
       (SEQ (PROGN
@@ -298,20 +296,20 @@
                                      (FILE-POSITION |comstream|))
                             (setq |LETTMP#1| (|dbSplit| |line| 6 1))
                             (setq |prefix| (CAR |LETTMP#1|))
-                            (setq |comments| (CDR |LETTMP#1|))
+                            (setq comments (CDR |LETTMP#1|))
                             (PRINC |prefix| |outstream|)
                             (PRINC |$tick| |outstream|)
                             (COND
-                              ((NULL |comments|)
+                              ((NULL comments)
                                (PRINC 0 |outstream|)
                                (TERPRI |outstream|))
-                              ('T (PRINC |comP| |outstream|)
+                              (t (PRINC |comP| |outstream|)
                                (TERPRI |outstream|)
                                (PRINC |outP| |comstream|)
                                (PRINC |$tick| |comstream|)
-                               (PRINC (CAR |comments|) |comstream|)
+                               (PRINC (CAR comments) |comstream|)
                                (TERPRI |comstream|)
-                               (DO ((G168593 (CDR |comments|)
+                               (DO ((G168593 (CDR comments)
                                      (CDR G168593))
                                     (|c| NIL))
                                    ((OR (ATOM G168593)
@@ -343,7 +341,7 @@
       ((EQL |n| 1)
        (CONS (SUBSTRING |line| 0 |k|)
              (|dbSpreadComments| (SUBSTRING |line| (+ |k| 1) NIL) 0)))
-      ('T (|dbSplit| |line| (- |n| 1) |k|)))))
+      (t (|dbSplit| |line| (- |n| 1) |k|)))))
 
 ;dbSpreadComments(line,n) ==
 ;  line = '"" => nil
@@ -359,7 +357,7 @@
     (RETURN
       (COND
         ((BOOT-EQUAL |line| "") NIL)
-        ('T
+        (t
          (setq |k| (|charPosition| #\- |line| (+ |n| 2)))
          (COND
            ((>= |k| (MAXINDEX |line|))
@@ -370,7 +368,7 @@
                                (- |k| |n|))
                            (CAR |u|))
                   (CDR |u|)))
-           ('T
+           (t
             (CONS (SUBSTRING |line| |n| (- |k| |n|))
                   (|dbSpreadComments| (SUBSTRING |line| |k| NIL) 0)))))))))
 
@@ -435,11 +433,11 @@
     (RETURN
       (SEQ (PROGN
              (setq |$constructorName| NIL)
-             (setq |$exposeFlag| 'T)
+             (setq |$exposeFlag| t)
              (setq |$outStream|
                       (MAKE-OUTSTREAM "temp.text"))
              (setq |$x| NIL)
-             (setq |$attribute?| 'T)
+             (setq |$attribute?| t)
              (setq |pathname|
                       (STRCONC (|getEnv| "AXIOM")
                                "/algebra/gloss.text"))
@@ -549,7 +547,7 @@
     ((> (MAXINDEX |line|) 500)
      (CONS (SUBSTRING |line| 0 500)
            (|spreadGlossText| (SUBSTRING |line| 500 NIL))))
-    ('T (CONS |line| NIL))))
+    (t (CONS |line| NIL))))
 
 ;getGlossLines instream ==
 ;--instream has text of the form:
@@ -594,7 +592,7 @@
                             (setq |line| (read-line |instream|))
                             (COND
                               ((EQL (|#| |line|) 0) '|skip|)
-                              ('T
+                              (t
                                (setq |n|
                                         (|charPosition| |$tick| |line|
                                          0))
@@ -607,7 +605,7 @@
                                               (COND
                                                 (|lastLineHadTick|
                                                  "")
-                                                ('T
+                                                (t
                                                                                                    "\\blankline ")))
                                              ((AND (> (|#| |last|) 0)
                                                (NEQUAL
@@ -615,14 +613,14 @@
                                                  (MAXINDEX |last|))
                                                 #\space))
                                               #\space)
-                                             ('T "")))
+                                             (t "")))
                                   (setq |lastLineHadTick| NIL)
                                   (setq |text|
                                            (CONS
                                             (STRCONC |last| |fill|
                                              |line|)
                                             (CDR |text|))))
-                                 ('T (setq |lastLineHadTick| 'T)
+                                 (t (setq |lastLineHadTick| t)
                                   (setq |keys|
                                            (CONS
                                             (SUBSTRING |line| 0 |n|)
@@ -703,7 +701,7 @@
                                             (HPUT |$usersTb| |name|
                                              (|insert| |x|
                                               (HGET |$usersTb| |name|))))
-                                           ('T NIL)))))))))
+                                           (t NIL)))))))))
              (DO ((G168798 (HKEYS |$usersTb|) (CDR G168798))
                   (|k| NIL))
                  ((OR (ATOM G168798)
@@ -755,7 +753,7 @@
                                       (STRCONC (PNAME |catAncestor|)
                                        "&")))
                             (COND
-                              ((|getCDTEntry| |pakname| 'T)
+                              ((|getCDTEntry| |pakname| t)
                                (setq |acc| (CONS |pakname| |acc|))))
                             (setq |acc|
                                      (|union|
@@ -843,7 +841,7 @@
     (RETURN
       (SEQ (IF (ATOM |x|) (EXIT NIL))
            (IF (AND (CONSP |x|) (EQ (QCAR |x|) '|Join|)
-                    (PROGN (setq |r| (QCDR |x|)) 'T))
+                    (PROGN (setq |r| (QCDR |x|)) t))
                (EXIT (|getArgumentConstructors,fn| |r|)))
            (IF (AND (CONSP |x|) (EQ (QCAR |x|) 'CATEGORY)) (EXIT NIL))
            (IF (|constructor?| (CAR |x|))
@@ -910,7 +908,7 @@
                     (PROGN
                       (setq |op| (QCAR |x|))
                       (setq |args| (QCDR |x|))
-                      'T))
+                      t))
                (EXIT (SEQ (IF (OR (BOOT-EQUAL |op| 'QUOTE)
                                   (BOOT-EQUAL |op| 'NRTEVAL))
                               (EXIT (CAR |args|)))
@@ -955,10 +953,10 @@
                                           (PROGN
                                             (setq |x1|
                                              (QCDR |ISTMP#1|))
-                                            'T)))
+                                            t)))
                                        (PROGN
                                          (setq |x2| (QCDR |args|))
-                                         'T))
+                                         t))
                                       (EXIT
                                        (CONS '|Union|
                                         (PROG (G168954)
@@ -1063,7 +1061,7 @@
                                               (PROGN
                                                 (setq |op|
                                                  (QCAR |ISTMP#1|))
-                                                'T)))
+                                                t)))
                                            (IDENTP |op|)
                                            (NULL
                                             (member |op|
@@ -1165,7 +1163,7 @@
                    (setq |newArgl|
                             (CDR (GETDATABASE |op| 'CONSTRUCTORFORM)))))
            |parents|)
-          ('T (SUBLISLIS |argl| |newArgl| |parents|)))))))
+          (t (SUBLISLIS |argl| |newArgl| |parents|)))))))
 
 ;getParentsForDomain domname  == --called by parentsOf
 ;  acc := nil
@@ -1203,7 +1201,7 @@
                                           (|getConstructorForm|
                                            |domname|))
                                          |x| |$TriangleVariableList|))
-                                       ('T
+                                       (t
                                         (|sublisFormal|
                                          (IFCDR
                                           (|getConstructorForm|
@@ -1236,7 +1234,7 @@
                              (AND (CONSP |ISTMP#2|)
                                   (PROGN
                                     (setq |b| (QCAR |ISTMP#2|))
-                                    'T))))))
+                                    t))))))
                (EXIT (|explodeIfs,fn|
                          (MKPF (CONS |p| (CONS |q| NIL)) 'AND) |b| NIL)))
            (EXIT (CONS (CONS |a| |p|) NIL))))))
@@ -1285,9 +1283,9 @@
                                    (EQ (QCDR |ISTMP#3|) NIL)
                                    (PROGN
                                      (setq |b| (QCAR |ISTMP#3|))
-                                     'T))))))))
+                                     t))))))))
          (|explodeIfs,fn| |p| |a| |b|))
-        ('T (CONS (CONS |x| 'T) NIL))))))
+        (t (CONS (CONS |x| t) NIL))))))
 
 ;folks u == --called by getParents and getParentsForDomain
 ;  atom u => nil
@@ -1315,7 +1313,7 @@
                        (PROGN
                          (setq |op| (QCAR |u|))
                          (setq |v| (QCDR |u|))
-                         'T)
+                         t)
                        (member |op| '(|Join| PROGN)))
                   (AND (CONSP |u|) (EQ (QCAR |u|) 'CATEGORY)
                        (PROGN
@@ -1324,7 +1322,7 @@
                               (PROGN
                                 (setq |a| (QCAR |ISTMP#1|))
                                 (setq |v| (QCDR |ISTMP#1|))
-                                'T)))))
+                                t)))))
               (PROG (G169264)
                 (setq G169264 NIL)
                 (RETURN
@@ -1340,11 +1338,11 @@
                    (PROGN
                      (setq |ISTMP#1| (QCDR |u|))
                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                          (PROGN (setq |a| (QCAR |ISTMP#1|)) 'T))))
+                          (PROGN (setq |a| (QCAR |ISTMP#1|)) t))))
               (COND
                 ((AND (CONSP |a|) (|constructor?| (|opOf| |a|)))
                  (|folks| |a|))
-                ('T NIL)))
+                (t NIL)))
              ((AND (CONSP |u|) (EQ (QCAR |u|) 'IF)
                    (PROGN
                      (setq |ISTMP#1| (QCDR |u|))
@@ -1360,15 +1358,15 @@
                                     (EQ (QCDR |ISTMP#3|) NIL)
                                     (PROGN
                                       (setq |r| (QCAR |ISTMP#3|))
-                                      'T))))))))
+                                      t))))))))
               (setq |q1| (|folks| |q|)) (setq |r1| (|folks| |r|))
               (COND
                 ((OR |q1| |r1|)
                  (CONS (CONS 'IF
                              (CONS |p| (CONS |q1| (CONS |r1| NIL))))
                        NIL))
-                ('T NIL)))
-             ('T (CONS |u| NIL)))))))
+                (t NIL)))
+             (t (CONS |u| NIL)))))))
 
 ;descendantsOf(conform,domform) ==  --called by kcdPage
 ;  'category = GETDATABASE((conname := opOf conform),'CONSTRUCTORKIND) =>
@@ -1395,8 +1393,8 @@
                     (setq |newArgl|
                              (CDR (GETDATABASE |op| 'CONSTRUCTORFORM)))))
             |cats|)
-           ('T (SUBLISLIS |argl| |newArgl| |cats|))))
-        ('T '|notAvailable|)))))
+           (t (SUBLISLIS |argl| |newArgl| |cats|))))
+        (t '|notAvailable|)))))
 
 ;childrenOf conform ==
 ;  [pair for pair in descendantsOf(conform,nil) |
@@ -1431,7 +1429,7 @@
         ((NULL (setq |argl| (CDR |form|))) (|assoc| |form| |alist|))
         ((setq |u| (|assocCar| (|opOf| |form|) |alist|))
          (AND (|childArgCheck| |argl| (CDR (CAR |u|))) |u|))
-        ('T NIL)))))
+        (t NIL)))))
 
 ;assocCar(x, al) == or/[pair for pair in al | x = CAAR pair]
 
@@ -1461,7 +1459,7 @@
   (PROG ()
     (RETURN
       (SEQ (PROG (G169355)
-             (setq G169355 'T)
+             (setq G169355 t)
              (RETURN
                (DO ((G169363 NIL (NULL G169355))
                     (G169364 |argl| (CDR G169364)) (|x| NIL)
@@ -1478,12 +1476,12 @@
                                          ((OR (BOOT-EQUAL |x| |y|)
                                            (|constructor?|
                                             (|opOf| |y|)))
-                                          'T)
+                                          t)
                                          ((|isSharpVar| |y|)
                                           (BOOT-EQUAL |i|
                                            (POSN1 |y|
                                             |$FormalMapVariableList|)))
-                                         ('T NIL)))))))))))))
+                                         (t NIL)))))))))))))
 
 ;--computeDescendantsOf cat ==
 ;--dynamically generates descendants
@@ -1546,7 +1544,7 @@
                                         (|simpHasPred| |right|))))
                                     (COND
                                       ((NULL |right|) NIL)
-                                      ('T (CONS |left| |right|))))
+                                      (t (CONS |left| |right|))))
                                   (SETQ G169400
                                         (CONS
                                          (PROGN
@@ -1560,9 +1558,9 @@
                                                (|simpHasPred| |right|))))
                                            (COND
                                              ((NULL |right|) NIL)
-                                             ('T (CONS |left| |right|))))
+                                             (t (CONS |left| |right|))))
                                          G169400))))))))))
-             ('T (|computeAncestorsOf| |conform| |domform|)))))))
+             (t (|computeAncestorsOf| |conform| |domform|)))))))
 
 ;computeAncestorsOf(conform,domform) ==
 ;  $done: local := MAKE_-HASHTABLE 'UEQUAL
@@ -1580,7 +1578,7 @@
       (SEQ (PROGN
              (setq |$done| (MAKE-HASHTABLE 'UEQUAL))
              (setq |$if| (MAKE-HASHTABLE 'ID))
-             (|ancestorsRecur| |conform| |domform| 'T 'T)
+             (|ancestorsRecur| |conform| |domform| t t)
              (setq |acc| NIL)
              (DO ((G169437
                       (|listSort| #'GLESSEQP (HKEYS |$if|))
@@ -1631,21 +1629,21 @@
              (setq |op| (|opOf| |conform|))
              (COND
                ((BOOT-EQUAL |pred| (HGET |$done| |conform|)) NIL)
-               ('T
+               (t
                 (setq |parents|
                          (COND
                            ((AND |firstTime?|
                                  (OR |$insideCategoryIfTrue|
                                      |$insideFunctorIfTrue|))
                             |$lisplibParents|)
-                           ('T (|parentsOf| |op|))))
+                           (t (|parentsOf| |op|))))
                 (setq |originalConform|
                          (COND
                            ((AND |firstTime?|
                                  (OR |$insideCategoryIfTrue|
                                      |$insideFunctorIfTrue|))
                             |$form|)
-                           ('T (|getConstructorForm| |op|))))
+                           (t (|getConstructorForm| |op|))))
                 (COND
                   ((NEQUAL |conform| |originalConform|)
                    (setq |parents|
@@ -1695,13 +1693,13 @@
     (RETURN
       (COND
         ((NULL |pred|) NIL)
-        ('T (setq |op| (OR (IFCAR |form|) |form|))
+        (t (setq |op| (OR (IFCAR |form|) |form|))
          (setq |alist| (HGET |$if| |op|))
          (COND
            ((setq |existingNode| (|assoc| |form| |alist|))
             (RPLACD |existingNode|
                     (|quickOr| (CDR |existingNode|) |pred|)))
-           ('T (HPUT |$if| |op| (CONS (CONS |form| |pred|) |alist|)))))))))
+           (t (HPUT |$if| |op| (CONS (CONS |form| |pred|) |alist|)))))))))
 
 ;domainsOf(conform,domname,:options) ==
 ;  $hasArgList := IFCAR options
@@ -1739,7 +1737,7 @@
                                            (PROGN
                                              (setq |anc|
                                               (QCAR |key|))
-                                             'T)
+                                             t)
                                            (EQUAL (QCDR |key|)
                                             |conname|))
                                           (SETQ G169512
@@ -1818,7 +1816,7 @@
                                                 (CONS
                                                  (CONS |args| |pred|)
                                                  (LASSOC |key| |alist|)))
-                                               ('T |pred|)))
+                                               (t |pred|)))
                                             (setq |alist|
                                              (|insertShortAlist| |key|
                                               |newItem| |alist|)))))))))))
@@ -1909,15 +1907,15 @@
                                           (COND
                                             ((BOOT-EQUAL |domargs|
                                               |args|)
-                                             'T)
+                                             t)
                                             ((HAS_SHARP_VAR |args|)
                                              (BOOT-EQUAL |domargs|
                                               (|sublisFormal|
                                                (IFCDR |domname|) |args|)))
-                                            ('T NIL)))
+                                            (t NIL)))
                                          (COND
                                            ((NULL |match?|) '|skip|)
-                                           ('T
+                                           (t
                                             (setq |npred|
                                              (|sublisFormal|
                                               (IFCDR |leftForm|) |pred|))
@@ -1926,7 +1924,7 @@
                                               (CONS |leftForm| |npred|)
                                               |acc|))))))))))))
                     (NREVERSE |acc|))
-                   ('T
+                   (t
                     (DO ((G169659 |s| (CDR G169659)) (|pair| NIL))
                         ((OR (ATOM G169659)
                              (PROGN (SETQ |pair| (CAR G169659)) NIL))
@@ -1942,7 +1940,7 @@
                                     (|sublisFormal| (IFCDR |leftForm|)
                                      (CDR |pair|)))))))
                     |s|)))
-             ('T (setq |acc| NIL)
+             (t (setq |acc| NIL)
               (COND
                 ((IFCDR |conform|)
                  (setq |farglist|
@@ -1993,7 +1991,7 @@
                                             (CONS |leftForm| |npred|)
                                             |acc|))))))))))
                  (NREVERSE |acc|))
-                ('T
+                (t
                  (DO ((G169704 |s| (CDR G169704)) (|pair| NIL))
                      ((OR (ATOM G169704)
                           (PROGN (SETQ |pair| (CAR G169704)) NIL))
@@ -2043,7 +2041,7 @@
   (PROG (|.| |acc| |y| |r| |nd| |j|)
   (declare (special |$formals|))
     (RETURN
-      (SEQ (IF (AND (CONSP |x|) (PROGN (setq |.| (QCDR |x|)) 'T))
+      (SEQ (IF (AND (CONSP |x|) (PROGN (setq |.| (QCDR |x|)) t))
                (EXIT (SEQ (setq |acc| NIL) (setq |y| |x|)
                           (DO () ((NULL (NULL (ATOM |y|))) NIL)
                             (SEQ (setq |acc|
@@ -2100,7 +2098,7 @@
                  (OR (IFCAR |options|) |$FormalMapVariableList|))
         (COND
           ((NULL |args|) |exp|)
-          ('T
+          (t
            (|sublisFormal,sublisFormal1| |args| |exp|
                (- (|#| |args|) 1))))))))
 
@@ -2123,7 +2121,7 @@
               NIL)
            (SEQ (EXIT (COND
                         ((|isDefaultPackageName| |nam|)
-                         (HPUT |$defaultPackageNamesHT| |nam| 'T))))))
+                         (HPUT |$defaultPackageNamesHT| |nam| t))))))
          |$defaultPackageNamesHT|)
 
 ;$defaultPackageNamesHT := buildDefaultPackageNamesHT()
@@ -2215,7 +2213,7 @@
              (setq |$domainArgs| (CDR |domainForm|))
              (setq |$predicateList| (GETDATABASE |nam| 'PREDICATES))
              (setq |predVector| (ELT |dom| 3))
-             (setq |u| (|getDomainOpTable| |dom| 'T))
+             (setq |u| (|getDomainOpTable| |dom| t))
              (DO ((G169844 |u| (CDR G169844)) (|x| NIL))
                  ((OR (ATOM G169844)
                       (PROGN (SETQ |x| (CAR G169844)) NIL)
@@ -2238,7 +2236,7 @@
                             ((BOOT-EQUAL |key| '|constant|)
                              (setq |constants|
                                       (CONS |x| |constants|)))
-                            ('T (setq |others| (CONS |x| |others|)))))))
+                            (t (setq |others| (CONS |x| |others|)))))))
              (|sayBrightly|
                  (COND
                    (|nowheres|
@@ -2246,14 +2244,14 @@
                              (APPEND (|bright|
                                       (|form2String| |domainForm|))
                                      (CONS ":" NIL))))
-                   ('T
+                   (t
                     (APPEND (|bright| (|form2String| |domainForm|))
                             (CONS                                       "implements all exported operations"
                                   NIL)))))
              (|showDomainsOp1| |nowheres| '|nowhere|)
              (COND
                (|missingOnlyFlag| '|done|)
-               ('T
+               (t
                 (setq |u|
                          (APPEND |domexports|
                                  (APPEND |constants|
@@ -2270,7 +2268,7 @@
                                         (|bright|
                                          (|form2String| |key|))
                                         (CONS ":" NIL))))
-                                     ('T
+                                     (t
                                       (CONS '|Functions implemented by|
                                        (APPEND
                                         (|bright|
@@ -2357,7 +2355,7 @@
                             (COND
                               ((setq |x| (|assoc| |u| |alist|))
                                (RPLACD |x| (CONS |opSig| (CDR |x|))))
-                              ('T
+                              (t
                                (setq |alist|
                                         (CONS
                                          (CONS |u| (CONS |opSig| NIL))
@@ -2568,19 +2566,19 @@
                    (PROGN
                      (setq |ISTMP#1| (QCDR |u|))
                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                          (PROGN (setq |y| (QCAR |ISTMP#1|)) 'T))))
+                          (PROGN (setq |y| (QCAR |ISTMP#1|)) t))))
               (MKQ (|eval| |y|)))
              ((AND (CONSP |u|) (EQ (QCAR |u|) 'QUOTE)
                    (PROGN
                      (setq |ISTMP#1| (QCDR |u|))
                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                          (PROGN (setq |y| (QCAR |ISTMP#1|)) 'T))))
+                          (PROGN (setq |y| (QCAR |ISTMP#1|)) t))))
               |u|)
              ((AND (CONSP |u|)
                    (PROGN
                      (setq |op| (QCAR |u|))
                      (setq |argl| (QCDR |u|))
-                     'T))
+                     t))
               (CONS |op|
                     (PROG (G170124)
                       (setq G170124 NIL)
@@ -2597,7 +2595,7 @@
                                        (|devaluateSlotDomain| |x|
                                         |dollar|)
                                        G170124)))))))))
-             ('T (|devaluate| (|evalSlotDomain| |u| |dollar|))))))))
+             (t (|devaluate| (|evalSlotDomain| |u| |dollar|))))))))
 
 ;getCategoriesOfDomain domain ==
 ;  predkeyVec := domain.4.0
@@ -2636,7 +2634,7 @@
                                         (COND
                                           ((VECP |x|)
                                            (|devaluate| |x|))
-                                          ('T
+                                          (t
                                            (|devaluateSlotDomain| |x|
                                             |domain|)))
                                         G170158))))))))))))))
@@ -2739,7 +2737,7 @@
                                        (PROGN
                                          (setq |sig|
                                           (QCAR |ISTMP#2|))
-                                         'T)
+                                         t)
                                        (EQUAL (QCDR |ISTMP#2|) |key|)))))))
                   NIL)
                (SEQ (EXIT (PROGN
@@ -2774,13 +2772,13 @@
                                       (|getDomainRefName| |dom| |x|)
                                       G170266))))))))
              ((NULL (integerp |nam|)) |nam|)
-             ('T (setq |slot| (ELT |dom| |nam|))
+             (t (setq |slot| (ELT |dom| |nam|))
               (COND
                 ((VECP |slot|) (ELT |slot| 0))
                 ((AND (CONSP |slot|) (EQ (QCAR |slot|) 'SETELT))
                  (|getDomainRefName| |dom|
                      (|getDomainSeteltForm| |slot|)))
-                ('T |slot|))))))))
+                (t |slot|))))))))
 
 ;getDomainSeteltForm ['SETELT,.,.,form] ==
 ;  form is ['evalSlotDomain,u,d] => devaluateSlotDomain(u,d)
@@ -2804,10 +2802,10 @@
                               (EQ (QCDR |ISTMP#2|) NIL)
                               (PROGN
                                 (setq |d| (QCAR |ISTMP#2|))
-                                'T))))))
+                                t))))))
            (|devaluateSlotDomain| |u| |d|))
           ((VECP |form|) (|systemError|))
-          ('T |form|))))))
+          (t |form|))))))
 
 ;showPredicates dom ==
 ;  sayBrightly '"--------------------Predicate summary-------------------"
@@ -2842,7 +2840,7 @@
                                        ((|testBitVector| |predvector|
                                          |i|)
                                         "true : ")
-                                       ('T "false: ")))
+                                       (t "false: ")))
                             (|sayBrightly|
                                 (CONS |prefix| (|pred2English| |p|))))))))))))
 
@@ -2884,7 +2882,7 @@
                                        ((|testBitVector| |predvector|
                                          |p|)
                                         "true : ")
-                                       ('T "false: ")))
+                                       (t "false: ")))
                             (|sayBrightly|
                               (|concat| |prefix| (|form2String| |a|))))))))))))
 
@@ -2930,7 +2928,7 @@
                                              (QCAR |ISTMP#3|))
                                             (setq |op|
                                              (QCDR |ISTMP#3|))
-                                            'T)))))))
+                                            t)))))))
                              (PROGN
                                (setq |numOfArgs|
                                         (ELT |numvec| |index|))
@@ -2989,9 +2987,9 @@
                      (PROGN
                        (setq |slotNumber| (QCAR |ISTMP#1|))
                        (setq |form| (QCDR |ISTMP#1|))
-                       'T))))
+                       t))))
          (|formatLazyDomainForm| |dom| |form|))
-        ('T (|systemError| NIL))))))
+        (t (|systemError| NIL))))))
 
 ;formatLazyDomainForm(dom,x) ==
 ;  x = 0 => ["$"]
@@ -3011,9 +3009,9 @@
                    (PROGN
                      (setq |ISTMP#1| (QCDR |x|))
                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                          (PROGN (setq |y| (QCAR |ISTMP#1|)) 'T))))
-              (COND ((ATOM |y|) (CONS |y| NIL)) ('T |y|)))
-             ('T
+                          (PROGN (setq |y| (QCAR |ISTMP#1|)) t))))
+              (COND ((ATOM |y|) (CONS |y| NIL)) (t |y|)))
+             (t
               (CONS (CAR |x|)
                     (PROG (G170482)
                       (setq G170482 NIL)
@@ -3091,7 +3089,7 @@
                                                    (NEQUAL
                                                     (|dbPart| |x| 2 1)
                                                     "0"))
-                                              ('T (ifcar |x|)))))))))))))))))))))
+                                              (t (ifcar |x|)))))))))))))))))))))
 
 ;--============================================================================
 ;--               Master Switch Functions for Operation Views
@@ -3151,14 +3149,14 @@
                       (COND
                         ((BOOT-EQUAL |which| "operation")
                          (|htpProperty| |htPage| '|opAlist|))
-                        ('T (|htpProperty| |htPage| '|attrAlist|))))
+                        (t (|htpProperty| |htPage| '|attrAlist|))))
              (COND
                ((BOOT-EQUAL |key| '|generalise|)
                 (setq |arg| (princ-to-string (CAAR |opAlist|)))
                 (COND
                   ((BOOT-EQUAL |which| "attribute")
                    (|aPage| |arg|))
-                  ('T (|oPage| |arg|))))
+                  (t (|oPage| |arg|))))
                ((BOOT-EQUAL |key| '|allDomains|)
                 (|dbShowOpAllDomains| |htPage| |opAlist| |which|))
                ((BOOT-EQUAL |key| '|filter|)
@@ -3169,7 +3167,7 @@
                 (COND
                   ((AND (CONSP |filter|) (EQ (QCAR |filter|) '|error|))
                    (|bcErrorPage| |filter|))
-                  ('T
+                  (t
                    (setq |opAlist|
                             (PROG (G170560)
                               (setq G170560 NIL)
@@ -3192,7 +3190,7 @@
                    (COND
                      ((NULL |opAlist|)
                       (|emptySearchPage| |which| |filter|))
-                     ('T
+                     (t
                       (setq |htPage|
                                (|htInitPageNoScroll|
                                    (|htCopyProplist| |htPage|)))
@@ -3200,7 +3198,7 @@
                         ((BOOT-EQUAL |which| "operation")
                          (|htpSetProperty| |htPage| '|opAlist|
                              |opAlist|))
-                        ('T
+                        (t
                          (|htpSetProperty| |htPage| '|attrAlist|
                              |opAlist|)))
                       (COND
@@ -3211,13 +3209,13 @@
                              |opAlist|)))
                       (|dbShowOps| |htPage| |which|
                           (|htpProperty| |htPage| '|exclusion|)))))))
-               ('T (|htpSetProperty| |htPage| '|key| |key|)
+               (t (|htpSetProperty| |htPage| '|key| |key|)
                 (COND
                   ((member |key| '(|exposureOn| |exposureOff|))
                    (setq |$exposedOnlyIfTrue|
                             (COND
-                              ((BOOT-EQUAL |key| '|exposureOn|) 'T)
-                              ('T NIL)))
+                              ((BOOT-EQUAL |key| '|exposureOn|) t)
+                              (t NIL)))
                    (setq |key|
                             (|htpProperty| |htPage| '|exclusion|))))
                 (|dbShowOp1| |htPage| |opAlist| |which| |key|))))))))
@@ -3241,9 +3239,9 @@
              ((OR (NULL (|dbFromConstructor?| |htPage|))
                   (NULL |$groupChoice|))
               |opAlist|)
-             ('T
+             (t
               (|dbExpandOpAlistIfNecessary| |htPage| |opAlist|
-                  "operation" 'T NIL)
+                  "operation" t NIL)
               (setq |bitNumber| (HGET |$topicHash| |$groupChoice|))
               (setq |res|
                        (PROG (G170603)
@@ -3267,7 +3265,7 @@
                                           ((COND
                                              ((NULL |bitNumber|)
                                               |items|)
-                                             ('T
+                                             (t
                                               (PROG (G170622)
                                                 (setq G170622 NIL)
                                                 (RETURN
@@ -3305,7 +3303,7 @@
                                               (COND
                                                 ((NULL |bitNumber|)
                                                  |items|)
-                                                ('T
+                                                (t
                                                  (PROG (G170639)
                                                    (setq G170639
                                                     NIL)
@@ -3437,11 +3435,11 @@
                        (AND (CONSP |ISTMP#1|)
                             (PROGN
                               (setq |con| (QCAR |ISTMP#1|))
-                              'T)))
+                              t)))
                      (|htpProperty| |htPage| '|isFile|)
                      (|constructor?| |con|))
                 (RETURN (|conPageChoose| |con|)))
-               ('T
+               (t
                 (COND
                   ((INTEGERP |key|)
                    (setq |htPage|
@@ -3450,7 +3448,7 @@
                    (COND
                      ((BOOT-EQUAL |which| "operation")
                       (|htpSetProperty| |htPage| '|opAlist| |opAlist|))
-                     ('T
+                     (t
                       (|htpSetProperty| |htPage| '|attrAlist|
                           |opAlist|)))
                    (COND
@@ -3459,9 +3457,9 @@
                                 '|no|))
                       (|dbResetOpAlistCondition| |htPage| |which|
                           |opAlist|))
-                     ('T NIL))))
+                     (t NIL))))
                 (|dbExpandOpAlistIfNecessary| |htPage| |opAlist|
-                    |which| 'T NIL)
+                    |which| t NIL)
                 (COND
                   ((AND |$exposedOnlyIfTrue|
                         (NULL (|dbFromConstructor?| |htPage|)))
@@ -3508,7 +3506,7 @@
                                                      (CONS |x| |acc|)))))))
                                              (COND
                                                ((NULL |acc|) NIL)
-                                               ('T
+                                               (t
                                                 (CONS |op|
                                                  (NREVERSE |acc|)))))
                                            (SETQ G170705
@@ -3533,7 +3531,7 @@
                                                        (CONS |x| |acc|)))))))
                                                (COND
                                                  ((NULL |acc|) NIL)
-                                                 ('T
+                                                 (t
                                                   (CONS |op|
                                                    (NREVERSE |acc|)))))
                                              G170705))))))))))))
@@ -3546,14 +3544,14 @@
                             (COND
                               ((<= |opCount| |$opDescriptionThreshold|)
                                '|documentation|)
-                              ('T '|names|)))
+                              (t '|names|)))
                            ((AND (BOOT-EQUAL |key| '|names|)
                                  (NULL (CDR |opAlist|)))
                             (COND
                               ((<= |opCount| |$opDescriptionThreshold|)
                                '|documentation|)
-                              ('T '|names|)))
-                           ('T |key|)))
+                              (t '|names|)))
+                           (t |key|)))
                 (setq |LETTMP#1| (LASSOC |branch| |$OpViewTable|))
                 (setq |what| (CAR |LETTMP#1|))
                 (setq |whats| (CADR |LETTMP#1|))
@@ -3580,7 +3578,7 @@
                                              "Name")
                                             |$exposedOnlyIfTrue|)
                                            (ATOM |x|))
-                                          ('T 'T))
+                                          (t t))
                                         (SETQ G170742
                                          (+ G170742 1))))))))))
                 (setq |namedPart|
@@ -3592,7 +3590,7 @@
                             (CONS " {\\em "
                                   (CONS |ops|
                                         (CONS "}" NIL))))
-                           ('T NIL)))
+                           (t NIL)))
                 (COND
                   ((AND (BOOT-EQUAL |what| "Condition")
                         (NULL (ifcar (ifcar |data|))))
@@ -3600,7 +3598,7 @@
                 (setq |exposurePart|
                          (COND
                            (|$exposedOnlyIfTrue| '(" Exposed "))
-                           ('T NIL)))
+                           (t NIL)))
                 (setq |firstPart|
                          (COND
                            ((EQL |opCount| 0)
@@ -3617,7 +3615,7 @@
                                (APPEND |exposurePart|
                                        (CONS (|capitalize| |which|)
                                         |namedPart|)))
-                              ('T
+                              (t
                                (CONS (princ-to-string |opCount|)
                                      (CONS " "
                                       (APPEND |exposurePart|
@@ -3625,7 +3623,7 @@
                                         (|pluralize|
                                          (|capitalize| |which|))
                                         |namedPart|)))))))
-                           ('T
+                           (t
                             (setq |prefix|
                                      (|pluralSay| |dataCount| |what|
                                       |whats|))
@@ -3688,7 +3686,7 @@
                                             (BOOT-EQUAL |which|
                                              "attribute"))
                                            (|#| |items|))
-                                          ('T
+                                          (t
                                            (PROG (G170814)
                                              (setq G170814 0)
                                              (RETURN
@@ -3735,7 +3733,7 @@
                     " organized by origins")
                    ((BOOT-EQUAL |branch| '|conditions|)
                     " organized by conditions")
-                   ('T "")))
+                   (t "")))
         (APPEND |heading| (CONS |suffix| NIL))))))
 
 ;dbOpsExposureMessage() ==
@@ -3775,7 +3773,7 @@
     (RETURN
       (SEQ (COND
              ((NULL |htPage|) "")
-             ('T
+             (t
               (setq |$pn|
                        (CONS (ELT |htPage| 0)
                              (CONS "}{" NIL)))
@@ -3796,7 +3794,7 @@
                                        (APPEND |$pn|
                                         (APPEND |upFence|
                                          (CONS "}" NIL)))))))))
-                ('T
+                (t
                  (setq |domname|
                           (|htpProperty| |htPage| '|domname|))
                  (setq |numberOfUnderlyingDomains|
@@ -3825,7 +3823,7 @@
                    ((IFCDR |domname|)
                     (CONS " {\\em from} "
                           (|dbConformGen| |domname|)))
-                   ('T (|htpProperty| |htPage| '|fromHeading|)))))))))))
+                   (t (|htpProperty| |htPage| '|fromHeading|)))))))))))
 
 ;pickitForm(form,uarg) ==
 ;  conform2StringList(form,FUNCTION dbConform,FUNCTION conformString,uarg)
@@ -3844,7 +3842,7 @@
     ((IFCDR |form|)
      (|conform2StringList| |form| #'|conname2StringList|
          #'|conformString| NIL))
-    ('T (|form2StringList| |form|))))
+    (t (|form2StringList| |form|))))
 
 ;conform2StringList(form,opFn,argFn,exception) ==
 ;  exception := exception or '"%%%nothing%%%"
@@ -3898,7 +3896,7 @@
                       (OR (IFCAR (HGET |$lowerCaseConTb| |op1|)) |op1|))
              (COND
                ((NULL |args|) (APPLY |opFn| (CONS |op| NIL)))
-               ('T
+               (t
                 (setq special
                          (member |op| '(|Union| |Record| |Mapping|)))
                 (setq |cosig|
@@ -3918,12 +3916,12 @@
                                      (SEQ
                                       (EXIT
                                        (SETQ G170930
-                                        (CONS 'T G170930))))))))
-                           ('T (CDR (GETDATABASE |op| 'COSIG)))))
+                                        (CONS t G170930))))))))
+                           (t (CDR (GETDATABASE |op| 'COSIG)))))
                 (setq |atypes|
                          (COND
                            (special |cosig|)
-                           ('T
+                           (t
                             (CDR (CDAR (GETDATABASE |op|
                                         'CONSTRUCTORMODEMAP))))))
                 (setq |sargl|
@@ -3974,9 +3972,9 @@
                                                     (PROGN
                                                       (setq |t|
                                                        (QCAR |ISTMP#2|))
-                                                      'T))))))
+                                                      t))))))
                                              (setq |x| |t|) |y|)
-                                            ('T NIL)))
+                                            (t NIL)))
                                          (setq |res|
                                           (COND
                                             ((BOOT-EQUAL |x|
@@ -3986,7 +3984,7 @@
                                              (COND
                                                ((STRINGP |x|)
                                                 (CONS |x| NIL))
-                                               ('T
+                                               (t
                                                 (setq |u|
                                                  (APPLY |argFn|
                                                   (CONS |x| NIL)))
@@ -3994,7 +3992,7 @@
                                                  (AND (ATOM |u|)
                                                   (CONS |u| NIL))
                                                  |u|))))
-                                            ('T
+                                            (t
                                              (setq |typ|
                                               (|sublisFormal| |args|
                                                |atype|))
@@ -4012,7 +4010,7 @@
                                                     (PROGN
                                                       (setq |a|
                                                        (QCAR |ISTMP#1|))
-                                                      'T))))
+                                                      t))))
                                                 (setq |x| |a|)))
                                              (COND
                                                ((setq |u|
@@ -4024,22 +4022,22 @@
                                                ((OR (NUMBERP |x|)
                                                  (STRINGP |x|))
                                                 (CONS |x| NIL))
-                                               ('T (|systemError|))))))
+                                               (t (|systemError|))))))
                                          (COND
                                            (|keyword|
                                             (CONS |keyword|
                                              (CONS ": "
                                               |res|)))
-                                           ('T |res|)))
+                                           (t |res|)))
                                        G170961))))))))
                 (COND
                   ((BOOT-EQUAL |op| '|Mapping|)
                    (|dbMapping2StringList| |sargl|))
-                  ('T
+                  (t
                    (setq |head|
                             (COND
                               (special (CONS |op| NIL))
-                              ('T (APPLY |opFn| (CONS |form| NIL)))))
+                              (t (APPLY |opFn| (CONS |form| NIL)))))
                    (APPEND |head|
                            (CONS "("
                                  (APPEND (CAR |sargl|)
@@ -4083,11 +4081,11 @@
              (setq |sl| (CDR G171038))
              (COND
                ((NULL |sl|) |target|)
-               ('T
+               (t
                 (setq |restPart|
                          (COND
                            ((NULL (CDR |sl|)) NIL)
-                           ('T
+                           (t
                             (PROG (G171047)
                               (setq G171047 NIL)
                               (RETURN
@@ -4110,7 +4108,7 @@
                                      (APPEND (CAR |sl|)
                                       (APPEND |restPart|
                                        (CONS ")" NIL)))))
-                           ('T (CAR |sl|))))
+                           (t (CAR |sl|))))
                 (APPEND |sourcePart|
                         (CONS " -> " |target|)))))))))
 
@@ -4141,7 +4139,7 @@
              (COND
                ((LISTP |form|) (setq |op| (CAR |form|))
                 (setq |args| (CDR |form|)) |form|)
-               ('T (setq |op| |form|) (setq |args| NIL)))
+               (t (setq |op| |form|) (setq |args| NIL)))
              (setq |cosig| (CDR (GETDATABASE |op| 'COSIG)))
              (setq |atypes|
                       (CDR (CDAR (GETDATABASE |op| 'CONSTRUCTORMODEMAP))))
@@ -4172,7 +4170,7 @@
                                         (CONS
                                          (COND
                                            (|pred| |x|)
-                                           ('T
+                                           (t
                                             (setq |typ|
                                              (|sublisFormal| |args|
                                               |atype|))
@@ -4191,9 +4189,9 @@
                                                     (PROGN
                                                       (setq |a|
                                                        (QCAR |ISTMP#1|))
-                                                      'T))))
+                                                      t))))
                                                 |a|)
-                                               ('T |x|)))
+                                               (t |x|)))
                                             (setq |res|
                                              (|mathform2HtString|
                                               (|algCoerceInteractive|
@@ -4203,7 +4201,7 @@
                                               ((OR (NUMBERP |res|)
                                                 (STRINGP |res|))
                                                |res|)
-                                              ('T
+                                              (t
                                                (CONS 'QUOTE
                                                 (CONS |res| NIL))))))
                                          G171092))))))))
@@ -4228,7 +4226,7 @@
 
 ;dbConformGen form == dbConformGen1(form,true)
 
-(defun |dbConformGen| (|form|) (|dbConformGen1| |form| 'T))
+(defun |dbConformGen| (|form|) (|dbConformGen1| |form| t))
 
 ;--many buttons: one for the type and one for each inner type
 ;--NOTE: must only be called on types KNOWN to be correct
@@ -4257,18 +4255,18 @@
         (setq |opFunction|
                  (COND
                    (|opButton?| #'|dbConform|)
-                   ('T #'|conname2StringList|)))
+                   (t #'|conname2StringList|)))
         (setq |originalOp| (|opOf| |form|))
         (setq |op| (|unAbbreviateIfNecessary| (|opOf| |form|)))
         (setq |args| (IFCDR |form|))
         (setq |form|
                  (COND
                    ((BOOT-EQUAL |originalOp| |op|) |form|)
-                   ('T (CONS |op| |args|))))
+                   (t (CONS |op| |args|))))
         (COND
           (|args| (|conform2StringList| |form| |opFunction|
                       #'|dbConformGen| NIL))
-          ('T (APPLY |opFunction| (CONS |form| NIL))))))))
+          (t (APPLY |opFunction| (CONS |form| NIL))))))))
 
 ;unAbbreviateIfNecessary op == IFCAR HGET($lowerCaseConTb, op) or op
 
@@ -4366,7 +4364,7 @@
       (SEQ (COND
              ((BOOT-EQUAL |key| '|implementation|)
               (|dbGatherDataImplementation| |htPage| |opAlist|))
-             ('T
+             (t
               (setq |dataFunction|
                        (LASSOC |key|
                                (OR |$dbDataFunctionAlist|
@@ -4397,7 +4395,7 @@
                                ((BOOT-EQUAL |which|
                                     "operation")
                                 (|htpProperty| |htPage| '|opAlist|))
-                               ('T
+                               (t
                                 (|htpProperty| |htPage| '|attrAlist|))))))
                  (setq |acc| NIL)
                  (setq |initialExposure|
@@ -4406,8 +4404,8 @@
                                   (|htpProperty| |htPage| '|conform|)
                                   (NEQUAL |which|
                                                                                      "package operation"))
-                             'T)
-                            ('T NIL)))
+                             t)
+                            (t NIL)))
                  (DO ((G171198 |opAlist| (CDR G171198))
                       (G171166 NIL))
                      ((OR (ATOM G171198)
@@ -4435,23 +4433,23 @@
                                              ((NULL
                                                (setq |r|
                                                 (CDR (CDR |item|))))
-                                              'T)
-                                             ('T (ELT |r| 1))))
+                                              t)
+                                             (t (ELT |r| 1))))
                                           (COND
                                             (|isExposed?|
                                              (RETURN
                                                (setq |exposureFlag|
-                                                'T))))
+                                                t))))
                                           (setq |alist|
                                            (CDR |alist|))))))
                                 (setq |node|
                                          (COND
                                            (|exposureFlag| |op|)
-                                           ('T
+                                           (t
                                             (CONS |op| (CONS NIL NIL)))))
                                 (setq |acc| (CONS |node| |acc|))))))
                  (NREVERSE |acc|))
-                ('T (setq |data| NIL)
+                (t (setq |data| NIL)
                  (|dbExpandOpAlistIfNecessary| |htPage| |opAlist|
                      |which|
                      (|member| |key| '(|origins| |documentation|)) NIL)
@@ -4483,8 +4481,8 @@
                                            ((NULL
                                              (setq |r|
                                               (CDR (CDR |item|))))
-                                            'T)
-                                           ('T (ELT |r| 1))))
+                                            t)
+                                           (t (ELT |r| 1))))
                                         (setq |tail|
                                          (COND
                                            ((AND (CONSP |item|)
@@ -4495,7 +4493,7 @@
                                                 (EQ (QCAR |ISTMP#1|)
                                                  'ASCONST))))
                                             'ASCONST)
-                                           ('T NIL)))
+                                           (t NIL)))
                                         (setq |newEntry|
                                          (COND
                                            ((setq |u|
@@ -4504,7 +4502,7 @@
                                              (OR (CADR |u|)
                                               |exposeFlag|))
                                             |u|)
-                                           ('T
+                                           (t
                                             (setq |data|
                                              (CONS
                                               (setq |y|
@@ -4529,7 +4527,7 @@
                                               (CONS |exposeFlag|
                                                |tail|))
                                              |r|)))
-                                          ('T NIL)))))))))
+                                          (t NIL)))))))))
                  (COND
                    ((|member| |key| '(|origins| |conditions|))
                     (DO ((G171255 |data| (CDR G171255))
@@ -4544,7 +4542,7 @@
                                    (setq |tail|
                                     (COND
                                       ((ATOM |tail|) |tail|)
-                                      ('T
+                                      (t
                                        (|listSort|
                                         #'LEXLESSEQP |tail|))))
                                    (RPLACD (CDR |entry|) |tail|)))))))
@@ -4588,7 +4586,7 @@
 ;      isExposedConstructor CAR key
 
 (defun |dbGatherDataImplementation,gn| (|key|)
-  (SEQ (IF (ATOM |key|) (EXIT 'T))
+  (SEQ (IF (ATOM |key|) (EXIT t))
        (EXIT (|isExposedConstructor| (CAR |key|)))))
 
 (defun |dbGatherDataImplementation,fn| (|l|)
@@ -4603,7 +4601,7 @@
                           (SEQ (setq |key| (CDDAR |u|))
                                (setq |entries|
                                         (CONS
-                                         (CONS (CAR |u|) (CONS 'T NIL))
+                                         (CONS (CAR |u|) (CONS t NIL))
                                          (PROG (G171327)
                                            (setq G171327 NIL)
                                            (RETURN
@@ -4620,7 +4618,7 @@
                                                   (CONS
                                                    (AND |u|
                                                     (CONS (CAR |u|)
-                                                     (CONS 'T NIL)))
+                                                     (CONS t NIL)))
                                                    G171327)))))))))
                                (EXIT (setq |alist|
                                       (CONS
@@ -4648,7 +4646,7 @@
              (setq |$predicateList| (GETDATABASE |nam| 'PREDICATES))
              (setq |predVector| (ELT |dom| 3))
              (setq |u|
-                      (|getDomainOpTable| |dom| 'T
+                      (|getDomainOpTable| |dom| t
                           (ASSOCLEFT |opAlist|)))
              (DO ((G171351 |u| (CDR G171351)) (|x| NIL)
                   (|i| 0 (QSADD1 |i|)))
@@ -4673,7 +4671,7 @@
                             ((BOOT-EQUAL |key| '|constant|)
                              (setq |constants|
                                       (CONS |x| |constants|)))
-                            ('T (setq |others| (CONS |x| |others|)))))))
+                            (t (setq |others| (CONS |x| |others|)))))))
              (|dbGatherDataImplementation,fn|
                  (CONS |nowheres|
                        (CONS |constants|
@@ -4713,14 +4711,14 @@
            (COND
              ((> 8192 |key|)
               (|dbReduceOpAlist| |opAlist| (ELT |data| |key|) |branch|))
-             ('T (setq |LETTMP#1| (DIVIDE |key| 8192))
+             (t (setq |LETTMP#1| (DIVIDE |key| 8192))
               (setq |newkey| (CAR |LETTMP#1|))
               (setq |binkey| (CADR |LETTMP#1|))
               (setq |innerData|
                        (CDDR (ELT |data| (- |newkey| 1))))
               (|dbReduceOpAlist| |opAlist| (ELT |innerData| |binkey|)
                   '|signatures|))))
-          ('T (CONS (ELT |opAlist| |key|) NIL)))))))
+          (t (CONS (ELT |opAlist| |key|) NIL)))))))
 
 ;dbReduceOpAlist(opAlist,data,branch) ==
 ;  branch = 'signatures => dbReduceBySignature(opAlist,CAAR data,CADAR data)
@@ -4742,7 +4740,7 @@
      (|dbReduceByOpSignature| |opAlist| (CDDR |data|)))
     ((BOOT-EQUAL |branch| '|parameters|)
      (|dbReduceByForm| |opAlist| (CAR |data|)))
-    ('T
+    (t
      (|systemError|
          (CONS "Unexpected branch: " (CONS |branch| NIL))))))
 
@@ -5030,7 +5028,7 @@
         (COND
           ((BOOT-EQUAL |$which| "attribute")
            (CONS |op| (CONS |sig| NIL)))
-          ('T (|dbMakeContrivedForm| |op| |sig|)))))))
+          (t (|dbMakeContrivedForm| |op| |sig|)))))))
 
 ;dbMakeSignature(op,[sig,:.]) == [op,sig]  --getDomainOpTable format
 
@@ -5083,7 +5081,7 @@
                        (|escapeSpecialChars|
                            (princ-to-string (CAAR |opAlist|))))
               (|htSayStandard| "Select a view below"))
-          ('T
+          (t
            (setq |exposedOnly?|
                     (AND |$exposedOnlyIfTrue|
                          (NULL (|dbFromConstructor?| |htPage|))))
@@ -5118,8 +5116,8 @@
                (SEQ (EXIT (PROGN
                             (COND
                               ((ATOM |item|) (setq |op| |item|)
-                               (setq |exposeFlag| 'T))
-                              ('T (setq |op| (CAR |item|))
+                               (setq |exposeFlag| t))
+                              (t (setq |op| (CAR |item|))
                                (setq |exposeFlag| (CADR |item|))
                                |item|))
                             (setq |ops|
@@ -5180,7 +5178,7 @@
     (RETURN
       (SEQ (PROGN
              (|dbExpandOpAlistIfNecessary| |htPage| |opAlist| |which|
-                 'T NIL)
+                 t NIL)
              (setq |catOriginAlist| NIL)
              (setq |domOriginAlist| NIL)
              (DO ((G171728 |opAlist| (CDR G171728))
@@ -5222,17 +5220,17 @@
                                               (OR
                                                (LASSQ |conname|
                                                 |catOriginAlist|)
-                                               'T)))
+                                               t)))
                                             (setq |catOriginAlist|
                                              (|insertAlist| |conname|
                                               |pred| |catOriginAlist|)))
-                                           ('T
+                                           (t
                                             (setq |pred|
                                              (|simpOrDumb| |predicate|
                                               (OR
                                                (LASSQ |conname|
                                                 |domOriginAlist|)
-                                               'T)))
+                                               t)))
                                             (setq |domOriginAlist|
                                              (|insertAlist| |conname|
                                               |pred| |domOriginAlist|)))))))))))
@@ -5266,12 +5264,12 @@
                                    (LASSQ |cat| |catOriginAlist|)
                                    '|etc|)
                                (RPLACD |pair| '|etc|))
-                              ('T
+                              (t
                                (RPLACD |pair|
                                        (|simpOrDumb|
                                         (GETDATABASE |pair|
                                          'HASCATEGORY)
-                                        'T))))))))
+                                        t))))))))
              (DO ((G171781 |domOriginAlist| (CDR G171781))
                   (G171714 NIL))
                  ((OR (ATOM G171781)
@@ -5286,7 +5284,7 @@
                (SEQ (EXIT (setq |u|
                                    (|insertAlist| |dom|
                                     (|simpOrDumb| |pred|
-                                     (OR (LASSQ |dom| |u|) 'T))
+                                     (OR (LASSQ |dom| |u|) t))
                                     |u|)))))
              (setq |cAlist| (|listSort| #'GLESSEQP |u|))
              (DO ((G171791 |cAlist| (CDR G171791)) (|pair| NIL))
@@ -5311,21 +5309,21 @@
   (COND
     ((BOOT-EQUAL |new| '|etc|) '|etc|)
     ((ATOM |new|) |old|)
-    ('T '|etc|)))
+    (t '|etc|)))
 
 ;dbShowOpOrigins(htPage,opAlist,which,data) ==
 ;  dbGatherThenShow(htPage,opAlist,which,data,true,_
 ;                   '"from",function bcStarConform)
 
 (defun |dbShowOpOrigins| (|htPage| |opAlist| |which| |data|)
-  (|dbGatherThenShow| |htPage| |opAlist| |which| |data| 'T
+  (|dbGatherThenShow| |htPage| |opAlist| |which| |data| t
       "from" #'|bcStarConform|))
 
 ;dbShowOpImplementations(htPage,opAlist,which,data) ==
 ;  dbGatherThenShow(htPage,opAlist,which,data,true,'"by",function bcStarConform)
 
 (defun |dbShowOpImplementations| (|htPage| |opAlist| |which| |data|)
-  (|dbGatherThenShow| |htPage| |opAlist| |which| |data| 'T
+  (|dbGatherThenShow| |htPage| |opAlist| |which| |data| t
       "by" #'|bcStarConform|))
 
 ;dbShowOpConditions(htPage,opAlist,which,data) ==
@@ -5344,20 +5342,20 @@
 ;  PNAME kind
 
 (defun |dbShowKind| (|conform|)
-  (PROG (|conname| |kind| |s|)
+  (PROG (|conname| kind |s|)
     (RETURN
       (PROGN
         (setq |conname| (CAR |conform|))
-        (setq |kind| (GETDATABASE |conname| 'CONSTRUCTORKIND))
+        (setq kind (GETDATABASE |conname| 'CONSTRUCTORKIND))
         (COND
-          ((BOOT-EQUAL |kind| '|domain|)
+          ((BOOT-EQUAL kind '|domain|)
            (COND
              ((BOOT-EQUAL
                   (ELT (setq |s| (PNAME |conname|)) (MAXINDEX |s|))
                   '&)
               "default package")
-             ('T "domain")))
-          ('T (PNAME |kind|)))))))
+             (t "domain")))
+          (t (PNAME kind)))))))
 
 ;dbShowOpSignatures(htPage,opAlist,which,data) == dbShowOpSigList(which,data,0)
 
@@ -5424,11 +5422,11 @@
                                    "attribute")
                                (|htSay| (|args2HtString|
                                          (AND |sig| (CONS |sig| NIL)))))
-                              ('T (|htSay| ": ")
+                              (t (|htSay| ": ")
                                (COND
                                  ((BOOT-EQUAL |tail| 'ASCONST)
                                   (|bcConform| (CAR |sig|)))
-                                 ('T
+                                 (t
                                   (|bcConform| (CONS '|Mapping| |sig|))))))
                             (|htSay| "}")
                             (setq |count| (+ |count| 1))))))
@@ -5519,7 +5517,7 @@
                                      (|htSay| " {\\em "
                                       (ifcar (IFCDR |args|))
                                       "}"))
-                                    ('T
+                                    (t
                                      (|dbShowOpParameterJump| |ops|
                                       |which| |count| |single?|)
                                      (COND
@@ -5531,7 +5529,7 @@
                                            "attribute")
                                           (NULL (IFCAR |args|))))
                                         '|skip|)
-                                       ('T (|htSay| "(")
+                                       (t (|htSay| "(")
                                         (COND
                                           ((IFCAR |args|)
                                            (|htSay|
@@ -5564,7 +5562,7 @@
 (defun |dbShowOpParameterJump| (|ops| |which| |count| |single?|)
   (COND
     (|single?| (|htSay| "{\\em " |ops| "}"))
-    ('T
+    (t
      (|htMakePage|
          (CONS (CONS '|bcLinks|
                      (CONS (CONS |ops|
@@ -5618,7 +5616,7 @@
   (declare (ignore |data|))
   (PROG (|conform| |newWhich| |expand| |condata| |ISTMP#1| |ISTMP#2|
             |exactlyOneOpSig| |op| |alist| |base| |predicate|
-            |exposeFlag| |k| |comments| |tail| |doc| |pred| |index|
+            |exposeFlag| |k| comments |tail| |doc| |pred| |index|
             |sig| |origin|)
   (declare (special |$exposedOnlyIfTrue|))
     (RETURN
@@ -5631,7 +5629,7 @@
                            ((BOOT-EQUAL |which|
                                 "operation")
                             (|htpProperty| |htPage| '|opAlist|))
-                           ('T (|htpProperty| |htPage| '|attrAlist|))))))
+                           (t (|htpProperty| |htPage| '|attrAlist|))))))
              (setq |newWhich|
                       (PROGN
                         (setq |conform|
@@ -5643,10 +5641,10 @@
                           ((BOOT-EQUAL |which|
                                "package operation")
                            "operation")
-                          ('T |which|))))
+                          (t |which|))))
              (setq |expand|
                       (|dbExpandOpAlistIfNecessary| |htPage| |opAlist|
-                          |which| 'T NIL))
+                          |which| t NIL))
              (COND
                (|expand|
                    (setq |condata|
@@ -5693,7 +5691,7 @@
                                       (setq |origin| (CADDR |item|))
                                       (setq |exposeFlag|
                                        (CADDDR |item|))
-                                      (setq |comments|
+                                      (setq comments
                                        (CAR (CDDDDR |item|)))
                                       (COND
                                         ((OR |exposeFlag|
@@ -5701,37 +5699,37 @@
                                          (PROGN
                                            (COND
                                              ((AND
-                                               (NEQUAL |comments|
+                                               (NEQUAL comments
                                                 "")
-                                               (STRINGP |comments|)
+                                               (STRINGP comments)
                                                (setq |k|
                                                 (|string2Integer|
-                                                 |comments|)))
-                                              (setq |comments|
+                                                 comments)))
+                                              (setq comments
                                                (COND
                                                  ((member |k| '(0 1))
                                                   "")
-                                                 ('T
+                                                 (t
                                                   (|dbReadComments|
                                                    |k|))))
                                               (setq |tail|
                                                (CDDDDR |item|))
                                               (RPLACA |tail|
-                                               |comments|)))
+                                               comments)))
                                            (setq |doc|
                                             (COND
                                               ((AND
-                                                (STRINGP |comments|)
-                                                (NEQUAL |comments|
+                                                (STRINGP comments)
+                                                (NEQUAL comments
                                                  ""))
-                                               |comments|)
-                                              ('T NIL)))
+                                               comments)
+                                              (t NIL)))
                                            (setq |pred|
-                                            (OR |predicate| 'T))
+                                            (OR |predicate| t))
                                            (setq |index|
                                             (COND
                                               (|exactlyOneOpSig| NIL)
-                                              ('T (+ |base| |j|))))
+                                              (t (+ |base| |j|))))
                                            (COND
                                              ((BOOT-EQUAL |which|
                                                                                                "package operation")
@@ -5745,7 +5743,7 @@
                                             |newWhich| |origin| |op|
                                             |sig| |pred| |doc| |index|
                                             '|dbChooseDomainOp|
-                                            (NULL |exposeFlag|) 'T))))))))))))
+                                            (NULL |exposeFlag|) t))))))))))))
                                                )))))
 
 ;dbChooseDomainOp(htPage,which,index) ==
@@ -5775,7 +5773,7 @@
                  (COND
                    ((BOOT-EQUAL |which| "operation")
                     (|htpProperty| |htPage| '|opAlist|))
-                   ('T (|htpProperty| |htPage| '|attrAlist|))))
+                   (t (|htpProperty| |htPage| '|attrAlist|))))
         (setq |LETTMP#1| (ELT |opAlist| |opKey|))
         (setq |op| (CAR |LETTMP#1|))
         (setq |entries| (CDR |LETTMP#1|))
@@ -5786,7 +5784,7 @@
           ((BOOT-EQUAL |which| "operation")
            (|htpSetProperty| |htPage| '|opAlist|
                (CONS (CONS |op| (CONS |entry| NIL)) NIL)))
-          ('T
+          (t
            (|htpSetProperty| |htPage| '|attrAlist|
                (CONS (CONS |op| (CONS |entry| NIL)) NIL))))
         (COND
@@ -5810,8 +5808,8 @@
           (|flag| (|htBlank|))
           ((BOOT-EQUAL (ELT |op| 0) #\*)
            (|htSay| "{\\em *} "))
-          ('T (|htSayUnexposed|))))
-    ('T (|htSay| ""))))
+          (t (|htSayUnexposed|))))
+    (t (|htSay| ""))))
 
 ;--============================================================================
 ;--               Branch-in From Other Places
@@ -5856,7 +5854,7 @@
 ;  dbShowOp1(htPage,reducedOpAlist,which,'names)
 
 (defun |dbShowOperationsFromConform| (|htPage| |which| |opAlist|)
-  (PROG (|$conformsAreDomains| |x| |c| |domform| |conform| |kind|
+  (PROG (|$conformsAreDomains| |x| |c| |domform| |conform| kind
             |exposePart| |fromPart| |heading| |expandProperty|
             |reducedOpAlist|)
     (DECLARE (SPECIAL |$conformsAreDomains| |$topicHash| |$groupChoice|))
@@ -5884,26 +5882,26 @@
                   (SEQ (EXIT (HPUT |$topicHash| |x| |c|))))))
              (COND
                ((setq |domform| (|htpProperty| |htPage| '|domname|))
-                (setq |$conformsAreDomains| 'T)
+                (setq |$conformsAreDomains| t)
                 (|reduceOpAlistForDomain| |opAlist| |domform|
                     |conform|)))
              (setq |conform| (OR |domform| |conform|))
-             (setq |kind|
+             (setq kind
                       (|capitalize| (|htpProperty| |htPage| '|kind|)))
              (setq |exposePart|
                       (COND
                         ((|isExposedConstructor| (|opOf| |conform|))
                          "")
-                        ('T " Unexposed ")))
+                        (t " Unexposed ")))
              (setq |fromPart|
                       (COND
                         (|domform|
                             (|evalableConstructor2HtString| |domform|))
-                        ('T (|form2HtString| |conform|))))
+                        (t (|form2HtString| |conform|))))
              (setq |heading|
                       (CONS " from "
                             (CONS |exposePart|
-                                  (CONS |kind|
+                                  (CONS kind
                                         (CONS " {\\em "
                                          (CONS |fromPart|
                                           (CONS "}" NIL)))))))
@@ -5911,24 +5909,24 @@
                       (COND
                         ((BOOT-EQUAL |which| "operation")
                          '|expandOperations|)
-                        ('T '|expandAttributes|)))
+                        (t '|expandAttributes|)))
              (|htpSetProperty| |htPage| |expandProperty| '|lists|)
              (|htpSetProperty| |htPage| '|fromHeading| |heading|)
              (setq |reducedOpAlist|
                       (COND
                         ((BOOT-EQUAL |which| "operation")
                          (|reduceByGroup| |htPage| |opAlist|))
-                        ('T |opAlist|)))
+                        (t |opAlist|)))
              (COND
                ((BOOT-EQUAL |which| "operation")
                 (|htpSetProperty| |htPage| '|principalOpAlist|
                     |opAlist|)
                 (|htpSetProperty| |htPage| '|opAlist| |reducedOpAlist|))
-               ('T (|htpSetProperty| |htPage| '|attrAlist| |opAlist|)))
+               (t (|htpSetProperty| |htPage| '|attrAlist| |opAlist|)))
              (COND
                (|domform|
                    (|htpSetProperty| |htPage| '|condition?| '|no|))
-               ('T
+               (t
                 (|dbResetOpAlistCondition| |htPage| |which| |opAlist|)))
              (|dbShowOp1| |htPage| |reducedOpAlist| |which| '|names|))))))
 
@@ -5980,9 +5978,9 @@
                                                 (CDR |item|))
                                                (COND
                                                  ((BOOT-EQUAL
-                                                   (CAR |tail|) 'T)
+                                                   (CAR |tail|) t)
                                                   |item|)
-                                                 ('T
+                                                 (t
                                                   (setq |pred|
                                                    (|simpHasPred|
                                                     (SUBLISLIS |form1|
@@ -5990,7 +5988,7 @@
                                                      (QCAR |tail|))))
                                                   (COND
                                                     ((NULL |pred|) NIL)
-                                                    ('T
+                                                    (t
                                                      (RPLACD |item|
                                                       (CONS |pred| NIL))
                                                      |item|)))))
@@ -6003,9 +6001,9 @@
                                                   (CDR |item|))
                                                  (COND
                                                    ((BOOT-EQUAL
-                                                     (CAR |tail|) 'T)
+                                                     (CAR |tail|) t)
                                                     |item|)
-                                                   ('T
+                                                   (t
                                                     (setq |pred|
                                                      (|simpHasPred|
                                                       (SUBLISLIS
@@ -6014,7 +6012,7 @@
                                                     (COND
                                                       ((NULL |pred|)
                                                        NIL)
-                                                      ('T
+                                                      (t
                                                        (RPLACD |item|
                                                         (CONS |pred|
                                                          NIL))
@@ -6084,12 +6082,12 @@
              (COND
                ((BOOT-EQUAL |which| "operation")
                 (|htpSetProperty| |htPage| '|opAlist| |opAlist|))
-               ('T (|htpSetProperty| |htPage| '|attrAlist| |opAlist|)))
+               (t (|htpSetProperty| |htPage| '|attrAlist| |opAlist|)))
              (setq |expandProperty|
                       (COND
                         ((BOOT-EQUAL |which| "operation")
                          '|expandOperations|)
-                        ('T '|expandAttributes|)))
+                        (t '|expandAttributes|)))
              (|htpSetProperty| |htPage| |expandProperty| '|strings|)
              (|dbResetOpAlistCondition| |htPage| |which| |opAlist|)
              (COND
@@ -6138,9 +6136,9 @@
       (PROGN
         (setq |value|
                  (|dbExpandOpAlistIfNecessary| |htPage| |opAlist|
-                     |which| NIL 'T))
+                     |which| NIL t))
         (|htpSetProperty| |htPage| '|condition?|
-            (COND (|value| '|yes|) ('T '|no|)))
+            (COND (|value| '|yes|) (t '|no|)))
         |value|))))
 
 ;dbSetOpAlistCondition(htPage,opAlist,which) ==
@@ -6160,12 +6158,12 @@
         (COND
           ((member |condition| '(|yes| |no|))
            (BOOT-EQUAL |condition| '|yes|))
-          ('T
+          (t
            (setq |value|
                     (|dbExpandOpAlistIfNecessary| |htPage| |opAlist|
-                        |which| NIL 'T))
+                        |which| NIL t))
            (|htpSetProperty| |htPage| '|condition?|
-               (COND (|value| '|yes|) ('T '|no|)))
+               (COND (|value| '|yes|) (t '|no|)))
            |value|))))))
 
 ;dbExpandOpAlistIfNecessary(htPage,opAlist,which,needOrigins?,condition?) ==
@@ -6256,7 +6254,7 @@
        (|htPage| |opAlist| |which| |needOrigins?| |condition?|)
   (declare (special |needOrigins?|))
   (PROG (|$value| |expandProperty| |expandFlag| |lines| |LETTMP#1|
-            |name| |nargs| |xflag| |sigs| |comments| |predicate|
+            |name| |nargs| |xflag| |sigs| comments |predicate|
             |value| |conname| |exposeFlag| |acc| |s| |catname|
             |packageSymbol| |domform| |docTable| |op| |alist| |tail|
             |pred| |ISTMP#1| |sig| |u| |origin| |docCode| |doc|)
@@ -6270,7 +6268,7 @@
                       (COND
                         ((BOOT-EQUAL |which| "operation")
                          '|expandOperations|)
-                        ('T '|expandAttributes|)))
+                        (t '|expandAttributes|)))
              (setq |expandFlag|
                       (|htpProperty| |htPage| |expandProperty|))
              (COND
@@ -6304,10 +6302,10 @@
                                                    (CADR |line|))))
                                                 (setq |value|
                                                  |pred|))
-                                               ('T NIL))))
+                                               (t NIL))))
                                           (setq |acc|
                                            (CONS |line| |acc|)))
-                                         ('T
+                                         (t
                                           (setq |LETTMP#1|
                                            (|dbParts| |line| 7 1))
                                           (setq |name|
@@ -6322,7 +6320,7 @@
                                            (CAR (CDDDDR |LETTMP#1|)))
                                           (setq |pred|
                                            (CADR (CDDDDR |LETTMP#1|)))
-                                          (setq |comments|
+                                          (setq comments
                                            (CADDR (CDDDDR |LETTMP#1|)))
                                           (setq |predicate|
                                            (|ncParseFromString| |pred|))
@@ -6348,7 +6346,7 @@
                                                    (CONS
                                                     ": "
                                                     (CONS |sigs| NIL))))))
-                                               ('T
+                                               (t
                                                 (setq |sig|
                                                  (CDR |sig|))))))
                                           (setq |conname|
@@ -6367,7 +6365,7 @@
                                              (CONS |predicate|
                                               (CONS |origin|
                                                (CONS |exposeFlag|
-                                                (CONS |comments| NIL)))))
+                                                (CONS comments NIL)))))
                                             |acc|)))))))
                                (RPLACD |pair| (NREVERSE |acc|))
                                (COND
@@ -6376,7 +6374,7 @@
                 (COND
                   (|value| |value|)
                   (|condition?| NIL)
-                  ('T
+                  (t
                    (|htpSetProperty| |htPage| |expandProperty|
                        '|fullyExpanded|))))
                ((BOOT-EQUAL |expandFlag| '|lists|)
@@ -6436,8 +6434,8 @@
                                              (RETURN
                                                (setq |$value|
                                                 |pred|)))
-                                            ('T '|skip|)))
-                                         ('T
+                                            (t '|skip|)))
+                                         (t
                                           (setq |u|
                                            (COND
                                              ((AND (CONSP |tail|)
@@ -6448,14 +6446,14 @@
                                                   (PROGN
                                                     (setq |origin|
                                                      (QCAR |ISTMP#1|))
-                                                    'T)))
+                                                    t)))
                                                |origin|)
                                               (|dbGetDocTable| |op|
                                                (SUBLISLIS (CONS '$ NIL)
                                                 (CONS '% NIL) |sig|)
                                                (|dbDocTable| |origin|)
                                                |which| NIL))
-                                             ('T
+                                             (t
                                               (COND
                                                 (|packageSymbol|
                                                  (setq |sig|
@@ -6486,10 +6484,10 @@
                 (COND
                   (|$value| |$value|)
                   (|condition?| NIL)
-                  ('T
+                  (t
                    (|htpSetProperty| |htPage| |expandProperty|
                        '|fullyExpanded|))))
-               ('T '|done|)))))))
+               (t '|done|)))))))
 
 ;getRegistry(op,sig) ==
 ;  u := GETDATABASE('AttributeRegistry,'DOCUMENTATION)
@@ -6531,7 +6529,7 @@
                                         (SETQ G172408
                                          (OR G172408 |y|))))))))))
                 (CADR |match|))
-               ('T "")))))))
+               (t "")))))))
 
 ;evalableConstructor2HtString domform ==
 ;  if VECP domform then domform := devaluate domform
@@ -6561,7 +6559,7 @@
                     (PROGN
                       (setq |f| (QCAR |arg|))
                       (setq |args| (QCDR |arg|))
-                      'T))
+                      t))
                (EXIT (SEQ (IF (BOOT-EQUAL |f| 'QUOTE)
                               (EXIT (CAR |args|)))
                           (EXIT (CONS |f|
@@ -6598,7 +6596,7 @@
              (setq |coSig| (CDR (GETDATABASE |conname| 'COSIG)))
              (COND
                ((PROG (G172461)
-                  (setq G172461 'T)
+                  (setq G172461 t)
                   (RETURN
                     (DO ((G172467 NIL (NULL G172461))
                          (G172468 |coSig| (CDR G172468)) (|x| NIL))
@@ -6606,8 +6604,8 @@
                              (PROGN (SETQ |x| (CAR G172468)) NIL))
                          G172461)
                       (SEQ (EXIT (SETQ G172461 (AND G172461 |x|)))))))
-                (|form2HtString| |domform| NIL 'T))
-               ('T
+                (|form2HtString| |domform| NIL t))
+               (t
                 (setq |arglist|
                          (PROG (G172479)
                            (setq G172479 NIL)
@@ -6660,7 +6658,7 @@
                                        (CONS
                                         (COND
                                           (|x| |arg|)
-                                          ('T
+                                          (t
                                            (setq |typ|
                                             (|sublisFormal| |arglist|
                                              |ftype|))
@@ -6669,7 +6667,7 @@
                                              |arg| |typ|
                                              '(|OutputForm|)))))
                                         G172496))))))))
-                    NIL 'T))))))))
+                    NIL t))))))))
 
 ;mathform2HtString form == escapeString
 ;  $fortInts2Floats: local := false
@@ -6706,7 +6704,7 @@
                                 (EQ (QCDR |ISTMP#1|) NIL)
                                 (PROGN
                                   (setq |a| (QCAR |ISTMP#1|))
-                                  'T))))
+                                  t))))
                     (STRCONC "'"
                              (PROG (G172582)
                                (setq G172582 "")
@@ -6736,16 +6734,16 @@
                                        (PROGN
                                          (setq |arg|
                                           (QCDR |ISTMP#2|))
-                                         'T))))))
+                                         t))))))
                     (COND
                       ((AND (CONSP |arg|)
                             (EQ (QCAR |arg|) '|construct|)
-                            (PROGN (setq |r| (QCDR |arg|)) 'T))
+                            (PROGN (setq |r| (QCDR |arg|)) t))
                        (setq |arg| |r|)))
                     (setq |arg|
                              (COND
                                ((ATOM |arg|) (CONS |arg| NIL))
-                               ('T
+                               (t
                                 (PROG (G172598)
                                   (setq G172598 NIL)
                                   (RETURN
@@ -6774,9 +6772,9 @@
                                                    (PROGN
                                                      (setq |a|
                                                       (QCAR |ISTMP#1|))
-                                                     'T))))
+                                                     t))))
                                                |a|)
-                                              ('T |x|)))
+                                              (t |x|)))
                                            (SETQ G172598
                                             (CONS |y| G172598))))))))))))
                     (setq |tailPart|
@@ -6821,7 +6819,7 @@
                                              (PROGN
                                                (setq |arg|
                                                 (QCAR |ISTMP#4|))
-                                               'T))))))))))
+                                               t))))))))))
                     (COND
                       ((ATOM |arg|) (setq |arg| (CONS |arg| NIL))))
                     (setq |tailPart|
@@ -6844,7 +6842,7 @@
                     (STRCONC "[" (CAR |arg|) |tailPart|
                              "]"))
                    ((ATOM |form|) |form|)
-                   ('T
+                   (t
                     (PROG (G172632)
                       (setq G172632 "")
                       (RETURN
@@ -6870,10 +6868,10 @@
       (SEQ (COND
              ((ATOM |form|) |form|)
              ((AND (CONSP |form|) (EQ (QCDR |form|) NIL)
-                   (PROGN (setq |x| (QCAR |form|)) 'T)
+                   (PROGN (setq |x| (QCAR |form|)) t)
                    (GETL |x| 'NILADIC))
               |x|)
-             ('T
+             (t
               (PROG (G172679)
                 (setq G172679 NIL)
                 (RETURN
@@ -6939,7 +6937,7 @@
       (SEQ (PROGN
              (setq |ops| (ifcar |options|))
              (setq |$predEvalAlist| NIL)
-             (setq |$returnNowhereFromGoGet| 'T)
+             (setq |$returnNowhereFromGoGet| t)
              (setq |domname| (ELT |dom| 0))
              (setq |conname| (CAR |domname|))
              (setq |abb| (|getConstructorAbbreviation| |conname|))
@@ -7056,12 +7054,12 @@
                                                              (|systemError|
                                                               (|devaluateList|
                                                                |r|)))
-                                                            ('T
+                                                            (t
                                                              (MSUBST '$
                                                               |domname|
                                                               (|devaluate|
                                                                |r|)))))
-                                                         ('T
+                                                         (t
                                                           '|nowhere|)))
                                                       (CONS |sig1|
                                                        |info|)))
@@ -7114,10 +7112,10 @@
                     (PROGN
                       (setq |op| (QCAR |pred|))
                       (setq |argl| (QCDR |pred|))
-                      'T))
+                      t))
                (EXIT (SEQ (IF (member |op| '(AND |and|))
                               (EXIT (PROG (G172834)
-                                      (setq G172834 'T)
+                                      (setq G172834 t)
                                       (RETURN
                                         (DO
                                          ((G172840 NIL
@@ -7177,12 +7175,12 @@
                                      (IF (NULL |attPredIndex|)
                                       (EXIT NIL))
                                      (IF (EQL |attPredIndex| 0)
-                                      (EXIT 'T))
+                                      (EXIT t))
                                      (EXIT
                                       (|testBitVector| (ELT |dom| 3)
                                        |attPredIndex|)))))
                           (EXIT NIL))))
-           (IF (BOOT-EQUAL |pred| 'T) (EXIT 'T))
+           (IF (BOOT-EQUAL |pred| t) (EXIT t))
            (EXIT (|systemError|
                      "unknown atomic predicate form"))))))
 
@@ -7226,7 +7224,7 @@
                     (PROGN
                       (setq |op| (QCAR |pred|))
                       (setq |argl| (QCDR |pred|))
-                      'T))
+                      t))
                (EXIT (SEQ (IF (member |op| '(AND |and|))
                               (EXIT (CONS 'AND
                                      (PROG (G172900)
@@ -7293,7 +7291,7 @@
                                           (PROGN
                                             (setq |a|
                                              (QCAR |ISTMP#1|))
-                                            'T))))
+                                            t))))
                                       (EXIT
                                        (CONS '|HasAttribute|
                                         (CONS |arg|
@@ -7307,14 +7305,14 @@
                                          NIL)))))))
                           (EXIT (|systemError|
                                                                          "unknown predicate form")))))
-           (IF (BOOT-EQUAL |pred| 'T) (EXIT 'T))
+           (IF (BOOT-EQUAL |pred| t) (EXIT t))
            (EXIT (|systemError| NIL))))))
 
 (defun |evalDomainOpPred,process| (|dom| |pred|)
   (PROG (|u|)
     (RETURN
       (SEQ (setq |u| (|evalDomainOpPred,convert| |dom| |pred|))
-           (IF (BOOT-EQUAL |u| 'T) (EXIT 'T))
+           (IF (BOOT-EQUAL |u| t) (EXIT t))
            (EXIT (|evalDomainOpPred,evpred| |dom| |u|))))))
 
 (defun |evalDomainOpPred| (|dom| |pred|)
@@ -7359,7 +7357,7 @@
 ;  bcConform(u,true)
 
 (defun |htSayConstructor| (|key| |u|)
-  (PROG (|kind| |ISTMP#2| |middle| |ISTMP#1| |r|)
+  (PROG (kind |ISTMP#2| |middle| |ISTMP#1| |r|)
     (RETURN
       (SEQ (COND
              ((AND (CONSP |u|) (EQ (QCAR |u|) 'CATEGORY)
@@ -7367,26 +7365,26 @@
                      (setq |ISTMP#1| (QCDR |u|))
                      (AND (CONSP |ISTMP#1|)
                           (PROGN
-                            (setq |kind| (QCAR |ISTMP#1|))
+                            (setq kind (QCAR |ISTMP#1|))
                             (setq |r| (QCDR |ISTMP#1|))
-                            'T))))
-              (|htSay| "a " |kind| " ")
+                            t))))
+              (|htSay| "a " kind " ")
               (|htSayExplicitExports| |r|))
              ((BOOT-EQUAL |key| '|is|)
               (|htSay| "the domain ")
-              (|bcConform| |u| 'T))
-             ('T
+              (|bcConform| |u| t))
+             (t
               (|htSay| (COND
                          ((BOOT-EQUAL |key| '|is|)
                           "the domain ")
-                         ('T
-                          (setq |kind|
+                         (t
+                          (setq kind
                                    (GETDATABASE (|opOf| |u|)
                                     'CONSTRUCTORKIND))
                           (COND
-                            ((BOOT-EQUAL |kind| '|domain|)
+                            ((BOOT-EQUAL kind '|domain|)
                              "an element of ")
-                            ('T "a domain of ")))))
+                            (t "a domain of ")))))
               (COND
                 ((AND (CONSP |u|) (EQ (QCAR |u|) '|Join|)
                       (PROGN
@@ -7394,18 +7392,18 @@
                         (AND (CONSP |ISTMP#1|)
                              (PROGN
                                (setq |ISTMP#2| (REVERSE |ISTMP#1|))
-                               'T)
+                               t)
                              (CONSP |ISTMP#2|)
                              (PROGN
                                (setq |r| (QCAR |ISTMP#2|))
                                (setq |middle| (QCDR |ISTMP#2|))
-                               'T)
+                               t)
                              (PROGN
                                (setq |middle| (NREVERSE |middle|))
-                               'T))))
+                               t))))
                  (COND
                    ((CDR |middle|) (|htSay| "categories ")
-                    (|bcConform| (CAR |middle|) 'T)
+                    (|bcConform| (CAR |middle|) t)
                     (DO ((G172987 (CDR |middle|) (CDR G172987))
                          (|x| NIL))
                         ((OR (ATOM G172987)
@@ -7413,7 +7411,7 @@
                          NIL)
                       (SEQ (EXIT (PROGN
                                    (|htSay| ", ")
-                                   (|bcConform| |x| 'T)))))
+                                   (|bcConform| |x| t)))))
                     (COND
                       ((AND (CONSP |r|) (EQ (QCAR |r|) 'CATEGORY)
                             (PROGN
@@ -7421,13 +7419,13 @@
                               (AND (CONSP |ISTMP#1|)
                                    (PROGN
                                      (setq |r| (QCDR |ISTMP#1|))
-                                     'T))))
+                                     t))))
                        (|htSay| " and ")
                        (|htSayExplicitExports| |r|))
-                      ('T (|htSay| " and ")
-                       (|bcConform| |r| 'T))))
-                   ('T (|htSay| "category ")
-                    (|bcConform| (CAR |middle|) 'T)
+                      (t (|htSay| " and ")
+                       (|bcConform| |r| t))))
+                   (t (|htSay| "category ")
+                    (|bcConform| (CAR |middle|) t)
                     (COND
                       ((AND (CONSP |r|) (EQ (QCAR |r|) 'CATEGORY)
                             (PROGN
@@ -7435,13 +7433,13 @@
                               (AND (CONSP |ISTMP#1|)
                                    (PROGN
                                      (setq |r| (QCDR |ISTMP#1|))
-                                     'T))))
+                                     t))))
                        (|htSay| " ")
                        (|htSayExplicitExports| |r|))
-                      ('T (|htSay| " and ")
-                       (|bcConform| |r| 'T))))))
-                ('T (|htSay| |kind| " ")
-                 (|bcConform| |u| 'T)))))))))
+                      (t (|htSay| " and ")
+                       (|bcConform| |r| t))))))
+                (t (|htSay| kind " ")
+                 (|bcConform| |u| t)))))))))
 
 ;htSayExplicitExports r ==
 ;  htSay '"with explicit exports"
@@ -7469,7 +7467,7 @@
              (|htSay| "with explicit exports")
              (COND
                (|$displayReturnValue| NIL)
-               ('T (|htSay| ":")
+               (t (|htSay| ":")
                 (DO ((G173049 |r| (CDR G173049)) (|x| NIL))
                     ((OR (ATOM G173049)
                          (PROGN (SETQ |x| (CAR G173049)) NIL))
@@ -7492,7 +7490,7 @@
                                              (PROGN
                                                (setq |sig|
                                                 (QCAR |ISTMP#2|))
-                                               'T))))))
+                                               t))))))
                                   (setq |ops|
                                            (|escapeSpecialChars|
                                             (princ-to-string |op|)))
@@ -7517,7 +7515,7 @@
                                           (PROGN
                                             (setq |a|
                                              (QCAR |ISTMP#1|))
-                                            'T))))
+                                            t))))
                                   (setq |s| (|form2HtString| |a|))
                                   (|htMakePage|
                                       (CONS
@@ -7531,7 +7529,7 @@
                                        NIL)))
                                  ((AND (CONSP |x|) (EQ (QCAR |x|) 'IF))
                                   (|htSay| "{\\em if ...}"))
-                                 ('T (|systemError|))))))))))))))
+                                 (t (|systemError|))))))))))))))
 
 ;displayBreakIntoAnds pred ==
 ;  pred is [op,:u] and MEMBER(op,'(and AND)) => u
@@ -7545,10 +7543,10 @@
               (PROGN
                 (setq |op| (QCAR |pred|))
                 (setq |u| (QCDR |pred|))
-                'T)
+                t)
               (|member| |op| '(|and| AND)))
          |u|)
-        ('T (CONS |pred| NIL))))))
+        (t (CONS |pred| NIL))))))
 
 ;htSayValue t ==
 ;  t is ['Mapping,target,:source] =>
@@ -7573,17 +7571,17 @@
                      (PROGN
                        (setq |target| (QCAR |ISTMP#1|))
                        (setq |source| (QCDR |ISTMP#1|))
-                       'T))))
+                       t))))
          (|htSay| "a function from ")
          (|htSayTuple| |source|) (|htSay| " to ")
          (|htSayArgument| |target|))
         ((BOOT-EQUAL |t| '(|Category|))
          (|htSay| "a category"))
-        ((OR (AND (CONSP |t|) (PROGN (setq |op| (QCAR |t|)) 'T)
+        ((OR (AND (CONSP |t|) (PROGN (setq |op| (QCAR |t|)) t)
                   (member |op| '(|Join| CATEGORY)))
              (|constructor?| (|opOf| |t|)))
          (|htSayConstructor| NIL |t|))
-        ('T (|htSay| "an element of domain ")
+        (t (|htSay| "an element of domain ")
          (|htSayArgument| |t|))))))
 
 ;htSayArgument t == --called only for operations not for constructors
@@ -7617,11 +7615,11 @@
             (COND
               (|$generalSearch?|
                   (|htSay|                                "{\\em D} of the origin category"))
-              ('T (|addWhereList| '$ '|is| NIL)
+              (t (|addWhereList| '$ '|is| NIL)
                (|htSayStandard| "{\\em $}"))))
-           ('T (|htSayStandard| "{\\em $}"))))
-        ((NULL (IDENTP |t|)) (|bcConform| |t| 'T))
-        ('T (setq |k| (|position| |t| |$conargs|))
+           (t (|htSayStandard| "{\\em $}"))))
+        ((NULL (IDENTP |t|)) (|bcConform| |t| t))
+        (t (setq |k| (|position| |t| |$conargs|))
          (COND
            ((> |k| (- 1))
             (setq |typeOfArg| (ELT (CDR |$signature|) |k|))
@@ -7631,9 +7629,9 @@
 ;addWhereList(id,kind,typ) ==
 ;  $whereList := insert([id,kind,:typ],$whereList)
 
-(defun |addWhereList| (|id| |kind| |typ|)
+(defun |addWhereList| (|id| kind |typ|)
   (setq |$whereList|
-           (|insert| (CONS |id| (CONS |kind| |typ|)) |$whereList|)))
+           (|insert| (CONS |id| (CONS kind |typ|)) |$whereList|)))
 
 ;htSayTuple t ==
 ;  null t => htSay '"()"
@@ -7649,7 +7647,7 @@
   (SEQ (COND
          ((NULL |t|) (|htSay| "()"))
          ((NULL (CDR |t|)) (|htSayArgument| (CAR |t|)))
-         ('T (|htSay| "(") (|htSayArgument| (CAR |t|))
+         (t (|htSay| "(") (|htSayArgument| (CAR |t|))
           (DO ((G173112 (CDR |t|) (CDR G173112)) (|d| NIL))
               ((OR (ATOM G173112)
                    (PROGN (SETQ |d| (CAR G173112)) NIL))
@@ -7681,7 +7679,7 @@
   (PROG (|doc| |k| |n| |s| |parse|)
     (RETURN
       (PROGN
-        (setq |doc| (COND ((STRINGP |x|) |x|) ('T (CAR |x|))))
+        (setq |doc| (COND ((STRINGP |x|) |x|) (t (CAR |x|))))
         (COND
           ((AND (STRINGP |doc|)
                 (OR (AND (|stringPrefix?| "\\spad{" |doc|)
@@ -7695,7 +7693,7 @@
              ((AND (CONSP |parse|) (EQUAL (QCAR |parse|) |op|)
                    (BOOT-EQUAL (|#| |parse|) (|#| |sig|)))
               |parse|)))
-          ('T NIL))))))
+          (t NIL))))))
 
 ;dbMakeContrivedForm(op,sig,:options) ==
 ;  $chooseDownCaseOfType : local := IFCAR options
@@ -7742,7 +7740,7 @@
       (SEQ (COND
              ((BOOT-EQUAL |op| "0") (CONS 0 NIL))
              ((BOOT-EQUAL |op| "1") (CONS 1 NIL))
-             ('T
+             (t
               (CONS |op|
                     (PROG (G173161)
                       (setq G173161 NIL)
@@ -7787,7 +7785,7 @@
 ;  x
 
 (defun |dbChooseOperandName| (|typ|)
-  (PROG (|name| |kind| |s| |y| |x|)
+  (PROG (|name| kind |s| |y| |x|)
   (declare (special |$FunctionList| |$NumberList| |$chooseDownCaseOfType|
                     |$ElementList| |$DomainList|)) 
     (RETURN
@@ -7795,20 +7793,20 @@
         ((AND (CONSP |typ|) (EQ (QCAR |typ|) '|Mapping|))
          (setq |x| (CAR |$FunctionList|))
          (setq |$FunctionList| (CDR |$FunctionList|)) |x|)
-        ('T (setq |name| (|opOf| |typ|))
-         (setq |kind|
+        (t (setq |name| (|opOf| |typ|))
+         (setq kind
                   (COND
                     ((BOOT-EQUAL |name| '$) '|domain|)
-                    ('T (GETDATABASE |name| 'CONSTRUCTORKIND))))
+                    (t (GETDATABASE |name| 'CONSTRUCTORKIND))))
          (setq |s| (PNAME (|opOf| |typ|)))
          (COND
-           ((NEQUAL |kind| '|category|)
+           ((NEQUAL kind '|category|)
             (COND
               ((OR (|anySubstring?| "Integer" |s| 0)
                    (|anySubstring?| "Number" |s| 0))
                (setq |x| (CAR |$NumberList|))
                (setq |$NumberList| (CDR |$NumberList|)) |x|)
-              ('T
+              (t
                (setq |x|
                         (COND
                           (|$chooseDownCaseOfType|
@@ -7817,11 +7815,11 @@
                                        (COND
                                          ((|member| |y| |$ElementList|)
                                           |y|)
-                                         ('T (CAR |$ElementList|)))))
-                          ('T (CAR |$ElementList|))))
+                                         (t (CAR |$ElementList|)))))
+                          (t (CAR |$ElementList|))))
                (setq |$ElementList| (|delete| |x| |$ElementList|))
                |x|)))
-           ('T (setq |x| (CAR |$DomainList|))
+           (t (setq |x| (CAR |$DomainList|))
             (setq |$DomainList| (CDR |$DomainList|)) |x|)))))))
 
 ;getSubstSigIfPossible sig ==
@@ -7845,7 +7843,7 @@
       (SEQ (COND
              ((BOOT-EQUAL |z| |y|) |x|)
              ((ATOM |z|) |z|)
-             ('T
+             (t
               (PROG (G173208)
                 (setq G173208 NIL)
                 (RETURN
@@ -7883,7 +7881,7 @@
                                     (AND (CONSP |ISTMP#1|)
                                      (PROGN
                                        (setq |.| (QCDR |ISTMP#1|))
-                                       'T))))
+                                       t))))
                              (COND
                                ((|getSubstQualify| |x| |i| |sig|)
                                 (setq |candidates|
@@ -7921,7 +7919,7 @@
                                                           (setq |.|
                                                            (QCDR
                                                             |ISTMP#1|))
-                                                          'T))))
+                                                          t))))
                                                     (SETQ G173248
                                                      (OR G173248
                                                       (|getSubstQualify|
@@ -7959,14 +7957,14 @@
              (setq |candidates| (|getSubstCandidates| |sig|))
              (COND
                ((NULL |candidates|) NIL)
-               ('T (setq D (CAR |$DomainList|))
+               (t (setq D (CAR |$DomainList|))
                 (setq |$DomainList| (CDR |$DomainList|))
                 (setq |winner| (CAR |candidates|))
                 (setq |newsig| (|fullSubstitute| D |winner| |sig|))
                 (setq |sig|
                          (COND
                            ((NULL (CDR |candidates|)) |newsig|)
-                           ('T (setq |count| (NUMOFNODES |newsig|))
+                           (t (setq |count| (NUMOFNODES |newsig|))
                             (DO ((G173288 (CDR |candidates|)
                                      (CDR G173288))
                                  (|x| NIL))
@@ -8014,7 +8012,7 @@
                                         (OR G173310
                                          (CONTAINED |x| |y|))))))))))
               |x|)
-             ('T NIL))))))
+             (t NIL))))))
 
 ;getSubstInsert(x,candidates) ==
 ;    return insert(x,candidates)
@@ -8061,7 +8059,7 @@
                                       (OR G173345
                                        (CONTAINED |y| |x|)))))))))
                 (MSUBST |x| |y| |candidates|))
-               ('T |candidates|)))))))
+               (t |candidates|)))))))
 
 ;--=======================================================================
 ;--                      Who Uses
@@ -8121,7 +8119,7 @@
       (SEQ (COND
              ((BOOT-EQUAL |key| '|filter|)
               (|koaPageFilterByName| |htPage| '|whoUsesOperation|))
-             ('T
+             (t
               (setq |opAlist| (|htpProperty| |htPage| '|opAlist|))
               (setq |conform| (|htpProperty| |htPage| '|conform|))
               (setq |conargs| (CDR |conform|)) (setq |opl| NIL)
@@ -8183,7 +8181,7 @@
                                         (|form2HtString|
                                          (CONS '|Mapping| |sig|))
                                         (CONS "}" NIL))))))
-                         ('T
+                         (t
                           (CONS " these operations" NIL))))
               (setq |page|
                        (|htInitPage| (APPEND |prefix| |suffix|)
@@ -8251,7 +8249,7 @@
                  (|htSay| (COND
                             ((EQL (|#| |noOneUses|) 1)
                              "operation: ")
-                            ('T
+                            (t
                              (CONS (|#| |noOneUses|)
                                    (CONS " operations:"
                                     NIL)))))
@@ -8360,7 +8358,7 @@
                                         (|dbInfovec| |name|))
                                (COND
                                  ((NULL |$infovec|) '|skip|)
-                                 ('T
+                                 (t
                                   (setq |template|
                                            (ELT |$infovec| 0))
                                   (setq |found| NIL)
@@ -8383,10 +8381,10 @@
                                                  (QCAR |item|))
                                                 (setq |op|
                                                  (QCDR |item|))
-                                                'T)))
+                                                t)))
                                             (NULL (member |op| |opList|)))
                                            '|skip|)
-                                          ('T (setq |index| |n|)
+                                          (t (setq |index| |n|)
                                            (setq |numvec|
                                             (|getCodeVector|))
                                            (setq |numOfArgs|
@@ -8396,7 +8394,7 @@
                                                (|member| |numOfArgs|
                                                 |numOfArgsList|))
                                               '|skip|)
-                                             ('T
+                                             (t
                                               (setq |whereNumber|
                                                (ELT |numvec|
                                                 (setq |index|
@@ -8413,7 +8411,7 @@
                                                       (QCAR |ISTMP#1|)
                                                       |$conname|))))
                                                  '|skip|)
-                                                ('T
+                                                (t
                                                  (setq |signumList|
                                                   (|dcSig| |numvec|
                                                    (+ |index| 1)
@@ -8480,7 +8478,7 @@
                                      (setq |acc|
                                       (CONS (CONS |name| |opacc|)
                                        |acc|)))
-                                    ('T NIL))))))))))
+                                    (t NIL))))))))))
              |acc|)))))
 
 ;whoUsesMatch?(signumList,sig,al) ==
@@ -8510,29 +8508,29 @@
               (PROGN
                 (setq |subject| (QCAR |signumList|))
                 (setq |r| (QCDR |signumList|))
-                'T)
+                t)
               (CONSP |sig|)
               (PROGN
                 (setq |pattern| (QCAR |sig|))
                 (setq |s| (QCDR |sig|))
-                'T))
+                t))
          (COND
            ((setq |x| (LASSOC |pattern| |al|))
             (COND
               ((BOOT-EQUAL |x| |subject|)
                (|whoUsesMatch1?| |r| |s| |al|))
-              ('T NIL)))
+              (t NIL)))
            ((BOOT-EQUAL |pattern| '$)
             (COND
               ((AND (CONSP |subject|)
                     (EQUAL (QCAR |subject|) |$conname|))
                (|whoUsesMatch1?| |r| |s|
                    (CONS (CONS '$ |subject|) |al|)))
-              ('T NIL)))
-           ('T
+              (t NIL)))
+           (t
             (|whoUsesMatch1?| |r| |s|
                 (CONS (CONS |pattern| |subject|) |al|)))))
-        ('T 'T)))))
+        (t t)))))
 
 ;--=======================================================================
 ;--                   Get Attribute/Operation Alist
@@ -8592,13 +8590,13 @@
                ((BOOT-EQUAL '|category|
                     (GETDATABASE |conname| 'CONSTRUCTORKIND))
                 (|koCatAttrs| |conform| |domname|))
-               ('T
+               (t
                 (setq |$infovec|
                          (OR (|dbInfovec| |conname|) (RETURN NIL)))
                 (setq |$predvec|
                          (COND
                            (|$domain| (ELT |$domain| 3))
-                           ('T (GETDATABASE |conname| 'PREDICATES))))
+                           (t (GETDATABASE |conname| 'PREDICATES))))
                 (setq |u|
                          (PROG (G173702)
                            (setq G173702 NIL)
@@ -8840,7 +8838,7 @@
   (COND
     ((BOOT-EQUAL |x| '|Zero|) 0)
     ((BOOT-EQUAL |x| '|One|) 1)
-    ('T |x|)))
+    (t |x|)))
 
 ;kFormatSlotDomain x == fn formatSlotDomain x where fn x ==
 ;  atom x => x
@@ -8959,8 +8957,8 @@
                                           (setq |r| (CDR |item|))
                                           (COND
                                             ((NULL |r|)
-                                             (CONS |sig| (CONS 'T NIL)))
-                                            ('T
+                                             (CONS |sig| (CONS t NIL)))
+                                            (t
                                              (setq |key| (CAR |r|))
                                              (setq |options|
                                               (CDR |r|))
@@ -8975,14 +8973,14 @@
                                                     'ASCONST)
                                                    (CONS |sig|
                                                     (CONS 'ASCONST NIL)))
-                                                  ('T
+                                                  (t
                                                    (CONS |sig|
-                                                    (CONS 'T NIL)))))
+                                                    (CONS t NIL)))))
                                                ((setq |npred|
                                                  (|simpHasPred| |pred|))
                                                 (CONS |sig|
                                                  (CONS |npred| NIL)))
-                                               ('T NIL))))))
+                                               (t NIL))))))
                                (SETQ G173969 (CONS |x| G173969)))))))))))))
 
 ;koCatAttrs(catform,domname) ==
@@ -9000,7 +8998,7 @@
       (SEQ (PROGN
              (setq |$if| (MAKE-HASHTABLE 'ID))
              (setq |catname| (|opOf| |catform|))
-             (|koCatAttrsAdd| (OR |domname| |catform|) 'T)
+             (|koCatAttrsAdd| (OR |domname| |catform|) t)
              (setq |ancestors| (|ancestorsOf| |catform| |domname|))
              (DO ((G174001 |ancestors| (CDR G174001))
                   (G173992 NIL))
@@ -9080,7 +9078,7 @@
                                     (CONS |argl|
                                      (CONS (|simpHasPred| |npred|) NIL))
                                     |exists|)))
-                            ('T NIL))))))))))
+                            (t NIL))))))))))
 
 ;--=======================================================================
 ;--            Filter by Category
@@ -9135,7 +9133,7 @@
         (|htpSetProperty| |page| '|ancestors|
             (|listSort| #'GLESSEQP |ancestors|))
         (|bcNameCountTable| |ancestors| '|form2HtString|
-            '|koaPageFilterByCategory1| 'T)
+            '|koaPageFilterByCategory1| t)
         (|htShowPage|)))))
 
 ;dbHeading(items,which,heading,:options) ==
@@ -9162,7 +9160,7 @@
              (setq |count|
                       (COND
                         (|names?| (|#| |items|))
-                        ('T
+                        (t
                          (PROG (G174082)
                            (setq G174082 0)
                            (RETURN
@@ -9184,11 +9182,11 @@
                            (|names?|
                                (|pluralSay| |count|
                                    (STRCONC |capwhich| '| Name|) NIL))
-                           ('T (|pluralSay| |count| |capwhich| NIL))))
+                           (t (|pluralSay| |count| |capwhich| NIL))))
                         (|names?|
                             (|pluralSay| |count| NIL
                                 (STRCONC |capwhich| '| Names|)))
-                        ('T
+                        (t
                          (|pluralSay| |count| NIL
                              (|pluralize| |capwhich|)))))
              (APPEND |prefix| (CONS " for " |heading|)))))))
@@ -9287,7 +9285,7 @@
                                                    (IFCAR |u|))
                                                   (setq |doc|
                                                    (IFCDR |u|))
-                                                  'T)
+                                                  t)
                                                 (SETQ G174157
                                                  (CONS
                                                   (CONS |origin|
@@ -9390,9 +9388,9 @@
              (setq |x| (princ-to-string |opstring|))
              (COND
                ((> (|#| |x|) (|charPosition| #\* |x| 0)) NIL)
-               ('T
+               (t
                 (setq |op|
-                         (COND ((STRINGP |x|) (INTERN |x|)) ('T |x|)))
+                         (COND ((STRINGP |x|) (INTERN |x|)) (t |x|)))
                 (setq |mmList|
                          (OR (|getAllModemapsFromDatabase| |op| NIL)
                              (RETURN NIL)))
@@ -9482,9 +9480,9 @@
         (setq |partial?|
                  (COND
                    ((AND (CONSP |conds|) (EQ (QCAR |conds|) '|partial|)
-                         (PROGN (setq |r| (QCDR |conds|)) 'T))
+                         (PROGN (setq |r| (QCDR |conds|)) t))
                     (setq |conds| |r|))
-                   ('T NIL)))
+                   (t NIL)))
         (setq |condlist| (|modemap2SigConds| |conds|))
         (setq |LETTMP#1|
                  (OR (|getDcForm| |dc| |condlist|) (RETURN NIL)))
@@ -9529,12 +9527,12 @@
     (RETURN
       (COND
         ((AND (CONSP |conds|) (EQ (QCAR |conds|) 'OR)
-              (PROGN (setq |r| (QCDR |conds|)) 'T))
+              (PROGN (setq |r| (QCDR |conds|)) t))
          (|modemap2SigConds| (CAR |r|)))
         ((AND (CONSP |conds|) (EQ (QCAR |conds|) 'AND)
-              (PROGN (setq |r| (QCDR |conds|)) 'T))
+              (PROGN (setq |r| (QCDR |conds|)) t))
          |r|)
-        ('T (CONS |conds| NIL))))))
+        (t (CONS |conds| NIL))))))
 
 ;hasPatternVar x ==
 ;  IDENTP x and (x ^= "**") => isPatternVar x
@@ -9547,7 +9545,7 @@
       (SEQ (COND
              ((AND (IDENTP |x|) (NEQUAL |x| '**)) (|isPatternVar| |x|))
              ((ATOM |x|) NIL)
-             ('T
+             (t
               (PROG (G174353)
                 (setq G174353 NIL)
                 (RETURN
@@ -9616,7 +9614,7 @@
                 (CONS |conform|
                       (CONS (CONS '*1 (CDR |cform|))
                             (CONS (CONS '% (CDR |conform|)) NIL))))
-               ('T (|systemError|))))))))
+               (t (|systemError|))))))))
 
 ;getSigSubst(u, pl, vl, fl) ==
 ;  u is [item, :r] =>
@@ -9640,16 +9638,16 @@
               (PROGN
                 (setq |item| (QCAR |u|))
                 (setq |r| (QCDR |u|))
-                'T))
+                t))
          (COND
            ((AND (CONSP |item|) (EQ (QCAR |item|) 'AND)
-                 (PROGN (setq |s| (QCDR |item|)) 'T))
+                 (PROGN (setq |s| (QCDR |item|)) t))
             (setq |LETTMP#1| (|getSigSubst| |s| |pl| |vl| |fl|))
             (setq |pl| (CAR |LETTMP#1|))
             (setq |vl| (CADR |LETTMP#1|))
             (setq |fl| (CADDR |LETTMP#1|))
             (|getSigSubst| |r| |pl| |vl| |fl|))
-           ('T (setq |key| (CAR |item|)) (setq |v| (CADR |item|))
+           (t (setq |key| (CAR |item|)) (setq |v| (CADR |item|))
             (setq |f| (CADDR |item|))
             (COND
               ((BOOT-EQUAL |key| '|isDomain|)
@@ -9662,8 +9660,8 @@
                (|getSigSubst| |r| (CONS |item| |pl|) |vl| |fl|))
               ((BOOT-EQUAL |key| '|not|)
                (|getSigSubst| |r| (CONS |item| |pl|) |vl| |fl|))
-              ('T (|systemError|))))))
-        ('T (CONS |pl| (CONS |vl| (CONS |fl| NIL))))))))
+              (t (|systemError|))))))
+        (t (CONS |pl| (CONS |vl| (CONS |fl| NIL))))))))
 
 ;pairlis(u,v) ==
 ;  null u or null v => nil
@@ -9672,7 +9670,7 @@
 (defun |pairlis| (|u| |v|)
   (COND
     ((OR (NULL |u|) (NULL |v|)) NIL)
-    ('T
+    (t
      (CONS (CONS (CAR |u|) (CAR |v|)) (|pairlis| (CDR |u|) (CDR |v|))))))
 
 ;--====================> WAS b-search.boot <================================
@@ -9709,7 +9707,7 @@
            (|grepSplit| |lines| (BOOT-EQUAL |key| '|w|)))
           ((member |key| '(|o| |a|))
            (|dbScreenForDefaultFunctions| |lines|))
-          ('T |lines|))))))
+          (t |lines|))))))
 
 ;grepConstruct1(s,key) ==
 ;--returns the name of file (WITHOUT .text.$SPADNUM on the end)
@@ -9746,7 +9744,7 @@
              (COND
                ((AND (CONSP |filter|) (EQ (QCAR |filter|) '|error|))
                 |filter|)
-               ('T (setq |pattern| (|mkGrepPattern| |filter| |key|))
+               (t (setq |pattern| (|mkGrepPattern| |filter| |key|))
                 (|grepConstructDo| |pattern| |key|))))))))
 
 ;grepConstructDo(x, key) ==
@@ -9772,7 +9770,7 @@
                            |$newConstructorList|))
               (setq |newLines| (|grepf| |x| |$localLibdb| NIL))
               (|union| |oldLines| |newLines|))
-          ('T (|grepf| |x| |key| NIL)))))))
+          (t (|grepf| |x| |key| NIL)))))))
 
 ;dbExposed?(line,kind) == -- does line come from an unexposed constructor?
 ;  conname := INTERN
@@ -9780,16 +9778,16 @@
 ;    dbName line
 ;  isExposedConstructor conname
 
-(defun |dbExposed?| (|line| |kind|)
+(defun |dbExposed?| (|line| kind)
   (PROG (|conname|)
     (RETURN
       (PROGN
         (setq |conname|
                  (INTERN (COND
-                           ((OR (BOOT-EQUAL |kind| #\a)
-                                (BOOT-EQUAL |kind| #\o))
+                           ((OR (BOOT-EQUAL kind #\a)
+                                (BOOT-EQUAL kind #\o))
                             (|dbNewConname| |line|))
-                           ('T (|dbName| |line|)))))
+                           (t (|dbName| |line|)))))
         (|isExposedConstructor| |conname|)))))
 
 ;dbScreenForDefaultFunctions lines == [x for x in lines | not isDefaultOpAtt x]
@@ -9840,7 +9838,7 @@
       (SEQ (COND
              ((setq |u| (HGET |$lowerCaseConTb| |s|))
               (CONS '|Abbreviations| (CONS |u| NIL)))
-             ('T (setq |s| (princ-to-string |s|))
+             (t (setq |s| (princ-to-string |s|))
               (setq |someLowerCaseChar| NIL)
               (setq |someUpperCaseChar| NIL)
               (DO ((G174530 (MAXINDEX |s|)) (|i| 0 (QSADD1 |i|)))
@@ -9850,13 +9848,13 @@
                              (COND
                                ((LOWER-CASE-P |c|)
                                 (RETURN
-                                  (setq |someLowerCaseChar| 'T)))
+                                  (setq |someLowerCaseChar| t)))
                                ((UPPER-CASE-P |c|)
-                                (setq |someUpperCaseChar| 'T)))))))
+                                (setq |someUpperCaseChar| t)))))))
               (COND
                 ((OR |someLowerCaseChar| (NULL |someUpperCaseChar|))
                  NIL)
-                ('T (setq |pattern| (DOWNCASE |s|))
+                (t (setq |pattern| (DOWNCASE |s|))
                  (CONS '|Abbreviations|
                        (PROG (G174539)
                          (setq G174539 NIL)
@@ -9878,7 +9876,7 @@
                                                 (|isExposedConstructor|
                                                  |x|)))
                                               NIL)
-                                             ('T
+                                             (t
                                               (setq |a|
                                                (GETDATABASE |x|
                                                 'ABBREVIATION))
@@ -9916,7 +9914,7 @@
                          |$newConstructorList|))
             (setq |b| (|grepf| |x| |$localLibdb| NIL))
             (|grepCombine| |a| |b|))
-        ('T (|grepf| |x| |filename| NIL))))))
+        (t (|grepf| |x| |filename| NIL))))))
 
 ;grepCombine(a,b) == MSORT UNION(a,b)
 
@@ -9954,7 +9952,7 @@
                    (PROGN
                      (setq |op| (QCAR |pattern|))
                      (setq |argl| (QCDR |pattern|))
-                     'T))
+                     t))
               (COND
                 ((BOOT-EQUAL |op| '|and|)
                  (DO ()
@@ -9962,7 +9960,7 @@
                                  (PROGN
                                    (setq |arg| (QCAR |argl|))
                                    (setq |argl| (QCDR |argl|))
-                                   'T)))
+                                   t)))
                       NIL)
                    (SEQ (EXIT (setq |s| (|grepf| |arg| |s| |not?|)))))
                  |s|)
@@ -9981,18 +9979,18 @@
                 ((BOOT-EQUAL |op| '|not|)
                  (COND
                    (|not?| (|grepf| (CAR |argl|) |s| NIL))
-                   ('T
+                   (t
                     (setq |lines|
                              (|grepf| (|mkGrepPattern| "*"
                                        |$key|)
                                       |s| NIL))
-                    (|grepf| (CAR |argl|) |lines| 'T))))
-                ('T (|systemError| NIL))))
-             ('T (setq |option| (COND (|not?| '|iv|) ('T '|i|)))
+                    (|grepf| (CAR |argl|) |lines| t))))
+                (t (|systemError| NIL))))
+             (t (setq |option| (COND (|not?| '|iv|) (t '|i|)))
               (setq |source|
                        (COND
                          ((LISTP |s|) (|dbWriteLines| |s|))
-                         ('T |s|)))
+                         (t |s|)))
               (|grepFile| |pattern| |source| |option|)))))))
 
 ;pmTransFilter s ==
@@ -10012,7 +10010,7 @@
     (RETURN
       (SEQ (PROGN
              (COND
-               ((BOOT-EQUAL |$browseMixedCase| 'T)
+               ((BOOT-EQUAL |$browseMixedCase| t)
                 (setq |s| (DOWNCASE |s|))))
              (COND
                ((PROG (G174618)
@@ -10064,7 +10062,7 @@
                       (CONS "Illegal search string"
                             (CONS                                       "\\vspace{3}\\center{Consecutive {\\em *}'s are not allowed in search patterns}"
                                   NIL))))
-               ('T |s|)))))))
+               (t |s|)))))))
 
 ;checkPmParse parse ==
 ;  STRINGP parse => parse
@@ -10082,10 +10080,10 @@
                     (PROGN
                       (setq |op| (QCAR |u|))
                       (setq |args| (QCDR |u|))
-                      'T))
+                      t))
                (EXIT (AND (member |op| '(|and| |or| |not|))
                           (PROG (G174653)
-                            (setq G174653 'T)
+                            (setq G174653 t)
                             (RETURN
                               (DO ((G174659 NIL (NULL G174653))
                                    (G174660 |args| (CDR G174660))
@@ -10099,13 +10097,13 @@
                                       (SETQ G174653
                                        (AND G174653
                                         (|checkPmParse| |x|)))))))))))
-           (IF (STRINGP |u|) (EXIT 'T)) (EXIT NIL)))))
+           (IF (STRINGP |u|) (EXIT t)) (EXIT NIL)))))
 
 (defun |checkPmParse| (|parse|)
   (COND
     ((STRINGP |parse|) |parse|)
     ((|checkPmParse,fn| |parse|) |parse|)
-    ('T NIL)))
+    (t NIL)))
 
 ;dnForm x ==
 ;  STRINGP x => x
@@ -10132,7 +10130,7 @@
                       (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
                            (PROGN
                              (setq |argx| (QCAR |ISTMP#1|))
-                             'T))))
+                             t))))
                (EXIT |argx|))
            (EXIT (CONS '|not| (CONS |s| NIL)))))))
 
@@ -10145,10 +10143,10 @@
                    (PROGN
                      (setq |ISTMP#1| (QCDR |x|))
                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                          (PROGN (setq |argl| (QCAR |ISTMP#1|)) 'T))))
+                          (PROGN (setq |argl| (QCAR |ISTMP#1|)) t))))
               (COND
                 ((AND (CONSP |argl|) (EQ (QCAR |argl|) '|or|)
-                      (PROGN (setq |orargs| (QCDR |argl|)) 'T))
+                      (PROGN (setq |orargs| (QCDR |argl|)) t))
                  (CONS '|and|
                        (PROG (G174703)
                          (setq G174703 NIL)
@@ -10166,7 +10164,7 @@
                                            (|dnForm,negate| |u|))
                                           G174703)))))))))
                 ((AND (CONSP |argl|) (EQ (QCAR |argl|) '|and|)
-                      (PROGN (setq |andargs| (QCDR |argl|)) 'T))
+                      (PROGN (setq |andargs| (QCDR |argl|)) t))
                  (CONS '|or|
                        (PROG (G174718)
                          (setq G174718 NIL)
@@ -10190,11 +10188,11 @@
                              (EQ (QCDR |ISTMP#1|) NIL)
                              (PROGN
                                (setq |notargl| (QCAR |ISTMP#1|))
-                               'T))))
+                               t))))
                  (|dnForm| |notargl|))
-                ('T |x|)))
+                (t |x|)))
              ((AND (CONSP |x|) (EQ (QCAR |x|) '|or|)
-                   (PROGN (setq |argl1| (QCDR |x|)) 'T))
+                   (PROGN (setq |argl1| (QCDR |x|)) t))
               (CONS '|or|
                     (PROG (G174733)
                       (setq G174733 NIL)
@@ -10209,7 +10207,7 @@
                           (SEQ (EXIT (SETQ G174733
                                       (CONS (|dnForm| |u|) G174733)))))))))
              ((AND (CONSP |x|) (EQ (QCAR |x|) '|and|)
-                   (PROGN (setq |argl2| (QCDR |x|)) 'T))
+                   (PROGN (setq |argl2| (QCDR |x|)) t))
               (CONS '|and|
                     (PROG (G174748)
                       (setq G174748 NIL)
@@ -10223,7 +10221,7 @@
                              (NREVERSE0 G174748))
                           (SEQ (EXIT (SETQ G174748
                                       (CONS (|dnForm| |u|) G174748)))))))))
-             ('T |x|))))))
+             (t |x|))))))
 
 ;pmParseFromString s ==
 ;  u := ncParseFromString pmPreparse s
@@ -10240,7 +10238,7 @@
                     (PROGN
                       (setq |op| (QCAR |s|))
                       (setq |argl| (QCDR |s|))
-                      'T))
+                      t))
                (EXIT (SEQ (IF (STRINGP |op|)
                               (EXIT (STRCONC |op|
                                      (PROG (G174779)
@@ -10434,7 +10432,7 @@
 ;               ]
 
 (defun |grepSplit| (|lines| |doc?|)
-  (PROG (|instream2| CONS N |line| |kind| |cats| |doms| |defs| |paks|
+  (PROG (|instream2| CONS N |line| kind |cats| |doms| |defs| |paks|
             |atts| |ops|)
   (declare (special |$includeUnexposed?|))
     (RETURN
@@ -10450,7 +10448,7 @@
                              (PROGN
                                (setq |line| (QCAR |lines|))
                                (setq |lines| (QCDR |lines|))
-                               'T)))
+                               t)))
                   NIL)
                (SEQ (EXIT (PROGN
                             (COND
@@ -10463,36 +10461,36 @@
                                          (FILE-POSITION |instream2| N)
                                          (setq |line|
                                           (read-line |instream2|)))
-                                        ('T NIL))))
-                            (setq |kind| (|dbKind| |line|))
+                                        (t NIL))))
+                            (setq kind (|dbKind| |line|))
                             (COND
                               ((AND (NULL |$includeUnexposed?|)
-                                    (NULL (|dbExposed?| |line| |kind|)))
+                                    (NULL (|dbExposed?| |line| kind)))
                                '|skip|)
                               ((AND (OR
-                                     (BOOT-EQUAL |kind| #\a)
-                                     (BOOT-EQUAL |kind| #\o))
+                                     (BOOT-EQUAL kind #\a)
+                                     (BOOT-EQUAL kind #\o))
                                     (|isDefaultOpAtt| |line|))
                                '|skip|)
-                              ((BOOT-EQUAL |kind| #\c)
+                              ((BOOT-EQUAL kind #\c)
                                (setq |cats|
                                         (|insert| |line| |cats|)))
-                              ((BOOT-EQUAL |kind| #\d)
+                              ((BOOT-EQUAL kind #\d)
                                (setq |doms|
                                         (|insert| |line| |doms|)))
-                              ((BOOT-EQUAL |kind| #\x)
+                              ((BOOT-EQUAL kind #\x)
                                (setq |defs|
                                         (|insert| |line| |defs|)))
-                              ((BOOT-EQUAL |kind| #\p)
+                              ((BOOT-EQUAL kind #\p)
                                (setq |paks|
                                         (|insert| |line| |paks|)))
-                              ((BOOT-EQUAL |kind| #\a)
+                              ((BOOT-EQUAL kind #\a)
                                (setq |atts|
                                         (|insert| |line| |atts|)))
-                              ((BOOT-EQUAL |kind| #\o)
+                              ((BOOT-EQUAL kind #\o)
                                (setq |ops| (|insert| |line| |ops|)))
-                              ((BOOT-EQUAL |kind| #\-) '|skip|)
-                              ('T (|systemError| '|kind|)))))))
+                              ((BOOT-EQUAL kind #\-) '|skip|)
+                              (t (|systemError| '|kind|)))))))
              (COND (|doc?| (CLOSE |instream2|)))
              (CONS (CONS "attribute" (NREVERSE |atts|))
                    (CONS (CONS "operation"
@@ -10539,7 +10537,7 @@
     (RETURN
       (SEQ (COND
              ((ATOM |s|) (|mkGrepPattern1| |s| |key|))
-             ('T
+             (t
               (CONS (CAR |s|)
                     (PROG (G174941)
                       (setq G174941 NIL)
@@ -10627,7 +10625,7 @@
                                           (QCAR |$options|))
                                          (setq |$options|
                                           (QCDR |$options|))
-                                         'T))
+                                         t))
                                   |x|)
                              (EXIT |x|))
                          (EXIT "[^x]")))
@@ -10718,7 +10716,7 @@
                     (PROGN
                       (setq |s| (QCAR |sl|))
                       (setq |r| (QCDR |sl|))
-                      'T))
+                      t))
                (EXIT (|mkGrepPattern1,h| |r|
                          (CONS |$wild1| (CONS |s| |res|)))))
            (setq |res| (CDR |res|))
@@ -10732,7 +10730,7 @@
                                     (PROGN
                                       (setq |p| (QCAR |ISTMP#1|))
                                       (setq |r| (QCDR |ISTMP#1|))
-                                      'T))))
+                                      t))))
                             (BOOT-EQUAL |p| |$wild1|))
                        (setq |res| |r|) NIL))
                NIL)
@@ -10802,7 +10800,7 @@
              (setq |args| (CDR |form|))
              (COND
                ((NULL |args|) |form|)
-               ('T (setq |cosig| (CDR (GETDATABASE |op| 'COSIG)))
+               (t (setq |cosig| (CDR (GETDATABASE |op| 'COSIG)))
                 (setq |atypes|
                          (CDR (CDAR (GETDATABASE |op|
                                      'CONSTRUCTORMODEMAP))))
@@ -10840,7 +10838,7 @@
                                          (COND
                                            (|pred|
                                             (|conform2OutputForm| |x|))
-                                           ('T
+                                           (t
                                             (setq |typ|
                                              (|sublisFormal| |args|
                                               |atype|))
@@ -10857,7 +10855,7 @@
                                                    (PROGN
                                                      (setq |a|
                                                       (QCAR |ISTMP#1|))
-                                                     'T))))
+                                                     t))))
                                                (setq |x| |a|)))
                                             (|algCoerceInteractive| |x|
                                              |typ| '(|OutputForm|)))))
@@ -10896,7 +10894,7 @@
                (CONS |conform|
                      (CONS " has no operation named "
                            (CONS |opname| NIL)))))
-          ('T (setq |opAlist| (CONS |itemlist| NIL))
+          (t (setq |opAlist| (CONS |itemlist| NIL))
            (|dbShowOperationsFromConform| |htPage|
                "operation" |opAlist|)))))))
 
@@ -10919,7 +10917,7 @@
         (setq |$attributeArgs| NIL)
         (setq |arg| (OR (IFCAR |b|) |a|))
         (setq |s| (|pmParseFromString| (princ-to-string |arg|)))
-        (setq |searchOn| (COND ((ATOM |s|) |s|) ('T (IFCAR |s|))))
+        (setq |searchOn| (COND ((ATOM |s|) |s|) (t (IFCAR |s|))))
         (setq |$attributeArgs| (IFCAR (IFCDR |s|)))
         (|aSearch| |searchOn|)))))
 
@@ -10952,7 +10950,7 @@
         (COND
           ((|looksLikeDomainForm| |form|)
            (APPLY #'|conPage| |form|))
-          ('T (|conPage| |op|)))))))
+          (t (|conPage| |op|)))))))
 
 ;looksLikeDomainForm x ==
 ;  entry := getCDTEntry(opOf x,true) or return false
@@ -10970,15 +10968,15 @@
     (RETURN
       (SEQ (PROGN
              (setq |entry|
-                      (OR (|getCDTEntry| (|opOf| |x|) 'T) (RETURN NIL)))
+                      (OR (|getCDTEntry| (|opOf| |x|) t) (RETURN NIL)))
              (setq |coSig| (LASSOC '|coSig| (CDDR |entry|)))
              (setq |k| (|#| |coSig|))
              (COND
                ((ATOM |x|) (EQL |k| 1))
                ((NEQUAL |k| (|#| |x|)) NIL)
-               ('T
+               (t
                 (PROG (G175176)
-                  (setq G175176 'T)
+                  (setq G175176 t)
                   (RETURN
                     (DO ((G175183 NIL (NULL G175176))
                          (G175184 (CDR |coSig|) (CDR G175184))
@@ -10996,7 +10994,7 @@
                                           (|key|
                                            (|looksLikeDomainForm|
                                             |arg|))
-                                      ('T (NULL (IDENTP |arg|))))))))))))))))))
+                                      (t (NULL (IDENTP |arg|))))))))))))))))))
 
 ;spadSys(x) ==   --called by \spadsyscom{x}
 ;  s := PNAME x
@@ -11028,7 +11026,7 @@
 ;--=======================================================================
 ;aokSearch filter ==  genSearch(filter,true)  --"General" from HD (see man0.ht)
 
-(defun |aokSearch| (|filter|) (|genSearch| |filter| 'T))
+(defun |aokSearch| (|filter|) (|genSearch| |filter| t))
 
 ;--General search for constructs but NOT documentation
 ;genSearch(filter,:options) == --"Complete" from HD (see man0.ht) and aokSearch
@@ -11053,24 +11051,24 @@
       (SEQ (COND
              ((NULL (setq |filter| (|checkFilter| |filter|))) NIL)
              ((BOOT-EQUAL |filter| "*") (|htErrorStar|))
-             ('T (setq |includeDoc?| (NULL (IFCAR |options|)))
+             (t (setq |includeDoc?| (NULL (IFCAR |options|)))
               (setq |regSearchAlist|
                        (|grepConstruct| (princ-to-string |filter|)
-                           (INTERN "." "BOOT") 'T))
+                           (INTERN "." "BOOT") t))
               (COND
                 ((AND (CONSP |regSearchAlist|)
                       (EQ (QCAR |regSearchAlist|) '|error|))
                  (|bcErrorPage| |regSearchAlist|))
-                ('T (setq |key| (|removeSurroundingStars| |filter|))
+                (t (setq |key| (|removeSurroundingStars| |filter|))
                  (COND
                    (|includeDoc?|
                        (setq |docSearchAlist|
-                                (|grepConstruct| |key| '|w| 'T))
+                                (|grepConstruct| |key| '|w| t))
                        (COND
                          ((AND (CONSP |docSearchAlist|)
                                (EQ (QCAR |docSearchAlist|) '|error|))
                           (|bcErrorPage| |docSearchAlist|))
-                         ('T
+                         (t
                           (setq |docSearchAlist|
                                    (PROG (G175219)
                                      (setq G175219 NIL)
@@ -11162,7 +11160,7 @@
 (defun |genSearch1| (|filter| |reg| |doc|)
   (PROG (|regSearchAlist| |docSearchAlist| |key| |regCount| |docCount|
             |count| |alist| |nonEmpties| |summarize?| |plural| |prefix|
-            |emfilter| |header| |page| |kind| |pair|)
+            |emfilter| |header| |page| kind |pair|)
   (declare (special |$exposedOnlyIfTrue|))
     (RETURN
       (SEQ (PROGN
@@ -11176,12 +11174,12 @@
              (setq |count| (+ |regCount| |docCount|))
              (COND
                ((EQL |count| 0)
-                (|emptySearchPage| "entry" |filter| 'T))
+                (|emptySearchPage| "entry" |filter| t))
                ((EQL |count| 1)
                 (setq |alist|
                          (COND
                            ((EQL |regCount| 1) |regSearchAlist|)
-                           ('T |docSearchAlist|)))
+                           (t |docSearchAlist|)))
                 (|showNamedConstruct|
                     (PROG (G175286)
                       (setq G175286 NIL)
@@ -11198,11 +11196,11 @@
                                        ((CADR |x|)
                                         (SETQ G175286
                                          (OR G175286 |x|)))))))))))
-               ('T
+               (t
                 (setq |summarize?|
                          (COND
-                           (|docSearchAlist| 'T)
-                           ('T
+                           (|docSearchAlist| t)
+                           (t
                             (setq |nonEmpties|
                                      (PROG (G175306)
                                        (setq G175306 NIL)
@@ -11230,15 +11228,15 @@
                                        (PROGN
                                          (setq |pair|
                                           (QCAR |nonEmpties|))
-                                         'T))))))
+                                         t))))))
                 (COND
                   ((NULL |summarize?|) (|showNamedConstruct| |pair|))
-                  ('T
+                  (t
                    (setq |plural|
                             (COND
                               (|$exposedOnlyIfTrue|
                                   "exposed entries match")
-                              ('T "entries match")))
+                              (t "entries match")))
                    (setq |prefix|
                             (|pluralSay| |count| ""
                                 |plural|))
@@ -11271,7 +11269,7 @@
                               NIL)
                             (PROGN
                               (PROGN
-                                (setq |kind| (CAR G175275))
+                                (setq kind (CAR G175275))
                                 (setq |pair| (CDR G175275))
                                 G175275)
                               NIL))
@@ -11284,7 +11282,7 @@
                                      (|htSayStandard|
                                       "\\tab{2}")
                                      (|genSearchSay| |pair|
-                                      |summarize?| |kind| |i|
+                                      |summarize?| kind |i|
                                       '|showConstruct|)))))))
                    (COND
                      (|docSearchAlist|
@@ -11304,7 +11302,7 @@
                                     NIL)
                                   (PROGN
                                     (PROGN
-                                      (setq |kind| (CAR G175280))
+                                      (setq kind (CAR G175280))
                                       (setq |pair| (CDR G175280))
                                       G175280)
                                     NIL))
@@ -11315,8 +11313,8 @@
                                            (|bcHt| '|\\newline{}|)
                                            (|htSayStandard|
                                             "\\tab{2}")
-                                           (|genSearchSay| |pair| 'T
-                                            |kind| |i| '|showDoc|)))))))))
+                                           (|genSearchSay| |pair| t
+                                            kind |i| '|showDoc|)))))))))
                    (|htShowPageStar|))))))))))
 
 ;searchDropUnexposedLines alist ==
@@ -11371,7 +11369,7 @@
                                                           (|dbKind|
                                                            |line|)))
                                                         |line|)
-                                                       ('T NIL))
+                                                       (t NIL))
                                                      (SETQ G175406
                                                       (CONS
                                                        (COND
@@ -11383,7 +11381,7 @@
                                                             (|dbKind|
                                                              |line|)))
                                                           |line|)
-                                                         ('T NIL))
+                                                         (t NIL))
                                                        G175406)))))))))
                                           |lines|))
                                         G175388)))))))))))
@@ -11407,7 +11405,7 @@
         (setq |doc| (|htpProperty| |htPage| '|docSearchAlist|))
         (COND
           (|reg| (|genSearch1| |filter| |reg| |doc|))
-          ('T (|docSearch1| |filter| |doc|)))))))
+          (t (|docSearch1| |filter| |doc|)))))))
 
 ;searchCount u == +/[# y for [x,y,:.] in u]
 
@@ -11454,7 +11452,7 @@
 ;  showNamedConstruct [kind,nil,:lines]
 
 (defun |showIt| (|htPage| |index| |searchAlist|)
-  (PROG (|filter| |relativeIndex| |n| |LETTMP#1| |kind| |items|
+  (PROG (|filter| |relativeIndex| |n| |LETTMP#1| kind |items|
                   |firstName| |lines|)
     (RETURN
       (SEQ (PROGN
@@ -11465,8 +11463,8 @@
              (COND
                ((EQL |relativeIndex| 0)
                 (|showNamedConstruct| (ELT |searchAlist| |n|)))
-               ('T (setq |LETTMP#1| (ELT |searchAlist| |n|))
-                (setq |kind| (CAR |LETTMP#1|))
+               (t (setq |LETTMP#1| (ELT |searchAlist| |n|))
+                (setq kind (CAR |LETTMP#1|))
                 (setq |items| (CADR |LETTMP#1|))
                 (DO ((|j| 1 (QSADD1 |j|)))
                     ((NULL (> |relativeIndex| |j|)) NIL)
@@ -11489,17 +11487,17 @@
                                (SEQ (EXIT
                                      (SETQ G175489
                                       (CONS |line| G175489))))))))
-                (|showNamedConstruct| (CONS |kind| (CONS NIL |lines|))))))))))
+                (|showNamedConstruct| (CONS kind (CONS NIL |lines|))))))))))
 
 ;showNamedConstruct([kind,.,:lines]) == dbSearch(lines,kind,'"")
 
 (defun |showNamedConstruct| (G175516)
-  (PROG (|kind| |lines|)
+  (PROG (kind |lines|)
     (RETURN
       (PROGN
-        (setq |kind| (CAR G175516))
+        (setq kind (CAR G175516))
         (setq |lines| (CDDR G175516))
-        (|dbSearch| |lines| |kind| "")))))
+        (|dbSearch| |lines| kind "")))))
 
 ;genSearchSay(pair,summarize,kind,who,fn) ==
 ;  [u,:fullLineList] := pair
@@ -11536,7 +11534,7 @@
 ;     htEndTable()
 ;     htSayStandard '"\indent{0}"
 
-(defun |genSearchSay| (|pair| |summarize| |kind| |who| |fn|)
+(defun |genSearchSay| (|pair| |summarize| kind |who| |fn|)
   (PROG (|u| |fullLineList| |count| |uniqueCount| |short| |lastid|
              |groups| |id| |exposed?| |i|)
   (declare (special |$browseCountThreshold| |$includeUnexposed?|))
@@ -11556,23 +11554,23 @@
                                      (CONS '|genSearchSayJump|
                                       (CONS
                                        (CONS |fullLineList|
-                                        (CONS |kind| NIL))
+                                        (CONS kind NIL))
                                        NIL))))
                                    NIL))
                        NIL))
              (COND
                ((EQL |count| 0)
-                (|htSay| "{\\em No " |kind|
+                (|htSay| "{\\em No " kind
                          "} "))
                ((EQL |count| 1)
-                (|htSay| "{\\em 1 " |kind|
+                (|htSay| "{\\em 1 " kind
                          "} "))
-               ('T
+               (t
                 (|htSay| "{\\em " |count| " "
-                         (|pluralize| |kind|) "} ")))
+                         (|pluralize| kind) "} ")))
              (COND
                (|short| '|done|)
-               ('T
+               (t
                 (COND
                   ((NEQUAL |uniqueCount| 1)
                    (|htSayStandard| "\\indent{4}")
@@ -11618,7 +11616,7 @@
                                  (|$includeUnexposed?|
                                      (COND
                                        (|exposed?| (|htBlank|))
-                                       ('T (|htSayUnexposed|)))))
+                                       (t (|htSayUnexposed|)))))
                                (|htMakePage|
                                    (CONS
                                     (CONS '|bcLinks|
@@ -11636,7 +11634,7 @@
                 (COND
                   ((NEQUAL |uniqueCount| 1) (|htEndTable|)
                    (|htSayStandard| "\\indent{0}"))
-                  ('T NIL)))))))))
+                  (t NIL)))))))))
 
 ;organizeByName u ==
 ;  [[(u := rest u; x) while u and head = dbName (x := first u)]
@@ -11680,13 +11678,13 @@
 ;  dbSearch(lines,kind,filter)
 
 (defun |genSearchSayJump| (|htPage| G175625)
-  (PROG (|lines| |kind| |filter|)
+  (PROG (|lines| kind |filter|)
     (RETURN
       (PROGN
         (setq |lines| (CAR G175625))
-        (setq |kind| (CADR G175625))
+        (setq kind (CADR G175625))
         (setq |filter| (|htpProperty| |htPage| '|filter|))
-        (|dbSearch| |lines| |kind| |filter|)))))
+        (|dbSearch| |lines| kind |filter|)))))
 
 ;genSearchUniqueCount(u) ==
 ;--count the unique number of items (if less than $browseCountThreshold)
@@ -11717,7 +11715,7 @@
                               ((NEQUAL |id| |lastid|)
                                (setq |count| (+ |count| 1))
                                (setq |lastid| |id|))
-                              ('T NIL))))))
+                              (t NIL))))))
              |count|)))))
 
 ;dbGetName line == SUBSTRING(line,1,charPosition($tick,line,1) - 1)
@@ -11746,19 +11744,19 @@
                          (PROGN
                            (setq |x| (QCAR |options|))
                            (setq |options| (QCDR |options|))
-                           'T))
+                           t))
                     |x|)
-                   ('T "")))
+                   (t "")))
         (setq |colon|
                  (COND
                    ((IFCAR |options|) ":")
-                   ('T "")))
+                   (t "")))
         (COND
           ((EQL |count| 0)
            (|concat| "No " |singular| |item|))
           ((EQL |count| 1)
            (|concat| "1 " |singular| |item| |colon|))
-          ('T
+          (t
            (|concat| |count| " " |plural| |item| |colon|)))))))
 
 ;--=======================================================================
@@ -11779,14 +11777,14 @@
       (SEQ (COND
              ((NULL (setq |filter| (|checkFilter| |filter|))) NIL)
              ((BOOT-EQUAL |filter| "*") (|htErrorStar|))
-             ('T (setq |key| (|removeSurroundingStars| |filter|))
+             (t (setq |key| (|removeSurroundingStars| |filter|))
               (setq |docSearchAlist|
-                       (|grepConstruct| |filter| '|w| 'T))
+                       (|grepConstruct| |filter| '|w| t))
               (COND
                 ((AND (CONSP |docSearchAlist|)
                       (EQ (QCAR |docSearchAlist|) '|error|))
                  (|bcErrorPage| |docSearchAlist|))
-                ('T
+                (t
                  (setq |docSearchAlist|
                           (PROG (G175687)
                             (setq G175687 NIL)
@@ -11829,7 +11827,7 @@
 
 (defun |docSearch1| (|filter| |doc|)
   (PROG (|docSearchAlist| |count| |prefix| |emfilter| |header| |page|
-            |kind| |pair|)
+            kind |pair|)
     (RETURN
       (SEQ (PROGN
              (setq |docSearchAlist|
@@ -11837,7 +11835,7 @@
              (setq |count| (|searchCount| |docSearchAlist|))
              (COND
                ((EQL |count| 0)
-                (|emptySearchPage| "entry" |filter| 'T))
+                (|emptySearchPage| "entry" |filter| t))
                ((EQL |count| 1)
                 (|showNamedConstruct|
                     (PROG (G175713)
@@ -11857,7 +11855,7 @@
                                         (SETQ G175713
                                          (OR G175713 |x|)))))))))
                     1))
-               ('T
+               (t
                 (setq |prefix|
                          (|pluralSay| |count|
                              "entry matches"
@@ -11887,7 +11885,7 @@
                          (PROGN (SETQ G175708 (CAR G175737)) NIL)
                          (PROGN
                            (PROGN
-                             (setq |kind| (CAR G175708))
+                             (setq kind (CAR G175708))
                              (setq |pair| (CDR G175708))
                              G175708)
                            NIL))
@@ -11898,7 +11896,7 @@
                                   (|bcHt| "\\newline{}")
                                   (|htSayStandard|
                                       "\\tab{2}")
-                                  (|genSearchSay| |pair| 'T |kind| |i|
+                                  (|genSearchSay| |pair| t kind |i|
                                       '|showDoc|)))))))
                 (|htShowPageStar|))))))))
 
@@ -11926,12 +11924,12 @@
 ;  dbGather(kind,lines,index - 1,true)
 
 (defun |showNamedDoc| (G175764 |index|)
-  (PROG (|kind| |lines|)
+  (PROG (kind |lines|)
     (RETURN
       (PROGN
-        (setq |kind| (CAR G175764))
+        (setq kind (CAR G175764))
         (setq |lines| (CDR G175764))
-        (|dbGather| |kind| |lines| (- |index| 1) 'T)))))
+        (|dbGather| kind |lines| (- |index| 1) t)))))
 
 ;sayDocMessage message ==
 ;  htSay('"{\em ")
@@ -11975,7 +11973,7 @@
                                         (PROGN
                                           (setq |rightEnd|
                                            (QCAR |ISTMP#4|))
-                                          'T))))))))))
+                                          t))))))))))
            (|htSay| |leftEnd| |left| "}")
            (COND
              ((AND (NEQUAL |left| "")
@@ -11987,7 +11985,7 @@
                    (BOOT-EQUAL (ELT |right| 0) #\space))
               (|htBlank|)))
            (|htSay| "{\\em " |right| |rightEnd|))
-          ('T (|htSay| |message|)))
+          (t (|htSay| |message|)))
         (|htSay| "}")))))
 
 ;stripOffSegments(s,n) ==
@@ -12005,9 +12003,9 @@
   (PROG (|k| |new| |progress|)
     (RETURN
       (SEQ (PROGN
-             (setq |progress| 'T)
+             (setq |progress| t)
              (DO ()
-                 ((NULL (AND (> |n| 0) (BOOT-EQUAL |progress| 'T)))
+                 ((NULL (AND (> |n| 0) (BOOT-EQUAL |progress| t)))
                   NIL)
                (SEQ (EXIT (PROGN
                             (setq |n| (- |n| 1))
@@ -12019,8 +12017,8 @@
                             (COND
                               ((QSLESSP (|#| |new|) (|#| |s|))
                                (setq |s| |new|))
-                              ('T (setq |progress| NIL)))))))
-             (COND ((EQL |n| 0) |s|) ('T NIL)))))))
+                              (t (setq |progress| NIL)))))))
+             (COND ((EQL |n| 0) |s|) (t NIL)))))))
 
 ;replaceTicksBySpaces s ==
 ;  n := -1
@@ -12050,7 +12048,7 @@
 (defun |aSearch| (|filter|)
   (COND
     ((NULL (setq |filter| (|checkFilter| |filter|))) NIL)
-    ('T
+    (t
      (|dbSearch| (|grepConstruct| |filter| '|a|)
          "attribute" |filter|))))
 
@@ -12067,7 +12065,7 @@
       (COND
         ((setq |opAlist| (|opPageFastPath| |filter|))
          (|opPageFast| |opAlist|))
-        ('T (setq |key| '|o|)
+        (t (setq |key| '|o|)
          (COND
            ((NULL (setq |filter| (|checkFilter| |filter|))) NIL)
            ((BOOT-EQUAL |filter| "*")
@@ -12076,14 +12074,14 @@
                       (CONS |key|
                             (CONS "operation"
                                   (CONS '|oSearchGrep| NIL))))))
-           ('T (|oSearchGrep| |filter| |key| "operation"))))))))
+           (t (|oSearchGrep| |filter| |key| "operation"))))))))
 
 ;oSearchGrep(filter,key,kind) == --called from grepSearchQuery/oSearch
 ;  dbSearch(grepConstruct(filter,'o),kind,filter)
 
-(defun |oSearchGrep| (|filter| |key| |kind|)
+(defun |oSearchGrep| (|filter| |key| kind)
   (declare (ignore |key|))
-  (|dbSearch| (|grepConstruct| |filter| '|o|) |kind| |filter|))
+  (|dbSearch| (|grepConstruct| |filter| '|o|) kind |filter|))
 
 ;grepSearchQuery(kind,items) ==
 ;  page := htInitPage('"Query Page",nil)
@@ -12091,7 +12089,7 @@
 ;  htQuery(['"{\em Do you want a list of {\em all} ",pluralize kind,'"?\vspace{1}}"],'grepSearchJump,true)
 ;  htShowPage()
 
-(defun |grepSearchQuery| (|kind| |items|)
+(defun |grepSearchQuery| (kind |items|)
   (PROG (|page|)
     (RETURN
       (PROGN
@@ -12099,9 +12097,9 @@
         (|htpSetProperty| |page| '|items| |items|)
         (|htQuery|
             (CONS                       "{\\em Do you want a list of {\\em all} "
-                  (CONS (|pluralize| |kind|)
+                  (CONS (|pluralize| kind)
                         (CONS "?\\vspace{1}}" NIL)))
-            '|grepSearchJump| 'T)
+            '|grepSearchJump| t)
         (|htShowPage|)))))
 
 ;grepConstructorSearch(htPage,yes) == kPage htpProperty(htPage,'line)
@@ -12123,7 +12121,7 @@
              ((IDENTP |x|)
               (OR (IFCAR (HGET |$lowerCaseConTb| (DOWNCASE |x|))) |x|))
              ((ATOM |x|) |x|)
-             ('T
+             (t
               (PROG (G176116)
                 (setq G176116 NIL)
                 (RETURN
@@ -12140,8 +12138,8 @@
 ;constructorSearchGrep(filter,key,kind) ==
 ;  dbSearch(grepConstruct(filter,key),kind,filter)
 
-(defun |constructorSearchGrep| (|filter| |key| |kind|)
-  (|dbSearch| (|grepConstruct| |filter| |key|) |kind| |filter|))
+(defun |constructorSearchGrep| (|filter| |key| kind)
+  (|dbSearch| (|grepConstruct| |filter| |key|) kind |filter|))
 
 ;grepSearchJump(htPage,yes) ==
 ;  [filter,key,kind,fn] := htpProperty(htPage,'items)
@@ -12149,15 +12147,15 @@
 
 (defun |grepSearchJump| (|htPage| |yes|)
   (declare (special |yes|))
-  (PROG (|LETTMP#1| |filter| |key| |kind| |fn|)
+  (PROG (|LETTMP#1| |filter| |key| kind |fn|)
     (RETURN
       (PROGN
         (setq |LETTMP#1| (|htpProperty| |htPage| '|items|))
         (setq |filter| (CAR |LETTMP#1|))
         (setq |key| (CADR |LETTMP#1|))
-        (setq |kind| (CADDR |LETTMP#1|))
+        (setq kind (CADDR |LETTMP#1|))
         (setq |fn| (CADDDR |LETTMP#1|))
-        (FUNCALL |fn| |filter| |key| |kind|)))))
+        (FUNCALL |fn| |filter| |key| kind)))))
 
 ;--=======================================================================
 ;--            Branch Functions After Database Search
@@ -12173,7 +12171,7 @@
 ;  MEMBER(kind,'("attribute" "operation")) => dbShowOperationLines(kind,lines)
 ;  dbShowConstructorLines lines
 
-(defun |dbSearch| (|lines| |kind| |filter|)
+(defun |dbSearch| (|lines| kind |filter|)
   (PROG (|r| |count|)
     (RETURN
       (COND
@@ -12181,18 +12179,18 @@
          (|bcErrorPage| |lines|))
         ((NULL |filter|) NIL)
         ((AND (CONSP |lines|) (EQ (QCAR |lines|) '|Abbreviations|)
-              (PROGN (setq |r| (QCDR |lines|)) 'T))
-         (|dbSearchAbbrev| |lines| |kind| |filter|))
-        ('T
+              (PROGN (setq |r| (QCDR |lines|)) t))
+         (|dbSearchAbbrev| |lines| kind |filter|))
+        (t
          (COND
-           ((|member| |kind| '("attribute" "operation"))
+           ((|member| kind '("attribute" "operation"))
             (setq |lines| (|dbScreenForDefaultFunctions| |lines|))))
          (setq |count| (|#| |lines|))
          (COND
-           ((EQL |count| 0) (|emptySearchPage| |kind| |filter|))
-           ((|member| |kind| '("attribute" "operation"))
-            (|dbShowOperationLines| |kind| |lines|))
-           ('T (|dbShowConstructorLines| |lines|))))))))
+           ((EQL |count| 0) (|emptySearchPage| kind |filter|))
+           ((|member| kind '("attribute" "operation"))
+            (|dbShowOperationLines| kind |lines|))
+           (t (|dbShowConstructorLines| |lines|))))))))
 
 ;dbSearchAbbrev([.,:conlist],kind,filter) ==
 ;  null conlist => emptySearchPage('"abbreviation",filter)
@@ -12217,7 +12215,7 @@
 ;    bcCon nam
 ;  htShowPage()
 
-(defun |dbSearchAbbrev| (G176172 |kind| |filter|)
+(defun |dbSearchAbbrev| (G176172 kind |filter|)
   (PROG (|conlist| |ISTMP#1| |cAlist| |htPage| |page| |nam| |abbr| |r|
             |s|)
     (RETURN
@@ -12227,9 +12225,9 @@
                ((NULL |conlist|)
                 (|emptySearchPage| "abbreviation"
                     |filter|))
-               ('T (setq |kind| (|intern| |kind|))
+               (t (setq kind (|intern| kind))
                 (COND
-                  ((NEQUAL |kind| '|constructor|)
+                  ((NEQUAL kind '|constructor|)
                    (setq |conlist|
                             (PROG (G176192)
                               (setq G176192 NIL)
@@ -12247,7 +12245,7 @@
                                           ((BOOT-EQUAL
                                             (LASSOC '|kind|
                                              (IFCDR (IFCDR |x|)))
-                                            |kind|)
+                                            kind)
                                            (SETQ G176192
                                             (CONS |x| G176192))))))))))))
                 (COND
@@ -12257,9 +12255,9 @@
                           (AND (CONSP |ISTMP#1|)
                                (PROGN
                                  (setq |nam| (QCAR |ISTMP#1|))
-                                 'T))))
+                                 t))))
                    (|conPage| (DOWNCASE |nam|)))
-                  ('T
+                  (t
                    (setq |cAlist|
                             (PROG (G176208)
                               (setq G176208 NIL)
@@ -12274,7 +12272,7 @@
                                      (NREVERSE0 G176208))
                                   (SEQ (EXIT
                                         (SETQ G176208
-                                         (CONS (CONS |con| 'T)
+                                         (CONS (CONS |con| t)
                                           G176208))))))))
                    (setq |htPage|
                             (|htInitPage| "" NIL))
@@ -12304,14 +12302,14 @@
                               NIL))
                         NIL)
                      (SEQ (EXIT (PROGN
-                                  (setq |kind| (LASSOC '|kind| |r|))
+                                  (setq kind (LASSOC '|kind| |r|))
                                   (|htSay|                                             "\\newline{\\em "
                                            (setq |s|
                                             (princ-to-string |abbr|)))
                                   (|htSayStandard|
                                       "\\tab{10}")
                                   (|htSay| "}")
-                                  (|htSay| |kind|)
+                                  (|htSay| kind)
                                   (|htSayStandard|
                                       "\\tab{19}")
                                   (|bcCon| |nam|)))))
@@ -12463,7 +12461,7 @@
 (defun |generalSearchDo| (|htPage| |flag|)
   (declare (ignore |flag|))
   (PROG (|alist| |which| |selectors| |name| |nargs| |npat| |acc| |n|
-                 |kindCode| |form| |lines| |kind|)
+                 |kindCode| |form| |lines| kind)
   (declare (special |$htPage|))
     (RETURN
       (PROGN
@@ -12476,7 +12474,7 @@
                     '(|conname| |connargs| |consig|))
                    ((BOOT-EQUAL |which| '|ops|)
                     '(|opname| |opnargs| |opsig|))
-                   ('T '(|attrname| |attrnargs| |attrargs|))))
+                   (t '(|attrname| |attrnargs| |attrargs|))))
         (setq |name|
                  (|generalSearchString| |htPage| (ELT |selectors| 0)))
         (setq |nargs|
@@ -12489,7 +12487,7 @@
                  (COND
                    ((BOOT-EQUAL |which| '|ops|) #\o)
                    ((BOOT-EQUAL |which| '|attrs|) #\a)
-                   ('T (setq |acc| "")
+                   (t (setq |acc| "")
                     (COND
                       ((|htButtonOn?| |htPage| '|cats|)
                        (setq |acc| (STRCONC #\c |acc|))))
@@ -12507,7 +12505,7 @@
                       ((OR (EQL |n| 0) (EQL |n| 4))
                        "[cdpx]")
                       ((EQL |n| 1) |acc|)
-                      ('T (STRCONC #\[ |acc| #\]))))))
+                      (t (STRCONC #\[ |acc| #\]))))))
         (setq |form|
                  (|mkDetailedGrepPattern| |kindCode| |name| |nargs|
                      |npat|))
@@ -12515,7 +12513,7 @@
         (COND
           ((member |which| '(|ops| |attrs|))
            (setq |lines| (|dbScreenForDefaultFunctions| |lines|))))
-        (setq |kind|
+        (setq kind
                  (COND
                    ((BOOT-EQUAL |which| '|cons|)
                     (COND
@@ -12527,14 +12525,14 @@
                           "domain")
                          ((|htButtonOn?| |htPage| '|paks|)
                           "package")
-                         ('T "default package")))
-                      ('T "constructor")))
+                         (t "default package")))
+                      (t "constructor")))
                    ((BOOT-EQUAL |which| '|ops|)
                     "operation")
-                   ('T "attribute")))
+                   (t "attribute")))
         (COND
-          ((NULL |lines|) (|emptySearchPage| |kind| NIL))
-          ('T (|dbSearch| |lines| |kind| "filter")))))))
+          ((NULL |lines|) (|emptySearchPage| kind NIL))
+          (t (|dbSearch| |lines| kind "filter")))))))
 
 ;generalSearchString(htPage,sel) ==
 ;  string := htpLabelInputString(htPage,sel)
@@ -12548,7 +12546,7 @@
         (setq |string| (|htpLabelInputString| |htPage| |sel|))
         (COND
           ((BOOT-EQUAL |string| "") "*")
-          ('T |string|))))))
+          (t |string|))))))
 
 ;htButtonOn?(htPage,key) ==
 ;  LASSOC(key,htpInputAreaAlist htPage) is [a,:.] and a = '" t"
@@ -12560,7 +12558,7 @@
              (setq |ISTMP#1|
                       (LASSOC |key| (|htpInputAreaAlist| |htPage|)))
              (AND (CONSP |ISTMP#1|)
-                  (PROGN (setq |a| (QCAR |ISTMP#1|)) 'T)))
+                  (PROGN (setq |a| (QCAR |ISTMP#1|)) t)))
            (BOOT-EQUAL |a| " t")))))
 
 ;mkDetailedGrepPattern(kind,name,nargs,argOrSig) == main where
@@ -12617,14 +12615,14 @@
            (EXIT |a|))
        (EXIT (STRCONC |a| |$tick| |b|))))
 
-(defun |mkDetailedGrepPattern| (|kind| |name| |nargs| |argOrSig|)
+(defun |mkDetailedGrepPattern| (kind |name| |nargs| |argOrSig|)
   (PROG (|nottick| |firstPart| |nargsPart| |exposedPart| |patPart|)
   (declare (special |$tick|))
     (RETURN
       (PROGN
         (setq |nottick| "[^`]")
         (setq |name| (|replaceGrepStar| |name|))
-        (setq |firstPart| (STRCONC #\^ |kind| |name|))
+        (setq |firstPart| (STRCONC #\^ kind |name|))
         (setq |nargsPart| (|replaceGrepStar| |nargs|))
         (setq |exposedPart| #\. )
         (setq |patPart| (|replaceGrepStar| |argOrSig|))
@@ -12647,11 +12645,11 @@
     (RETURN
       (COND
         ((BOOT-EQUAL |s| '||) |s|)
-        ('T (setq |final| (MAXINDEX |s|))
+        (t (setq |final| (MAXINDEX |s|))
          (setq |i| (|charPosition| #\* |s| 0))
          (COND
            ((> |i| |final|) |s|)
-           ('T
+           (t
             (STRCONC (SUBSTRING |s| 0 |i|) "[^`]*"
                      (|replaceGrepStar|
                          (SUBSTRING |s| (+ |i| 1) NIL))))))))))
@@ -12668,7 +12666,7 @@
       (|underscoreDollars|
           (COND
             ((BOOT-EQUAL (ELT |s| 0) #\( ) |s|)
-            ('T
+            (t
              (setq |k|
                       (OR (STRPOS "->" |s| 0 NIL)
                           (RETURN |s|)))
@@ -12676,7 +12674,7 @@
                ((BOOT-EQUAL (ELT |s| (- |k| 1))
                     #\) )
                 (STRCONC #\( |s|))
-               ('T
+               (t
                 (STRCONC #\( (SUBSTRING |s| 0 |k|)
                          #\) (SUBSTRING |s| |k| NIL))))))))))
 
@@ -12708,11 +12706,11 @@
 ;  obey STRCONC('"rm -f ", pathname)
 ;  pathname
 
-(defun |getTempPath| (|kind|)
+(defun |getTempPath| (kind)
   (PROG (|pathname|)
     (RETURN
       (PROGN
-        (setq |pathname| (|mkGrepFile| |kind|))
+        (setq |pathname| (|mkGrepFile| kind))
         (obey (STRCONC "rm -f " |pathname|))
         |pathname|))))
 
@@ -12758,11 +12756,11 @@
     ((BOOT-EQUAL |key| '|gloss|)
      (STRCONC $SPADROOT "/algebra/glosskey.text"))
     ((BOOT-EQUAL |key| |$localLibdb|) |$localLibdb|)
-    ('T
+    (t
      (|mkGrepTextfile|
          (COND
            ((member |key| '(|.| |a| |c| |d| |k| |o| |p| |x|)) '|libdb|)
-           ('T '|comdb|))))))
+           (t '|comdb|))))))
 
 ;mkGrepTextfile s == STRCONC($SPADROOT,"/algebra/", princ-to-string s, '".text")
 
@@ -12819,7 +12817,7 @@
                  (COND
                    ((setq |x| (IFCAR |options|))
                     (setq |options| (CDR |options|)) |x|)
-                   ('T NIL)))
+                   (t NIL)))
         (setq |source| (|grepSource| |key|))
         (setq |lines|
                  (COND
@@ -12830,7 +12828,7 @@
                              (COND
                                ((member '|iv| |options|)
                                 "-vi")
-                               ('T "-i")))
+                               (t "-i")))
                     (setq |command|
                              (STRCONC "grep " |casepart|
                                       " '" |pattern|
@@ -12842,11 +12840,11 @@
                                         " | sed 's/~/"
                                         (princ-to-string |key|)
                                         "/' > " |target|))
-                              ('T
+                              (t
                                (STRCONC |command| " > "
                                         |target|))))
                     (|dbReadLines| |target|))
-                   ('T (setq |invert?| (member '|iv| |options|))
+                   (t (setq |invert?| (member '|iv| |options|))
                     (GREP |source| |pattern| NIL (NULL |invert?|)))))
         (|dbUnpatchLines| |lines|)))))
 
@@ -12873,11 +12871,11 @@
                              (PROGN
                                (setq |line| (QCAR |lines|))
                                (setq |lines| (QCDR |lines|))
-                               'T)))
+                               t)))
                   NIL)
                (SEQ (EXIT (COND
                             ((EQL (|#| |line|) 0) '|skip|)
-                            ('T
+                            (t
                              (setq |acc|
                                       (COND
                                         ((AND
@@ -12889,7 +12887,7 @@
                                           (STRCONC (CAR |acc|)
                                            (SUBSTRING |line| 2 NIL))
                                           (CDR |acc|)))
-                                        ('T (CONS |line| |acc|)))))))))
+                                        (t (CONS |line| |acc|)))))))))
              (NREVERSE |acc|))))))
 
 ;--====================> WAS b-util.boot <================================
@@ -12910,7 +12908,7 @@
 ;----------------------> Global Variables <-----------------------
 ;$includeUnexposed? := true   --default setting
 
-(defvar |$includeUnexposed?| 'T)
+(defvar |$includeUnexposed?| t)
 
 ;$tick := char '_`            --field separator for database files
 
@@ -12936,7 +12934,7 @@
 ;                             --otherwise, give signatures
 ;$browseMixedCase := true     --distinquish case in the browser?
 
-(defvar |$browseMixedCase| 'T)
+(defvar |$browseMixedCase| t)
 
 ;$docTable := nil             --cache for documentation table
 
@@ -13051,7 +13049,7 @@
     ((BOOT-EQUAL |k| "category")
      "categories")
     ((BOOT-EQUAL |k| "entry") "entries")
-    ('T (STRCONC |k| "s"))))
+    (t (STRCONC |k| "s"))))
 
 ;capitalize s ==
 ;  LASSOC(s,'(
@@ -13120,7 +13118,7 @@
                                        (|dbSpecialDisplayOpChar?|
                                         (ELT |s| |i|))))))))))
               |s|)
-             ('T (setq |buf| "")
+             (t (setq |buf| "")
               (DO ((G167338 (MAXINDEX |s|)) (|i| 0 (QSADD1 |i|)))
                   ((QSGREATERP |i| G167338) nil)
                 (SEQ (EXIT (setq |buf|
@@ -13130,7 +13128,7 @@
                                        (STRCONC |buf|
                                         "\\verb!"
                                         (ELT |s| |i|) "!"))
-                                      ('T
+                                      (t
                                        (STRCONC |buf| (ELT |s| |i|))))))))
               |buf|))))))
 
@@ -13160,8 +13158,8 @@
               (COND
                 ((|member| |u| |$htSpecialChars|)
                  (CONS (CONCAT "\\" |u|) NIL))
-                ('T (CONS |u| NIL))))
-             ('T (setq |c| (character (ELT |u| 0)))
+                (t (CONS |u| NIL))))
+             (t (setq |c| (character (ELT |u| 0)))
               (COND
                 ((PROG (G176470)
                    (setq G176470 NIL)
@@ -13176,7 +13174,7 @@
                                         (OR G176470
                                          (BOOT-EQUAL |c| #\y))))))))
                  (CONS (CONCAT "\\" |u|) NIL))
-                ('T (CONS |u| NIL)))))))))
+                (t (CONS |u| NIL)))))))))
 
 ;escapeString com ==   --this makes changes on single comment lines
 ;-- was htexCom
@@ -13198,7 +13196,7 @@
                (SEQ (EXIT (COND
                             ((>= |look| (SIZE |com|))
                              (setq |look| NIL))
-                            ('T
+                            (t
                              (setq |look|
                                       (STRPOSL "${}#%"
                                        |com| |look| NIL))
@@ -13207,7 +13205,7 @@
                                         (RPLACSTR |com| |look| 0
                                          "\\"))
                                        (setq |look| (+ |look| 2)))
-                               ('T NIL)))))))
+                               (t NIL)))))))
              |com|)))))
 
 ;htPred2English(x,:options) ==
@@ -13297,7 +13295,7 @@
                                        (EQ (QCDR |ISTMP#1|) NIL)
                                        (PROGN
                                          (setq |c| (QCAR |ISTMP#1|))
-                                         'T))))
+                                         t))))
                                    (NULL (|constructor?| |c|)))
                               (EXIT (|htPred2English,fnAttr| |c|)))
                           (EXIT (|bcConform| |b| |$emList|)))))
@@ -13311,7 +13309,7 @@
                     (PROGN
                       (setq |op| (QCAR |x|))
                       (setq |l| (QCDR |x|))
-                      'T))
+                      t))
                (EXIT (SEQ (IF (PROGN
                                 (setq |ISTMP#1|
                                          (LASSOC |op| |$precList|))
@@ -13321,7 +13319,7 @@
                                         (QCAR |ISTMP#1|))
                                        (setq |rename|
                                         (QCDR |ISTMP#1|))
-                                       'T)))
+                                       t)))
                               (EXIT (SEQ
                                      (IF (> |iprec| |prec|)
                                       (|htSay| "(") NIL)
@@ -13382,10 +13380,10 @@
                    (PROGN
                      (setq |ISTMP#1| (QCDR |u|))
                      (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                          (PROGN (setq |a| (QCAR |ISTMP#1|)) 'T))))
+                          (PROGN (setq |a| (QCAR |ISTMP#1|)) t))))
               |a|)
              ((AND (CONSP |u|) (EQ (QCAR |u|) 'LIST)
-                   (PROGN (setq |r| (QCDR |u|)) 'T))
+                   (PROGN (setq |r| (QCDR |u|)) t))
               (PROG (G176584)
                 (setq G176584 NIL)
                 (RETURN
@@ -13396,7 +13394,7 @@
                     (SEQ (EXIT (SETQ G176584
                                      (CONS (|unMkEvalable| |x|)
                                       G176584))))))))
-             ('T |u|))))))
+             (t |u|))))))
 
 ;lisp2HT u == ['"_'",:fn u] where fn u ==
 ;  IDENTP u => escapeSpecialIds PNAME u
@@ -13443,7 +13441,7 @@
     (RETURN
       (COND
         ((NULL |x|) "")
-        ('T (setq |emList| (IFCAR |options|))
+        (t (setq |emList| (IFCAR |options|))
          (SUBSTRING (|form2HtString| (CONS '|f| |x|) |emList|) 1 NIL))))))
 
 ;quickForm2HtString(x) ==
@@ -13451,7 +13449,7 @@
 ;  form2HtString x
 
 (defun |quickForm2HtString| (|x|)
-  (COND ((ATOM |x|) (princ-to-string |x|)) ('T (|form2HtString| |x|))))
+  (COND ((ATOM |x|) (princ-to-string |x|)) (t (|form2HtString| |x|))))
 
 ;form2HtString(x,:options) ==
 ;  $emList:local := IFCAR options   --list of atoms to be emphasized
@@ -13567,7 +13565,7 @@
 (defun |sexpr2HtString| (|x|)
   (COND
     ((ATOM |x|) (|form2HtString| |x|))
-    ('T
+    (t
      (STRCONC "(" (|sexpr2HtString,fn| |x|)
               ")"))))
 
@@ -13596,12 +13594,12 @@
            ((STRINGP |x|)
             (STRCONC "\"" (princ-to-string |x|)
                      "\""))
-           ('T (princ-to-string |x|))))
+           (t (princ-to-string |x|))))
         ((AND (CONSP |x|) (EQ (QCAR |x|) 'QUOTE)
               (PROGN
                 (setq |ISTMP#1| (QCDR |x|))
                 (AND (CONSP |ISTMP#1|) (EQ (QCDR |ISTMP#1|) NIL)
-                     (PROGN (setq |a| (QCAR |ISTMP#1|)) 'T))))
+                     (PROGN (setq |a| (QCAR |ISTMP#1|)) t))))
          (STRCONC "'" (|sexpr2LispString| |a|)))
         ((AND (CONSP |x|) (EQ (QCAR |x|) '|:|)
               (PROGN
@@ -13611,17 +13609,17 @@
                        (setq |a| (QCAR |ISTMP#1|))
                        (setq |ISTMP#2| (QCDR |ISTMP#1|))
                        (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
-                            (PROGN (setq |b| (QCAR |ISTMP#2|)) 'T))))))
+                            (PROGN (setq |b| (QCAR |ISTMP#2|)) t))))))
          (STRCONC (|form2LispString| |a|) ":"
                   (|form2LispString| |b|)))
         ((BOOT-EQUAL (CAR |x|) '|Mapping|)
          (COND
            ((NULL (CDR (setq |r| (CDR |x|))))
             (STRCONC "()->" (|form2LispString| (CAR |r|))))
-           ('T
+           (t
             (STRCONC (|args2LispString| (CDR |r|)) "->"
                      (|form2LispString| (CAR |r|))))))
-        ('T
+        (t
          (STRCONC (|form2LispString| (CAR |x|))
                   (|args2LispString| (CDR |x|))))))))
 
@@ -13651,7 +13649,7 @@
 (defun |sexpr2LispString| (|x|)
   (COND
     ((ATOM |x|) (|form2LispString| |x|))
-    ('T
+    (t
      (STRCONC "(" (|sexpr2LispString,fn| |x|)
               ")"))))
 
@@ -13670,7 +13668,7 @@
 (defun |args2LispString| (|x|)
   (COND
     ((NULL |x|) "")
-    ('T
+    (t
      (STRCONC "(" (|form2LispString| (CAR |x|))
               (|args2LispString,fnTailTail| (CDR |x|))
               ")"))))
@@ -13698,7 +13696,7 @@
                        (EQ (QCAR |ISTMP#1|) '|package|))))
            '|package|)
           ((HGET |$defaultPackageNamesHT| |x|) '|default package|)
-          ('T '|domain|))))))
+          (t '|domain|))))))
 
 ;getConstructorForm name ==
 ;  name = 'Union   => '(Union  (_: a A) (_: b B))
@@ -13715,7 +13713,7 @@
     ((BOOT-EQUAL |name| '|Record|) '(|Record| (|:| |a| A) (|:| |b| B)))
     ((BOOT-EQUAL |name| '|Mapping|) '(|Mapping| T S))
     ((BOOT-EQUAL |name| '|Enumeration|) '(|Enumeration| |a| |b|))
-    ('T (GETDATABASE |name| 'CONSTRUCTORFORM))))
+    (t (GETDATABASE |name| 'CONSTRUCTORFORM))))
 
 ;getConstructorArgs conname == CDR getConstructorForm conname
 
@@ -13753,27 +13751,27 @@
 ;  for x in rest comments repeat htSay('" ",x)
 ;  if italics? then htSay '"}"
 
-(defun |bcComments| (&REST G176770 &AUX |options| |comments|)
-  (DSETQ (|comments| . |options|) G176770)
+(defun |bcComments| (&REST G176770 &AUX |options| comments)
+  (DSETQ (comments . |options|) G176770)
   (PROG (|italics?|)
     (RETURN
       (SEQ (PROGN
              (setq |italics?| (NULL (IFCAR |options|)))
              (COND
-               ((STRINGP |comments|)
+               ((STRINGP comments)
                 (COND
-                  ((BOOT-EQUAL |comments| "") NIL)
-                  ('T (|htSay| "\\newline ")
+                  ((BOOT-EQUAL comments "") NIL)
+                  (t (|htSay| "\\newline ")
                    (COND (|italics?| (|htSay| "{\\em ")))
-                   (|htSay| |comments|)
+                   (|htSay| comments)
                    (COND
                      (|italics?| (|htSay| "}"))
-                     ('T NIL)))))
-               ((NULL |comments|) NIL)
-               ('T (|htSay| "\\newline ")
+                     (t NIL)))))
+               ((NULL comments) NIL)
+               (t (|htSay| "\\newline ")
                 (COND (|italics?| (|htSay| '|{\\em |)))
-                (|htSay| (CAR |comments|))
-                (DO ((G176760 (CDR |comments|) (CDR G176760))
+                (|htSay| (CAR comments))
+                (DO ((G176760 (CDR comments) (CDR G176760))
                      (|x| NIL))
                     ((OR (ATOM G176760)
                          (PROGN (SETQ |x| (CAR G176760)) NIL))
@@ -13781,7 +13779,7 @@
                   (SEQ (EXIT (|htSay| " " |x|))))
                 (COND
                   (|italics?| (|htSay| "}"))
-                  ('T NIL)))))))))
+                  (t NIL)))))))))
 
 ;bcConform(form,:options) ==
 ;  $italics?    : local := IFCAR options
@@ -13837,7 +13835,7 @@
 ;--(a) all arguments are specified or (b) none are specified
 ;  form is [op,:argl] =>
 ;    null argl => true
-;    op = 'QUOTE => 'T     --is a domain valued object
+;    op = 'QUOTE => t     --is a domain valued object
 ;    and/[dbEvalableConstructor? x for x in argl]
 ;  INTEGERP form => true
 ;  false
@@ -13850,13 +13848,13 @@
                    (PROGN
                      (setq |op| (QCAR |form|))
                      (setq |argl| (QCDR |form|))
-                     'T))
+                     t))
               (COND
-                ((NULL |argl|) 'T)
-                ((BOOT-EQUAL |op| 'QUOTE) 'T)
-                ('T
+                ((NULL |argl|) t)
+                ((BOOT-EQUAL |op| 'QUOTE) t)
+                (t
                  (PROG (G176824)
-                   (setq G176824 'T)
+                   (setq G176824 t)
                    (RETURN
                      (DO ((G176830 NIL (NULL G176824))
                           (G176831 |argl| (CDR G176831)) (|x| NIL))
@@ -13866,8 +13864,8 @@
                        (SEQ (EXIT (SETQ G176824
                                         (AND G176824
                                        (|dbEvalableConstructor?| |x|)))))))))))
-             ((INTEGERP |form|) 'T)
-             ('T NIL))))))
+             ((INTEGERP |form|) t)
+             (t NIL))))))
 
 ;htSayItalics s == htSay('"{\em ",s,'"}")
 
@@ -13915,7 +13913,7 @@
   (COND
     ((AND |$includeUnexposed?| (NULL (|isExposedConstructor| |name|)))
      (|htSayUnexposed|))
-    ('T NIL)))
+    (t NIL)))
 
 ;bcStarSpace name ==
 ;  null $includeUnexposed? => nil
@@ -13927,7 +13925,7 @@
   (COND
     ((NULL |$includeUnexposed?|) NIL)
     ((NULL (|isExposedConstructor| |name|)) (|htSayUnexposed|))
-    ('T (|htBlank|))))
+    (t (|htBlank|))))
 
 ;bcStarSpaceOp(op,exposed?) ==
 ;  null $includeUnexposed? => nil
@@ -13944,8 +13942,8 @@
      (COND
        ((BOOT-EQUAL (ELT |op| 0) #\*)
         (|htSay| " "))
-       ('T NIL)))
-    ('T (|htBlank|))))
+       (t NIL)))
+    (t (|htBlank|))))
 
 ;bcStarConform form ==
 ;  bcStar opOf form
@@ -13968,7 +13966,7 @@
         (setq |u| (GETDATABASE |name| 'SOURCEFILE))
         (COND
           ((NULL |u|) "")
-          ('T (setq |n| (PATHNAME-NAME |u|))
+          (t (setq |n| (PATHNAME-NAME |u|))
            (setq |t| (PATHNAME-TYPE |u|))
            (STRCONC |n| "." |t|)))))))
 
@@ -14080,11 +14078,11 @@
                                        (PROGN
                                          (setq |abb|
                                           (QCAR |ISTMP#1|))
-                                         'T))))
+                                         t))))
                                (|htSay| "{")
                                (|bcAbb| |con| |abb|)
                                (|htSay| "}"))
-                              ('T NIL))))))
+                              (t NIL))))))
              (|htEndTable|))))))
 
 ;bcConPredTable(u,conname,:options) ==
@@ -14130,7 +14128,7 @@
                                        ((ATOM |conform|)
                                         (|getConstructorForm|
                                          |conform|))
-                                       ('T |conform|)))
+                                       (t |conform|)))
                             (|bcConform| |form| |italicList|)
                             (COND
                               ((PROGN
@@ -14142,10 +14140,10 @@
                                          (QCAR |ISTMP#1|))
                                         (setq |pred|
                                          (QCDR |ISTMP#1|))
-                                        'T)))
+                                        t)))
                                (|htSay| " {\\em of} ")
                                (|bcConform| (CONS |conname| |arglist|)
-                                   |italicList| 'T)))
+                                   |italicList| t)))
                             (COND
                               ((NEQUAL |pred| '|etc|)
                                (|bcPred| |pred| |italicList|)))
@@ -14163,10 +14161,10 @@
   (PROG (|italicList|)
     (RETURN
       (COND
-        ((OR (BOOT-EQUAL |pred| "") (BOOT-EQUAL |pred| 'T)
+        ((OR (BOOT-EQUAL |pred| "") (BOOT-EQUAL |pred| t)
              (NULL |pred|))
          '|skip|)
-        ('T (setq |italicList| (IFCAR |options|))
+        (t (setq |italicList| (IFCAR |options|))
          (COND
            ((NULL (IFCAR (IFCDR |options|)))
             (|htSay| " {\\em if} ")))
@@ -14179,7 +14177,7 @@
 ;      MEMQ(op,'(AND OR NOT)) => or/[find y for y in argl]
 ;      nil
 ;    nil
-;  [rest x,:simpBool SUBST('T,x,pred)]
+;  [rest x,:simpBool SUBST(t,x,pred)]
 
 (defun |extractHasArgs,find| (|x|)
   (PROG (|op| |argl|)
@@ -14188,7 +14186,7 @@
                     (PROGN
                       (setq |op| (QCAR |x|))
                       (setq |argl| (QCDR |x|))
-                      'T))
+                      t))
                (EXIT (SEQ (IF (BOOT-EQUAL |op| '|hasArgs|) (EXIT |x|))
                           (IF (member |op| '(AND OR NOT))
                               (EXIT (PROG (G177067)
@@ -14219,7 +14217,7 @@
     (RETURN
       (PROGN
         (setq |x| (OR (|extractHasArgs,find| |pred|) (RETURN NIL)))
-        (CONS (CDR |x|) (|simpBool| (MSUBST 'T |x| |pred|)))))))
+        (CONS (CDR |x|) (|simpBool| (MSUBST t |x| |pred|)))))))
 
 ;splitConTable cons ==
 ;  uncond := cond := nil
@@ -14246,11 +14244,11 @@
                   NIL)
                (SEQ (EXIT (COND
                             ((NULL |pred|) '|skip|)
-                            ((OR (BOOT-EQUAL |pred| 'T)
+                            ((OR (BOOT-EQUAL |pred| t)
                                  (AND (CONSP |pred|)
                                       (EQ (QCAR |pred|) '|hasArgs|)))
                              (setq |uncond| (CONS |pair| |uncond|)))
-                            ('T (setq |cond| (CONS |pair| |cond|)))))))
+                            (t (setq |cond| (CONS |pair| |cond|)))))))
              (CONS (NREVERSE |uncond|) (NREVERSE |cond|)))))))
 
 ;bcNameTable(u,fn,:option) ==   --option if * prefix
@@ -14312,7 +14310,7 @@
              (setq |linkFunction|
                       (COND
                         ((IFCAR |options|) '|bcLispLinks|)
-                        ('T '|bcLinks|)))
+                        (t '|bcLinks|)))
              (|htSay| "\\newline")
              (|htBeginTable|)
              (DO ((|i| 0 (QSADD1 |i|)) (G177152 |u| (CDR G177152))
@@ -14372,22 +14370,22 @@
                               (PROGN
                                 (setq |ISTMP#1|
                                          (REVERSE |countOrPrefix|))
-                                'T)
+                                t)
                               (CONSP |ISTMP#1|)
                               (PROGN
                                 (setq |c| (QCAR |ISTMP#1|))
                                 (setq |prefix| (QCDR |ISTMP#1|))
-                                'T)
+                                t)
                               (PROGN
                                 (setq |prefix| (NREVERSE |prefix|))
-                                'T))
+                                t))
                          (|htSay| |prefix|) |c|)
-                        ('T |countOrPrefix|)))
+                        (t |countOrPrefix|)))
              (COND
                ((EQL |count| 0)
                 (|htSay| "No " |singular|))
                ((EQL |count| 1) (|htSay| "1 " |singular|))
-               ('T (|htSay| |count| " " |plural|)))
+               (t (|htSay| |count| " " |plural|)))
              (DO ((G177179 |options| (CDR G177179)) (|x| NIL))
                  ((OR (ATOM G177179)
                       (PROGN (SETQ |x| (CAR G177179)) NIL))
@@ -14395,7 +14393,7 @@
                (SEQ (EXIT (|bcHt| |x|))))
              (COND
                ((NEQUAL |count| 0) (|bcHt| ":"))
-               ('T NIL)))))))
+               (t NIL)))))))
 
 ;dbBasicConstructor? conname == MEMBER(dbSourceFile conname,'("catdef" "coerce"))
 
@@ -14441,7 +14439,7 @@
       (COND
         ((BOOT-EQUAL '|category| (GETDATABASE |name| 'CONSTRUCTORKIND))
          NIL)
-        ('T (|loadLibIfNotLoaded| |name|)
+        (t (|loadLibIfNotLoaded| |name|)
          (COND ((setq |u| (GETL |name| '|infovec|)) |u|)))))))
 
 ;emptySearchPage(kind,filter,:options) ==
@@ -14457,8 +14455,8 @@
 ;  htShowPage()
 
 (defun |emptySearchPage|
-       (&REST G177243 &AUX |options| |filter| |kind|)
-  (DSETQ (|kind| |filter| . |options|) G177243)
+       (&REST G177243 &AUX |options| |filter| kind)
+  (DSETQ (kind |filter| . |options|) G177243)
   (PROG (|skipNamePart| |heading| |exposePart|)
   (declare (special |$includeUnexposed?|))
     (RETURN
@@ -14466,16 +14464,16 @@
         (setq |skipNamePart| (IFCAR |options|))
         (setq |heading|
                  (CONS "No "
-                       (CONS (|capitalize| |kind|)
+                       (CONS (|capitalize| kind)
                              (CONS " Found" NIL))))
         (|htInitPage| |heading| NIL)
         (setq |exposePart|
                  (COND
                    ((NULL |$includeUnexposed?|)
                     "{\\em exposed} ")
-                   ('T "")))
+                   (t "")))
         (|htSay|                      "\\vspace{1}\\newline\\centerline{There is no "
-                 |exposePart| |kind|
+                 |exposePart| kind
                                       " matching pattern}\\newline\\centerline{{\\em ")
         (COND (|filter| (|htPred2English| |filter|)))
         (|htSay| "}}")
@@ -14495,7 +14493,7 @@
     (RETURN
       (SEQ (COND
              ((PROG (G177248)
-                (setq G177248 'T)
+                (setq G177248 t)
                 (RETURN
                   (DO ((G177254 NIL (NULL G177248))
                        (G177255 (MAXINDEX |s|)) (|i| 0 (QSADD1 |i|)))
@@ -14505,7 +14503,7 @@
                                      (AND G177248
                                       (DIGIT-CHAR-P (ELT |s| |i|)))))))))
               (PARSE-INTEGER |s|))
-             ('T NIL))))))
+             (t NIL))))))
 
 ;dbGetInputString htPage ==
 ;  s := htpLabelInputString(htPage,'filter)
@@ -14520,7 +14518,7 @@
         (COND
           ((OR (NULL |s|) (BOOT-EQUAL |s| ""))
            "*")
-          ('T |s|))))))
+          (t |s|))))))
 
 ;--=======================================================================
 ;--                   Error Pages
@@ -14538,7 +14536,7 @@
     (RETURN
       (SEQ (COND
              ((AND (CONSP |u|) (EQ (QCAR |u|) '|error|)
-                   (PROGN (setq |r| (QCDR |u|)) 'T))
+                   (PROGN (setq |r| (QCDR |u|)) t))
               (|htInitPage| (CAR |r|) NIL) (|bcBlankLine|)
               (DO ((G177274 (CDR |r|) (CDR G177274)) (|x| NIL))
                   ((OR (ATOM G177274)
@@ -14546,7 +14544,7 @@
                    NIL)
                 (SEQ (EXIT (|htSay| |x|))))
               (|htShowPage|))
-             ('T
+             (t
               (|systemError| "Unexpected error message")))))))
 
 ;errorPage(htPage,[heading,kind,:info]) ==
@@ -14559,20 +14557,20 @@
 
 (defun |errorPage| (|htPage| G177285)
   (declare (special |htPage|))
-  (PROG (|heading| |kind| |info|)
+  (PROG (|heading| kind |info|)
     (RETURN
       (SEQ (PROGN
              (setq |heading| (CAR G177285))
-             (setq |kind| (CADR G177285))
+             (setq kind (CADR G177285))
              (setq |info| (CDDR G177285))
              (COND
-               ((BOOT-EQUAL |kind| '|invalidType|)
+               ((BOOT-EQUAL kind '|invalidType|)
                 (|kInvalidTypePage| (CAR |info|)))
-               ('T
+               (t
                 (COND
                   ((BOOT-EQUAL |heading| '|error|)
                    (|htInitPage| "Error" NIL))
-                  ('T (|htInitPage| |heading| NIL)))
+                  (t (|htInitPage| |heading| NIL)))
                 (|bcBlankLine|)
                 (DO ((G177299 |info| (CDR G177299)) (|x| NIL))
                     ((OR (ATOM G177299)
@@ -14640,7 +14638,7 @@
         (COND
           (|upLink?|
               (|htSay| "\\downlink{\\fbox{No}}{UpPage}"))
-          ('T
+          (t
            (|htMakePage|
                (CONS (CONS '|bcLispLinks|
                            (CONS (CONS "\\fbox{No}"
@@ -14690,9 +14688,9 @@
 
 ;dbKindString kind == LASSOC(kind,$dbKindAlist)
 
-(defun |dbKindString| (|kind|)
+(defun |dbKindString| (kind)
  (declare (special |$dbKindAlist|))
- (LASSOC |kind| |$dbKindAlist|))
+ (LASSOC kind |$dbKindAlist|))
 
 ;dbName line == escapeString SUBSTRING(line,1,charPosition($tick,line,1) - 1)
 
@@ -14720,7 +14718,7 @@
              (-
                  (|charPosition| |$tick| |line| (+ |k| 1)) |k|)
              1)))
-    ('T
+    (t
      (|dbPart| |line| (- |n| 1)
          (|charPosition| |$tick| |line| (+ |k| 1))))))
 
@@ -14750,7 +14748,7 @@
     (RETURN
       (COND
         ((EQL |n| 0) NIL)
-        ('T
+        (t
          (CONS (SUBSTRING |line| |m|
                    (+ (- |m|)
                          (setq |k|
@@ -14774,15 +14772,15 @@
 ;  dbName line
 
 (defun |dbNewConname| (|line|)
-  (PROG (|kind| |conform| |k|)
+  (PROG (kind |conform| |k|)
     (RETURN
       (COND
-        ((OR (BOOT-EQUAL (setq |kind| (ELT |line| 0)) #\a)
-             (BOOT-EQUAL |kind| #\o))
+        ((OR (BOOT-EQUAL (setq kind (ELT |line| 0)) #\a)
+             (BOOT-EQUAL kind #\o))
          (setq |conform| (|dbPart| |line| 5 1))
          (setq |k| (|charPosition| #\( |conform| 1))
          (SUBSTRING |conform| 1 (- |k| 1)))
-        ('T (|dbName| |line|))))))
+        (t (|dbName| |line|))))))
 
 ;dbTickIndex(line,n,k) == --returns index of nth tick in line starting at k
 ;  n = 1 => charPosition($tick,line,k)
@@ -14792,7 +14790,7 @@
   (declare (special |$tick|))
   (COND
     ((EQL |n| 1) (|charPosition| |$tick| |line| |k|))
-    ('T
+    (t
      (|dbTickIndex| |line| (- |n| 1)
          (+ 1 (|charPosition| |$tick| |line| |k|))))))
 
@@ -14910,7 +14908,7 @@
                                                                 |sig|
                                                                 (QCAR
                                                                  |x|))
-                                                               'T)
+                                                               t)
                                                              (PROG
                                                               (G177472)
                                                                (setq
@@ -14960,8 +14958,8 @@
                                                              (CONS |x|
                                                               G177460))))))))))
                                                 (CONS |op| |y|))
-                                               ('T NIL)))
-                                            ('T NIL))
+                                               (t NIL)))
+                                            (t NIL))
                                           (SETQ G177437
                                            (CONS
                                             (COND
@@ -15001,7 +14999,7 @@
                                                                   |sig|
                                                                   (QCAR
                                                                    |x|))
-                                                                 'T)
+                                                                 t)
                                                                (PROG
                                                                 (G177505)
                                                                  (setq
@@ -15052,8 +15050,8 @@
                                                                 |x|
                                                             G177493))))))))))
                                                   (CONS |op| |y|))
-                                                 ('T NIL)))
-                                              ('T NIL))
+                                                 (t NIL)))
+                                              (t NIL))
                                             G177437))))))))))
              |res|)))))
 
@@ -15069,7 +15067,7 @@
         ((AND (setq |sigAlist| (LASSOC |op| |infoAlist|))
               (setq |itemlist| (LASSOC |sig| |sigAlist|)))
          (|dbShowInfoOp| |htPage| |op| |sig| |itemlist|))
-        ('T NIL)))))
+        (t NIL)))))
 
 ;dbShowInfoOp(htPage,op,sig,alist) ==
 ;  heading := htpProperty(htPage,'heading)
@@ -15145,7 +15143,7 @@
 ;  htSay '"\endmenu "
 
 (defun |dbShowInfoOp| (|htPage| |op| |sig| |alist|)
-  (PROG (|domname| |opAlist| |kind| |honestConform| |faTypes|
+  (PROG (|domname| |opAlist| kind |honestConform| |faTypes|
             |conArgTypes| |conform| |conname| |ops| |oppart| |head|
             |heading| |locals| |arguments| |x| |y| |dollar| |rep|
             |args| CONS |fromAlist| |sigAlist| |sig1| |item| |pred|
@@ -15159,14 +15157,14 @@
              (setq |conform| (|htpProperty| |htPage| '|conform|))
              (setq |opAlist| (|htpProperty| |htPage| '|opAlist|))
              (setq |conname| (|opOf| |conform|))
-             (setq |kind| (GETDATABASE |conname| 'CONSTRUCTORKIND))
+             (setq kind (GETDATABASE |conname| 'CONSTRUCTORKIND))
              (setq |honestConform|
                       (COND
-                        ((BOOT-EQUAL |kind| '|category|)
+                        ((BOOT-EQUAL kind '|category|)
                          (CONS (INTERN (STRCONC (PNAME |conname|)
                                         "&"))
                                (CONS '$ (CDR |conform|))))
-                        ('T |conform|)))
+                        (t |conform|)))
              (setq |faTypes|
                       (CDDAR (GETDATABASE |conname|
                                  'CONSTRUCTORMODEMAP)))
@@ -15189,7 +15187,7 @@
                                        (CONS ": "
                                         (|dbConformGen|
                                          (|dbInfoSig| |sig|)))))
-                        ('T |oppart|)))
+                        (t |oppart|)))
              (setq |heading|
                       (APPEND |head|
                               (CONS " from {\\sf "
@@ -15207,7 +15205,7 @@
                                (setq |locals| |y|))
                               ((BOOT-EQUAL |x| '|arguments|)
                                (setq |arguments| |y|))
-                              ('T
+                              (t
                                (setq |fromAlist|
                                         (CONS
                                          (CONS |x|
@@ -15244,7 +15242,7 @@
                                           (|dbInfoFindCat| |conform|
                                            |conArgTypes| |p|)
                                           |args|)))
-                                       ('T
+                                       (t
                                         (setq CONS
                                          (CONS (|dbInfoTran| |x| |y|)
                                           CONS)))))))
@@ -15270,7 +15268,7 @@
                                         ((AND (CONSP |x|)
                                           (PROGN
                                             (setq |sig1| (QCAR |x|))
-                                            'T)
+                                            t)
                                           (BOOT-EQUAL |sig1| |sig|))
                                          (SETQ G177606
                                           (OR G177606 |x|)))))))))
@@ -15312,7 +15310,7 @@
                                (|htSay| |con|)
                                (COND
                                  ((PROG (G177642)
-                                    (setq G177642 'T)
+                                    (setq G177642 t)
                                     (RETURN
                                       (DO
                                        ((G177653 NIL
@@ -15353,7 +15351,7 @@
                                   (|htSay|                                             " {\\em of type} ")
                                   (|bcConform| |orig|)))
                                (setq |buttonForOp| NIL))
-                              ('T
+                              (t
                                (|htMakePage|
                                    (CONS
                                     (CONS '|bcLinks|
@@ -15367,7 +15365,7 @@
                                     NIL))
                                (|htSay| "{\\em calls to} ")
                                (|bcConform| |con|)
-                               (setq |buttonForOp| 'T)))
+                               (setq |buttonForOp| t)))
                             (|htSay| ":\\newline ")
                             (|dbShowInfoList| |fns|
                                 (TIMES |bincount| 8192) |buttonForOp|)
@@ -15428,10 +15426,10 @@
                                                (PROGN
                                                  (setq |s|
                                                   (QCAR |ISTMP#2|))
-                                                 'T))))))
-                                        (setq |buttonForOp?| 'T)
+                                                 t))))))
+                                        (setq |buttonForOp?| t)
                                         |s|)
-                                       ('T |item|)))
+                                       (t |item|)))
                             (setq |op| (CAR |LETTMP#1|))
                             (setq |sig| (CDR |LETTMP#1|))
                             (setq |ops|
@@ -15445,8 +15443,8 @@
                                          (CONS ": " NIL)))
                                (COND
                                  ((ATOM |sig|) (|bcConform| |sig|))
-                                 ('T (|bcConform| (|dbInfoSig| |sig|)))))
-                              ('T
+                                 (t (|bcConform| (|dbInfoSig| |sig|)))))
+                              (t
                                (|htMakePage|
                                    (CONS
                                     (CONS '|bcLinks|
@@ -15460,7 +15458,7 @@
                                (|htSay| ": ")
                                (COND
                                  ((ATOM |sig|) (|htSay| |sig|))
-                                 ('T (|bcConform| (|dbInfoSig| |sig|))))))
+                                 (t (|bcConform| (|dbInfoSig| |sig|))))))
                             (|htSay| "}")
                             (setq |count| (+ |count| 1))))))
              (|htSay| "} ")
@@ -15509,7 +15507,7 @@
         (COND
           ((setq |origin| (|dbInfoOrigin| |op| |sig| |t|))
            (CONS '|origin| (CONS |origin| (CONS |x| NIL))))
-          ('T |x|))))))
+          (t |x|))))))
 
 ;dbInfoOrigin(op,sig,t) ==
 ;  t is ['Join, :r] => or/[dbInfoOrigin(op,sig,x) for x in r]
@@ -15522,7 +15520,7 @@
     (RETURN
       (SEQ (COND
              ((AND (CONSP |t|) (EQ (QCAR |t|) '|Join|)
-                   (PROGN (setq |r| (QCDR |t|)) 'T))
+                   (PROGN (setq |r| (QCDR |t|)) t))
               (PROG (G177819)
                 (setq G177819 NIL)
                 (RETURN
@@ -15555,7 +15553,7 @@
                                      (CONS (BOOT-EQUAL |sig| |sig1|)
                                       G177838)))))))
               |t|)
-             ('T NIL))))))
+             (t NIL))))))
 
 ;dbInfoTran(con,opSigList) == [con,:SUBST("$",con,mySort opSigList)]
 
@@ -15641,9 +15639,9 @@
                                        (EQ (QCDR |ISTMP#2|) NIL)
                                        (PROGN
                                          (setq |s| (QCAR |ISTMP#2|))
-                                         'T))))))
+                                         t))))))
                     (setq |con| |origin|) (CONS |s| NIL))
-                   ('T (CONS |item| NIL))))
+                   (t (CONS |item| NIL))))
         (|dbInfoChoose1| |htPage| |con| |alist|)))))
 
 ;dbInfoChoose1(htPage,con,alist) ==
@@ -15794,7 +15792,7 @@
 ;  ['Mapping,:sig]
 
 (defun |dbInfoSig| (|sig|)
-  (COND ((NULL (CDR |sig|)) (CAR |sig|)) ('T (CONS '|Mapping| |sig|))))
+  (COND ((NULL (CDR |sig|)) (CAR |sig|)) (t (CONS '|Mapping| |sig|))))
 
 ;--============================================================================
 ;--                Code to Expand opAlist
@@ -15845,7 +15843,7 @@
   (PROG (|op| |items| |sig| |alist|)
     (RETURN
       (SEQ (PROG (G178092)
-             (setq G178092 'T)
+             (setq G178092 t)
              (RETURN
                (DO ((G178102 NIL (NULL G178092))
                     (G178103 |u| (CDR G178103)) (G178088 NIL))
@@ -15862,7 +15860,7 @@
                                   (AND G178092
                                        (AND (ATOM |op|)
                                         (PROG (G178111)
-                                          (setq G178111 'T)
+                                          (setq G178111 t)
                                           (RETURN
                                             (DO
                                              ((G178120 NIL
@@ -15888,7 +15886,7 @@
                                                        (QCAR |item|))
                                                       (setq |alist|
                                                        (QCDR |item|))
-                                                      'T)
+                                                      t)
                                                     (NULL |sig|))
                                                    (AND
                                                     (NULL (ATOM |sig|))
@@ -15931,14 +15929,14 @@
         (setq |inStream|
                  (COND
                    ((PROBE-FILE |fs|) (OPEN |fs|))
-                   ('T
+                   (t
                     (setq |filename|
                              (STRCONC "/spad/int/algebra/"
                                       (PNAME |abb|)
                                       ".nrlib/info"))
                     (COND
                       ((PROBE-FILE |filename|) (OPEN |filename|))
-                      ('T (RETURN NIL))))))
+                      (t (RETURN NIL))))))
         (setq |alist| (|mySort| (VMREAD |inStream|)))
         (COND
           (|cat?| (setq |LETTMP#1|
@@ -16003,13 +16001,13 @@
                        ((CONSP |line|)
                         (CONS (CONS '|text| |line|) NIL))
                        ((STRINGP |line|) |line|)
-                       ('T (CONS (CONS '|text| (CONS |line| NIL)) NIL))))
+                       (t (CONS (CONS '|text| (CONS |line| NIL)) NIL))))
             (|htpAddToPageDescription| |$curPage| |text|))
         ((CONSP |line|)
          (setq |$htLineList|
                   (NCONC (NREVERSE (|mapStringize| (COPY-LIST |line|)))
                          |$htLineList|)))
-        ('T
+        (t
          (setq |$htLineList|
                   (CONS (|basicStringize| |line|) |$htLineList|)))))))
 
@@ -16153,9 +16151,9 @@
                                        (EQ (QCAR |u|) '|text|)
                                        (PROGN
                                          (setq |s| (QCDR |u|))
-                                         'T))
+                                         t))
                                       |s|)
-                                     ('T (setq |itemType| (CAR |u|))
+                                     (t (setq |itemType| (CAR |u|))
                                       (CDR |u|))))
                           (COND
                             ((BOOT-EQUAL |itemType| '|text|)
@@ -16167,7 +16165,7 @@
                             ((BOOT-EQUAL |itemType| '|bcLinks|)
                              (|htBcLinks| |items|))
                             ((BOOT-EQUAL |itemType| '|bcLinksNS|)
-                             (|htBcLinks| |items| 'T))
+                             (|htBcLinks| |items| t))
                             ((BOOT-EQUAL |itemType| '|bcLispLinks|)
                              (|htBcLispLinks| |items|))
                             ((BOOT-EQUAL |itemType| '|radioButtons|)
@@ -16189,7 +16187,7 @@
                              (|htProcessDoneButton| |items|))
                             ((BOOT-EQUAL |itemType| '|doitButton|)
                              (|htProcessDoitButton| |items|))
-                            ('T
+                            (t
                              (|systemError|
                                  "unexpected branch")))))))))))
 
@@ -16243,7 +16241,7 @@
                  (LASSOC |label| (|htpInputAreaAlist| |htPage|)))
         (COND
           (|props| (SETELT |props| 0 (princ-to-string |val|)))
-          ('T NIL))))))
+          (t NIL))))))
 
 ;--------------------> NEW DEFINITION (override in ht-util.boot.pamphlet)
 ;htDoneButton(func, htPage, :optionalArgs) ==
@@ -16268,7 +16266,7 @@
       ((NULL (FBOUNDP |func|))
        (|systemError|
            (CONS "unknown function" (CONS |func| NIL))))
-      ('T (FUNCALL (SYMBOL-FUNCTION |func|) |htPage|)))))
+      (t (FUNCALL (SYMBOL-FUNCTION |func|) |htPage|)))))
 
 ;--------------------> NEW DEFINITION (override in ht-util.boot.pamphlet)
 ;htBcLinks(links,:options) ==
@@ -16376,7 +16374,7 @@
                                        (CONS "| "
                                         (CONS (|htpName| |$curPage|)
                                          (CONS ")}" NIL)))))))
-                ('T
+                (t
                  (|iht| (CONS "}{(|htDoneButton| '|"
                               (CONS |func|
                                     (CONS "| (PROGN " NIL))))
@@ -16405,7 +16403,7 @@
                                      "\"\\stringvalue{"
                                      (CONS |id|
                                       (CONS "}\"" NIL)))))
-                                  ('T
+                                  (t
                                    (|iht|
                                     (CONS "\"\\boxvalue{"
                                      (CONS |id|
@@ -16428,7 +16426,7 @@
                  (COND
                    ((STRINGP |pageDescrip|)
                     (CONS |pageDescrip| (ELT |htPage| 7)))
-                   ('T
+                   (t
                     (NCONC (NREVERSE (COPY-LIST |pageDescrip|))
                            (ELT |htPage| 7)))))
         (SETELT |htPage| 7 |newDescript|)))))
@@ -16619,20 +16617,20 @@
 ;  htSay '"}"
 
 (defun |kPageContextMenu| (|page|)
-  (PROG (|LETTMP#1| |kind| |name| |nargs| |xpart| |sig| |args| |abbrev|
-            |comments| |conform| |conname| |pathname|)
+  (PROG (|LETTMP#1| kind |name| |nargs| |xpart| |sig| |args| |abbrev|
+            comments |conform| |conname| |pathname|)
     (RETURN
       (COND
         (t 
          (setq |LETTMP#1| (|htpProperty| |page| '|parts|))
-         (setq |kind| (CAR |LETTMP#1|))
+         (setq kind (CAR |LETTMP#1|))
          (setq |name| (CADR |LETTMP#1|))
          (setq |nargs| (CADDR |LETTMP#1|))
          (setq |xpart| (CADDDR |LETTMP#1|))
          (setq |sig| (CAR (CDDDDR |LETTMP#1|)))
          (setq |args| (CADR (CDDDDR |LETTMP#1|)))
          (setq |abbrev| (CADDR (CDDDDR |LETTMP#1|)))
-         (setq |comments| (CADDDR (CDDDDR |LETTMP#1|)))
+         (setq comments (CADDDR (CDDDDR |LETTMP#1|)))
          (setq |conform| (|htpProperty| |page| '|conform|))
          (setq |conname| (|opOf| |conform|)) (|htBeginTable|)
          (|htSay| "{")
@@ -16654,7 +16652,7 @@
                                NIL))
                    NIL))
          (COND
-           ((BOOT-EQUAL |kind| "category")
+           ((BOOT-EQUAL kind "category")
             (|htSay| "}{")
             (|htMakePage|
                 (CONS (CONS '|bcLinks|
@@ -16674,7 +16672,7 @@
                                   NIL))
                       NIL))
          (COND
-           ((BOOT-EQUAL |kind| "category")
+           ((BOOT-EQUAL kind "category")
             (|htSay| "}{")
             (|htMakePage|
                 (CONS (CONS '|bcLinks|
@@ -16685,7 +16683,7 @@
                                   NIL))
                       NIL))))
          (COND
-           ((BOOT-EQUAL |kind| "category")
+           ((BOOT-EQUAL kind "category")
             (|htSay| "}{")
             (|htMakePage|
                    (CONS (CONS '|bcLinks|
@@ -16697,7 +16695,7 @@
                          NIL))))
          (|htSay| "}{")
          (COND
-           ((AND (NEQUAL |kind| "category")
+           ((AND (NEQUAL kind "category")
                  (setq |pathname| (|dbHasExamplePage| |conname|)))
             (|htMakePage|
                 (CONS (CONS '|bcLinks|
@@ -16707,7 +16705,7 @@
                                           (CONS |pathname| NIL))))
                                   NIL))
                       NIL)))
-           ('T (|htSay| "{\\em Examples}")))
+           (t (|htSay| "{\\em Examples}")))
          (|htSay| "}{")
          (|htMakePage|
              (CONS (CONS '|bcLinks|
@@ -16737,7 +16735,7 @@
                                NIL))
                    NIL))
          (COND
-           ((NEQUAL |kind| "category")
+           ((NEQUAL kind "category")
             (|htSay| "}{")
             (|htMakePage|
                    (CONS (CONS '|bcLinks|
@@ -16747,7 +16745,7 @@
                                      NIL))
                          NIL))))
          (COND
-           ((NEQUAL |kind| "category")
+           ((NEQUAL kind "category")
             (|htSay| "}{")
             (|htMakePage|
                 (CONS (CONS '|bcLinks|
@@ -16823,8 +16821,8 @@
 ;      else htMakePage [['bcLinks,['"Exposed Only",'"",'dbShowCons,'exposureOn]]]
 ;  htSay '"}"
 
-(defun |dbPresentCons| (&REST G178985 &AUX |exclusions| |kind| |htPage|)
-  (DSETQ (|htPage| |kind| . |exclusions|) G178985)
+(defun |dbPresentCons| (&REST G178985 &AUX |exclusions| kind |htPage|)
+  (DSETQ (|htPage| kind . |exclusions|) G178985)
   (PROG (|cAlist| |empty?| |one?| |exposedUnexposedFlag| |star?|)
   (declare (special |$exposedOnlyIfTrue| |$includeUnexposed?|))
     (RETURN
@@ -16836,13 +16834,13 @@
               (setq |one?| (NULL (CDR |cAlist|)))
               (setq |one?| (OR |empty?| |one?|))
               (setq |exposedUnexposedFlag| |$includeUnexposed?|)
-              (setq |star?| 'T)
+              (setq |star?| t)
               (|htBeginTable|)
               (|htSay| "{")
               (COND
                 ((OR |one?| (|member| '|abbrs| |exclusions|))
                  (|htSay| "{\\em Abbreviations}"))
-                ('T
+                (t
                  (|htMakePage|
                      (CONS (CONS '|bcLispLinks|
                                  (CONS (CONS
@@ -16856,7 +16854,7 @@
               (COND
                 ((OR |one?| (|member| '|conditions| |exclusions|)
                      (PROG (G178946)
-                       (setq G178946 'T)
+                       (setq G178946 t)
                        (RETURN
                          (DO ((G178952 NIL (NULL G178946))
                               (G178953 |cAlist| (CDR G178953))
@@ -16868,9 +16866,9 @@
                               G178946)
                            (SEQ (EXIT (SETQ G178946
                                        (AND G178946
-                                        (BOOT-EQUAL (CDR |x|) 'T)))))))))
+                                        (BOOT-EQUAL (CDR |x|) t)))))))))
                  (|htSay| "{\\em Conditions}"))
-                ('T
+                (t
                  (|htMakePage|
                      (CONS (CONS '|bcLispLinks|
                                  (CONS (CONS "Conditions"
@@ -16883,7 +16881,7 @@
               (COND
                 ((OR |empty?| (|member| '|documentation| |exclusions|))
                  (|htSay| "{\\em Descriptions}"))
-                ('T
+                (t
                  (|htMakePage|
                      (CONS (CONS '|bcLispLinks|
                                  (CONS (CONS
@@ -16897,7 +16895,7 @@
               (COND
                 ((OR |one?| (NULL (CDR |cAlist|)))
                  (|htSay| "{\\em Filter}"))
-                ('T
+                (t
                  (|htMakePage|
                      (CONS (CONS '|bcLinks|
                                  (CONS (CONS "Filter"
@@ -16912,9 +16910,9 @@
               (|htSay| "}{")
               (COND
                 ((OR |one?| (|member| '|kinds| |exclusions|)
-                     (NEQUAL |kind| '|constructor|))
+                     (NEQUAL kind '|constructor|))
                  (|htSay| "{\\em Kinds}"))
-                ('T
+                (t
                  (|htMakePage|
                      (CONS (CONS '|bcLispLinks|
                                  (CONS (CONS "Kinds"
@@ -16927,7 +16925,7 @@
               (COND
                 ((OR |one?| (|member| '|names| |exclusions|))
                  (|htSay| "{\\em Names}"))
-                ('T
+                (t
                  (|htMakePage|
                      (CONS (CONS '|bcLispLinks|
                                  (CONS (CONS "Names"
@@ -16955,7 +16953,7 @@
                                        (SETQ G178960
                                         (OR G178960 (CDAR |x|))))))))))
                  (|htSay| "{\\em Parameters}"))
-                ('T
+                (t
                  (|htMakePage|
                      (CONS (CONS '|bcLispLinks|
                                  (CONS (CONS "Parameters"
@@ -16969,7 +16967,7 @@
                 (|$exposedOnlyIfTrue|
                     (COND
                       (|one?| (|htSay|                                         "{\\em Unexposed Also}"))
-                      ('T
+                      (t
                        (|htMakePage|
                            (CONS (CONS '|bcLinks|
                                        (CONS
@@ -16981,7 +16979,7 @@
                                         NIL))
                                  NIL)))))
                 (|one?| (|htSay| "{\\em Exposed Only}"))
-                ('T
+                (t
                  (|htMakePage|
                      (CONS (CONS '|bcLinks|
                                  (CONS (CONS
@@ -17054,7 +17052,7 @@
 ;  htSayStandard '"\indent{0}"
 
 (defun |dbShowConsKinds| (|cAlist|)
-  (PROG (|op| |kind| |cats| |doms| |paks| |defs| |lists| |kinds| |c|)
+  (PROG (|op| kind |cats| |doms| |paks| |defs| |lists| |kinds| |c|)
     (RETURN
       (SEQ (PROGN
              (setq |cats|
@@ -17066,15 +17064,15 @@
                   NIL)
                (SEQ (EXIT (PROGN
                             (setq |op| (CAAR |x|))
-                            (setq |kind| (|dbConstructorKind| |op|))
+                            (setq kind (|dbConstructorKind| |op|))
                             (COND
-                              ((BOOT-EQUAL |kind| '|category|)
+                              ((BOOT-EQUAL kind '|category|)
                                (setq |cats| (CONS |x| |cats|)))
-                              ((BOOT-EQUAL |kind| '|domain|)
+                              ((BOOT-EQUAL kind '|domain|)
                                (setq |doms| (CONS |x| |doms|)))
-                              ((BOOT-EQUAL |kind| '|package|)
+                              ((BOOT-EQUAL kind '|package|)
                                (setq |paks| (CONS |x| |paks|)))
-                              ('T (setq |defs| (CONS |x| |defs|))))))))
+                              (t (setq |defs| (CONS |x| |defs|))))))))
              (setq |lists|
                       (CONS (NREVERSE |cats|)
                             (CONS (NREVERSE |doms|)
@@ -17101,10 +17099,10 @@
                       '("category" "domain" "package"
                         "default package")
                       (CDR G179109))
-                  (|kind| NIL) (G179110 |lists| (CDR G179110))
+                  (kind NIL) (G179110 |lists| (CDR G179110))
                   (|x| NIL))
                  ((OR (ATOM G179109)
-                      (PROGN (SETQ |kind| (CAR G179109)) NIL)
+                      (PROGN (SETQ kind (CAR G179109)) NIL)
                       (ATOM G179110)
                       (PROGN (SETQ |x| (CAR G179110)) NIL))
                   NIL)
@@ -17115,7 +17113,7 @@
                                (COND
                                  ((EQL |kinds| 1)
                                   (|htSay| (|menuButton|)))
-                                 ('T
+                                 (t
                                   (|htMakePage|
                                       (CONS
                                        (CONS '|bcLinks|
@@ -17125,7 +17123,7 @@
                                            (CONS
                                             '|dbShowConsKindsFilter|
                                             (CONS
-                                             (CONS |kind|
+                                             (CONS kind
                                               (CONS |x| NIL))
                                              NIL))))
                                          NIL))
@@ -17137,8 +17135,8 @@
                                         " ")
                                (|htSay| (COND
                                           ((> |c| 1)
-                                           (|pluralize| |kind|))
-                                          ('T |kind|)))
+                                           (|pluralize| kind))
+                                          (t kind)))
                                (|htSay| ":}")
                                (|bcConTable|
                                    (REMDUP
@@ -17218,11 +17216,11 @@
                                      (SETQ G179179
                                       (MAX G179179 (|#| |s|))))))))
                          10))
-             (setq |w| (COND (|manuelsCode?| 55) ('T 23)))
+             (setq |w| (COND (|manuelsCode?| 55) (t 23)))
              (|htSay| "Optional argument value")
              (|htSay| (COND
                         ((CDR |parlist|) "s:")
-                        ('T ":")))
+                        (t ":")))
              (setq |odd| NIL)
              (DO ((G179212 |$PatternVariableList| (CDR G179212))
                   (|parname| NIL)
@@ -17238,7 +17236,7 @@
                                 (COND
                                   ((OR |odd| |manuelsCode?|)
                                    '|\\newline|)
-                                  ('T '|\\tab{29}|)))
+                                  (t '|\\tab{29}|)))
                             (setq |odd| (NULL |odd|))
                             (setq |argstring|
                                      (COND
@@ -17248,10 +17246,10 @@
                                             (QCAR |$conArgstrings|))
                                            (setq |r|
                                             (QCDR |$conArgstrings|))
-                                           'T))
+                                           t))
                                         (setq |$conArgstrings| |r|)
                                         |a|)
-                                       ('T "")))
+                                       (t "")))
                             (|htMakePageStandard|
                                 (CONS (CONS '|text|
                                        (CONS "{\\em "
@@ -17296,7 +17294,7 @@
              (setq |source| (CDDR G179269))
              (setq |op| (CAR G179254))
              (setq |args| (CDR G179254))
-             (setq |firstTime| 'T)
+             (setq |firstTime| t)
              (setq |coSig| (CDR (GETDATABASE |op| 'COSIG)))
              (DO ((G179306 |args| (CDR G179306)) (|x| NIL)
                   (G179307 |source| (CDR G179307)) (|t| NIL)
@@ -17311,7 +17309,7 @@
                (SEQ (EXIT (PROGN
                             (COND
                               (|firstTime| (setq |firstTime| NIL))
-                              ('T (|htSayStandard| ", and")))
+                              (t (|htSayStandard| ", and")))
                             (|htSayStandard| "\\newline ")
                             (setq |typeForm|
                                      (COND
@@ -17330,11 +17328,11 @@
                                                (PROGN
                                                  (setq |t1|
                                                   (QCAR |ISTMP#2|))
-                                                 'T))))))
+                                                 t))))))
                                         |t1|)
-                                       ('T |t|)))
+                                       (t |t|)))
                             (COND
-                              ((BOOT-EQUAL |pred| 'T)
+                              ((BOOT-EQUAL |pred| t)
                                (|htMakePage|
                                    (CONS
                                     (CONS '|bcLinks|
@@ -17345,7 +17343,7 @@
                                          (CONS |x| NIL))))
                                       NIL))
                                     NIL)))
-                              ('T
+                              (t
                                (|htSay| "{\\em " |x|
                                         "}")))
                             (|htSayStandard| "\\tab{"
@@ -17354,9 +17352,9 @@
                             (|htSay| (COND
                                        (|pred|
                                                                                  "a domain of category ")
-                                       ('T
+                                       (t
                                                                                  "an element of the domain ")))
-                            (|bcConform| |typeForm| 'T))))))))))
+                            (|bcConform| |typeForm| t))))))))))
 
 ;--=======================================================================
 ;--              Redefinitions from br-op1.boot
@@ -17438,7 +17436,7 @@
                             (|htSayStandard| "\\item")
                             (COND
                               (|single?| (|htSay| (|menuButton|)))
-                              ('T
+                              (t
                                (|htMakePageStandard|
                                    (CONS
                                     (CONS '|bcLinks|
@@ -17469,10 +17467,10 @@
                                         (COND
                                           ((ATOM |thing|)
                                                                                        " an unknown constructor")
-                                          ('T "")))
+                                          (t "")))
                                        ((ATOM |thing|)
                                         "unconditional")
-                                       ('T "")))
+                                       (t "")))
                             (|htSay| "}")
                             (COND
                               ((NULL (ATOM |thing|))
@@ -17592,11 +17590,11 @@
                   (COND
                     ((BOOT-EQUAL |which| "operation")
                      (|htpProperty| |htPage| '|opAlist|))
-                    ('T (|htpProperty| |htPage| '|attrAlist|))))
+                    (t (|htpProperty| |htPage| '|attrAlist|))))
          (setq |empty?| (NULL |opAlist|))
          (setq |one?|
                   (AND (CONSP |opAlist|) (EQ (QCDR |opAlist|) NIL)
-                       (PROGN (setq |entry| (QCAR |opAlist|)) 'T)
+                       (PROGN (setq |entry| (QCAR |opAlist|)) t)
                        (EQL 2 (|#| |entry|))))
          (setq |one?| (OR |empty?| |one?|)) (|htBeginTable|)
          (|htSay| "{")
@@ -17605,7 +17603,7 @@
                 (BOOT-EQUAL (|htpProperty| |htPage| '|condition?|)
                     '|no|))
             (|htSay| "{\\em Conditions}"))
-           ('T
+           (t
             (|htMakePage|
                 (CONS (CONS '|bcLispLinks|
                             (CONS (CONS "Conditions"
@@ -17619,7 +17617,7 @@
          (COND
            ((OR |empty?| (|member| '|documentation| |exclusions|))
             (|htSay| "{\\em Descriptions}"))
-           ('T
+           (t
             (|htMakePage|
                 (CONS (CONS '|bcLispLinks|
                             (CONS (CONS "Descriptions"
@@ -17633,7 +17631,7 @@
          (COND
            ((NULL (IFCDR |opAlist|))
             (|htSay| "{\\em Filter}"))
-           ('T
+           (t
             (|htMakePage|
                 (CONS (CONS '|bcLinks|
                             (CONS (CONS "Filter "
@@ -17651,7 +17649,7 @@
            ((OR |one?| (|member| '|names| |exclusions|)
                 (NULL (IFCDR |opAlist|)))
             (|htSay| "{\\em Names}"))
-           ('T
+           (t
             (|htMakePage|
                 (CONS (CONS '|bcLispLinks|
                             (CONS (CONS "Names"
@@ -17674,7 +17672,7 @@
                             (GETDATABASE |conname| 'CONSTRUCTORKIND)
                             '|category|)))
                (|htSay| "{\\em Implementations}"))
-              ('T
+              (t
                (|htMakePage|
                    (CONS (CONS '|bcLispLinks|
                                (CONS (CONS
@@ -17689,7 +17687,7 @@
          (COND
            ((OR |one?| (|member| '|origins| |exclusions|))
             (|htSay| "{\\em Origins}"))
-           ('T
+           (t
             (|htMakePage|
                 (CONS (CONS '|bcLispLinks|
                             (CONS (CONS "Origins"
@@ -17704,7 +17702,7 @@
            ((OR |one?| (|member| '|parameters| |exclusions|)
                 (NULL (|dbDoesOneOpHaveParameters?| |opAlist|)))
             (|htSay| "{\\em Parameters}"))
-           ('T
+           (t
             (|htMakePage|
                 (CONS (CONS '|bcLispLinks|
                             (CONS (CONS "Parameters"
@@ -17720,7 +17718,7 @@
             (COND
               ((OR |one?| (|member| '|signatures| |exclusions|))
                (|htSay| "{\\em Signatures}"))
-              ('T
+              (t
                (|htMakePage|
                    (CONS (CONS '|bcLispLinks|
                                (CONS (CONS "Signatures"
@@ -17738,7 +17736,7 @@
                           (COND
                             (|one?| (|htSay|
                                                                            "{\\em Unexposed Also}"))
-                            ('T
+                            (t
                              (|htMakePage|
                                  (CONS (CONS '|bcLinks|
                                         (CONS
@@ -17751,7 +17749,7 @@
                                          NIL))
                                        NIL)))))
                       (|one?| (|htSay|                                         "{\\em Exposed Only}"))
-                      ('T
+                      (t
                        (|htMakePage|
                            (CONS (CONS '|bcLinks|
                                        (CONS
@@ -17791,13 +17789,13 @@
                                          (CONS NIL NIL))))
                                  NIL))
                      NIL)))
-       ('T
+       (t
         (|htMakePage|
             (CONS (CONS '|bcLinks|
                         (CONS (CONS "Exposed Only"
                                     (CONS ""
                                      (CONS '|repeatSearch|
-                                      (CONS 'T NIL))))
+                                      (CONS t NIL))))
                               NIL))
                   NIL))))
      (|htShowPageNoScroll|))
@@ -17984,7 +17982,7 @@
                       |$charFauxNewline|))
     (RETURN
       (SEQ (PROGN
-             (setq |$chooseDownCaseOfType| 'T)
+             (setq |$chooseDownCaseOfType| t)
              (setq |$whereList| NIL)
              (setq |$NumberList|
                       '(|i| |j| |k| |l| |m| |n| |i1| |j1| |k1| |l1|
@@ -18010,15 +18008,15 @@
                         ((BOOT-EQUAL |which| "attribute")
                          (COND
                            ((NULL |sig|) (CONS |op| NIL))
-                           ('T (CONS |op| (CONS |sig| NIL)))))
+                           (t (CONS |op| (CONS |sig| NIL)))))
                         ((BOOT-EQUAL |which|
                              "constructor")
                          |origin|)
-                        ('T (|dbGetDisplayFormForOp| |op| |sig| |doc|))))
+                        (t (|dbGetDisplayFormForOp| |op| |sig| |doc|))))
              (|htSayStandard| "\\newline")
              (COND
                (|exactlyOneOpSig| (|htSay| (|menuButton|)))
-               ('T
+               (t
                 (|htMakePage|
                     (CONS (CONS '|bcLinks|
                                 (CONS (CONS (|menuButton|)
@@ -18046,7 +18044,7 @@
                                (|quickForm2HtString|
                                    (ifcar (IFCDR |args|)))
                                "}"))
-                     ('T
+                     (t
                       (COND
                         ((AND |unexposed?| |$includeUnexposed?|)
                          (|htSayUnexposed|)))
@@ -18060,7 +18058,7 @@
                                   "attribute")
                               (NULL |args|))
                          '|skip|)
-                        ('T (|htSay| "(")
+                        (t (|htSay| "(")
                          (COND
                            ((IFCAR |args|)
                             (|htSay| "{\\em "
@@ -18093,7 +18091,7 @@
                 (setq |$signature|
                          (COND
                            ((member |conname| |$Primitives|) NIL)
-                           ('T
+                           (t
                             (CDAR (|getConstructorModemap| |conname|)))))
                 (setq |tvarlist|
                          (TAKE (|#| |$conargs|)
@@ -18110,7 +18108,7 @@
                          |sig|)
                         ((NEQUAL |$conkind| "package")
                          |sig|)
-                        ('T
+                        (t
                          (setq |symbolsUsed|
                                   (PROG (G179491)
                                     (setq G179491 NIL)
@@ -18156,7 +18154,7 @@
                                      NIL))
                                NIL)
                             (SEQ (EXIT (PROGN
-                                         (|htSayIndentRel| 15 'T)
+                                         (|htSayIndentRel| 15 t)
                                          (setq |position|
                                           (ifcar |relatives|))
                                          (setq |relatives|
@@ -18174,7 +18172,7 @@
                                                    (CONS |a| NIL))))
                                                 NIL))
                                               NIL)))
-                                           ('T
+                                           (t
                                             (|htSay|
                                              "{\\em "
                                              (|form2HtString| |a|)
@@ -18184,17 +18182,17 @@
                                           (IFCDR |coSig|))
                                          (|htSayValue| |t|)
                                          (|htSayIndentRel|
-                                          (- 15) 'T)
+                                          (- 15) t)
                                          (|htSayStandard|
                                           "\\newline ")))))))
                 (COND
-                  ((CAR |$sig|) (setq |$displayReturnValue| 'T)
+                  ((CAR |$sig|) (setq |$displayReturnValue| t)
                    (|htSayStandard| "\\newline\\tab{2}")
                    (|htSay| "{\\em Returns:}")
-                   (|htSayIndentRel| 15 'T)
+                   (|htSayIndentRel| 15 t)
                    (|htSayValue| (CAR |$sig|))
-                   (|htSayIndentRel| (- 15) 'T))
-                  ('T NIL))))
+                   (|htSayIndentRel| (- 15) t))
+                  (t NIL))))
              (COND
                ((AND |origin|
                      (OR |$generalSearch?| (NEQUAL |origin| |conform|))
@@ -18207,7 +18205,7 @@
                                   (|opOf| |origin|)))
                         |$includeUnexposed?|)
                    (|htSayUnexposed|)))
-                (|bcConform| |origin| 'T)
+                (|bcConform| |origin| t)
                 (|htSayIndentRel| (- 15))))
              (COND
                ((NULL (member |predicate| '(T ASCONST)))
@@ -18227,7 +18225,7 @@
                   (SEQ (EXIT (PROGN
                                (|htSayIndentRel| 15 (> |count| 1))
                                (setq |firstTime| NIL)
-                               (|bcPred| |p| |$conform| 'T)
+                               (|bcPred| |p| |$conform| t)
                                (|htSayIndentRel| (- 15)
                                    (> |count| 1))
                                (|htSayStandard|
@@ -18236,18 +18234,18 @@
                (|$whereList| (setq |count| (|#| |$whereList|))
                    (|htSayStandard|
                        "\\newline\\tab{2}{\\em Where:}")
-                   (setq |firstTime| 'T)
+                   (setq |firstTime| t)
                    (COND
                      ((|assoc| '$ |$whereList|)
-                      (|htSayIndentRel| 15 'T)
+                      (|htSayIndentRel| 15 t)
                       (|htSayStandard| "{\\em \\$} is ")
                       (|htSay| (COND
                                  ((BOOT-EQUAL |$conkind|
                                       "category")
                                   "of category ")
-                                 ('T "the domain ")))
-                      (|bcConform| |conform| 'T 'T)
-                      (|htSayIndentRel| (- 15) 'T)))
+                                 (t "the domain ")))
+                      (|bcConform| |conform| t t)
+                      (|htSayIndentRel| (- 15) t)))
                    (DO ((G179556 |$whereList| (CDR G179556))
                         (G179464 NIL))
                        ((OR (ATOM G179556)
@@ -18280,7 +18278,7 @@
                      (OR (NULL (AND (CONSP |doc|) (EQ (QCDR |doc|) NIL)
                                     (PROGN
                                       (setq |d| (QCAR |doc|))
-                                      'T)))
+                                      t)))
                          (NEQUAL |d| "")))
                 (|htSayStandard|
                     "\\newline\\tab{2}{\\em Description:}")
@@ -18288,7 +18286,7 @@
                 (COND
                   ((BOOT-EQUAL |doc| |$charFauxNewline|)
                    (|htSay| #\newline))
-                  ('T
+                  (t
                    (setq |ndoc|
                             (COND
                               ((CONSP |doc|)
@@ -18310,7 +18308,7 @@
                                          (SUBSTITUTE #\newline
                                           |$charFauxNewline| |i|)
                                          G179567))))))))
-                              ('T
+                              (t
                                (SUBSTITUTE #\newline
                                    |$charFauxNewline| |doc|))))
                    (|htSay| |ndoc|)))
@@ -18389,7 +18387,7 @@
                                      (CONS (princ-to-string |m|)
                                       (CONS "}\\tab{-2}"
                                        NIL))))
-                       ('T
+                       (t
                         (CONS "\\indent{"
                               (CONS (princ-to-string |m|)
                                     (CONS "}\\tab{0}" NIL))))))
@@ -18405,7 +18403,7 @@
   (declare (special |$atLeastOneUnexposed|))
   (PROGN
     (|htSay| "{\\em *}")
-    (setq |$atLeastOneUnexposed| 'T)))
+    (setq |$atLeastOneUnexposed| t)))
 
 ;--=======================================================================
 ;--                       Page Operations
@@ -18427,14 +18425,14 @@
 ;  null skip => htSayStandard '"\beginmenu "
 ;  nil
 
-(defun |htBeginMenu| (&REST G179703 &AUX |options| |kind|)
-  (DSETQ (|kind| . |options|) G179703)
+(defun |htBeginMenu| (&REST G179703 &AUX |options| kind)
+  (DSETQ (kind . |options|) G179703)
    (unless (ifcar |options|) (|htSayStandard| "\\beginmenu ")))
 
 ;htEndMenu(kind) ==
 ;  htSayStandard '"\endmenu "
 
-(defun |htEndMenu| (|kind|)
+(defun |htEndMenu| (kind)
   (|htSayStandard| "\\endmenu "))
 
 ;htSayConstructorName(nameShown, name) ==
@@ -18479,11 +18477,11 @@
     (RETURN
       (SEQ (COND
              ((AND (CONSP |options|) (EQ (QCDR |options|) NIL)
-                   (PROGN (setq |n| (QCAR |options|)) 'T))
+                   (PROGN (setq |n| (QCAR |options|)) t))
               (|htSayStandard|
                   (STRCONC "\\space{" (princ-to-string |n|)
                            "}")))
-             ('T (|htSayStandard| "\\space{1}")))))))
+             (t (|htSayStandard| "\\space{1}")))))))
 
 ;unTab s ==
 ;  STRINGP s => unTab1 s
@@ -18494,7 +18492,7 @@
   (COND
     ((STRINGP |s|) (|unTab1| |s|))
     ((ATOM |s|) |s|)
-    ('T (CONS (|unTab1| (CAR |s|)) (CDR |s|)))))
+    (t (CONS (|unTab1| (CAR |s|)) (CDR |s|)))))
 
 ;unTab1 s ==
 ;  STRING_<('"\tab{", s) = 5 and (k := charPosition(char '_}, s, 4)) =>
@@ -18508,7 +18506,7 @@
         ((AND (EQL (STRING< "\\tab{" |s|) 5)
               (setq |k| (|charPosition| #\} |s| 4)))
          (SUBSTRING |s| (+ |k| 1) NIL))
-        ('T |s|)))))
+        (t |s|)))))
 
 ;satBreak() ==
 ;  htSayStandard '"\item "
@@ -18748,195 +18746,185 @@
 ;    val:= [fun,signature',e]
 ;    [fun,['Mapping,:signature'],oldE] -- oldE:= put($op,'value,removeEnv val,e)
 
-(defun |compDefineCapsuleFunction| (|df| |m| |oldE| |$prefix| |$formalArgList|)
-  (DECLARE (SPECIAL |$prefix| |$formalArgList| |$FormalFunctionParameterList|
+(defun |compDefineCapsuleFunction| (df m oldE |$prefix| |$formalArgList|)
+  (declare (special |$prefix| |$formalArgList| |$FormalFunctionParameterList|
                     |$signatureOfForm| |$functionLocations| |$profileCompiler|
                     |$functorStats|))
-  (PROG (|$form| |$op| |$functionStats| |$argumentConditionList|
+  (prog (|$form| |$op| |$functionStats| |$argumentConditionList|
                  |$finalEnv| |$initCapsuleErrorCount|
                  |$insideCapsuleFunctionIfTrue| |$CapsuleModemapFrame|
                  |$CapsuleDomainsInScope| |$insideExpressionIfTrue|
-                 |form| |signature| |body| |LETTMP#1| |lineNumber|
-                 |specialCases| |argl| |identSig| |argModeList|
-                 |signature'| |e| |rettype| |ISTMP#1| |localOrExported|
-                 |formattedSig| T$ |catchTag| |body'| |finalBody| |fun| |val|)
-    (DECLARE (SPECIAL |$form| |$op| |$functionStats|
+                 form signature body tmp1 lineNumber
+                 specialCases argl identSig argModeList
+                 signatureq e rettype t1 localOrExported
+                 formattedSig td catchTag bodyq finalBody fun val)
+    (declare (special |$form| |$op| |$functionStats|
                       |$argumentConditionList| |$finalEnv|
                       |$initCapsuleErrorCount|
                       |$insideCapsuleFunctionIfTrue|
                       |$CapsuleModemapFrame| |$CapsuleDomainsInScope|
                       |$insideExpressionIfTrue|))
-    (RETURN
-      (SEQ (PROGN
-             (setq |form| (CADR |df|))
-             (setq |signature| (CADDR |df|))
-             (setq |specialCases| (CADDDR |df|))
-             (setq |body| (CAR (CDDDDR |df|)))
-             (setq |LETTMP#1| |specialCases|)
-             (setq |lineNumber| (CAR |LETTMP#1|))
-             (setq |specialCases| (CDR |LETTMP#1|))
-             (setq |e| |oldE|)
-             (setq |$form| NIL)
-             (setq |$op| NIL)
-             (setq |$functionStats| (CONS 0 (CONS 0 NIL)))
-             (setq |$argumentConditionList| NIL)
-             (setq |$finalEnv| NIL)
-             (setq |$initCapsuleErrorCount|
-                      (|#| |$semanticErrorStack|))
-             (setq |$insideCapsuleFunctionIfTrue| 'T)
-             (setq |$CapsuleModemapFrame| |e|)
+    (return
+      (seq (progn
+             (setq form (cadr df))
+             (setq signature (caddr df))
+             (setq specialcases (cadddr df))
+             (setq body (car (cddddr df)))
+             (setq tmp1 specialcases)
+             (setq linenumber (car tmp1))
+             (setq specialcases (cdr tmp1))
+             (setq e oldE)
+             (setq |$form| nil)
+             (setq |$op| nil)
+             (setq |$functionStats| (cons 0 (cons 0 nil)))
+             (setq |$argumentConditionList| nil)
+             (setq |$finalEnv| nil)
+             (setq |$initCapsuleErrorCount| (|#| |$semanticErrorStack|))
+             (setq |$insideCapsuleFunctionIfTrue| t)
+             (setq |$CapsuleModemapFrame| e)
              (setq |$CapsuleDomainsInScope|
-                      (|get| '|$DomainsInScope| 'special |e|))
-             (setq |$insideExpressionIfTrue| 'T)
-             (setq |$returnMode| |m|)
-             (setq |$op| (CAR |form|))
-             (setq |argl| (CDR |form|))
-             (setq |$form| (CONS |$op| |argl|))
-             (setq |argl| (|stripOffArgumentConditions| |argl|))
+               (|get| '|$DomainsInScope| 'special e))
+             (setq |$insideExpressionIfTrue| t)
+             (setq |$returnMode| m)
+             (setq |$op| (car form))
+             (setq argl (cdr form))
+             (setq |$form| (cons |$op| argl))
+             (setq argl (|stripOffArgumentConditions| argl))
              (setq |$formalArgList|
-                      (APPEND |argl| |$formalArgList|))
-             (setq |argModeList|
-                      (COND
-                        ((setq |identSig|
-                                  (|hasSigInTargetCategory| |argl|
-                                      |form| (CAR |signature|) |e|))
-                         (setq |e|
-                                  (|checkAndDeclare| |argl| |form|
-                                      |identSig| |e|))
-                         (CDR |identSig|))
-                        ('T
-                         (PROG (G179836)
-                           (setq G179836 NIL)
-                           (RETURN
-                             (DO ((G179841 |argl| (CDR G179841))
-                                  (|a| NIL))
-                                 ((OR (ATOM G179841)
-                                      (PROGN
-                                        (SETQ |a| (CAR G179841))
-                                        NIL))
-                                  (NREVERSE0 G179836))
-                               (SEQ (EXIT
-                                     (SETQ G179836
-                                      (CONS
-                                       (|getArgumentModeOrMoan| |a|
-                                        |form| |e|)
-                                       G179836))))))))))
-             (setq |argModeList|
-                      (|stripOffSubdomainConditions| |argModeList|
-                          |argl|))
-             (setq |signature'|
-                      (CONS (CAR |signature|) |argModeList|))
-             (COND
-               ((NULL |identSig|)
-                (setq |oldE|
+                      (append argl |$formalArgList|))
+             (setq argModeList
+                      (cond
+                        ((setq identSig
+                                  (|hasSigInTargetCategory| argl
+                                      form (car signature) e))
+                         (setq e (|checkAndDeclare| argl form identSig e))
+                         (cdr identSig))
+                        (t
+                         (prog (g1)
+                           (setq g1 nil)
+                           (return
+                             (do ((g2 argl (cdr g2)) (a NIL))
+                                 ((or (atom g2)
+                                      (progn
+                                        (setq a (car g2))
+                                        nil))
+                                  (nreverse0 g1))
+                               (seq (exit
+                                     (setq g1
+                                      (cons
+                                       (|getArgumentModeOrMoan| a
+                                        form e)
+                                       g1))))))))))
+             (setq argModeList
+                      (|stripOffSubdomainConditions| argModeList
+                          argl))
+             (setq signatureq (cons (car signature) argModeList))
+             (cond
+               ((null identSig)
+                (setq oldE
                          (|put| |$op| '|mode|
-                                (CONS '|Mapping| |signature'|) |oldE|))))
-             (COND
-               ((NULL (CAR |signature'|))
-                (setq |signature'|
-                         (COND
-                           (|identSig| |identSig|)
-                           ('T
-                            (OR (|getSignature| |$op|
-                                    (CDR |signature'|) |e|)
-                                (RETURN NIL)))))))
-             (setq |signature'|
-                      (SUBLISLIS |argl| |$FormalFunctionParameterList|
-                          |signature'|))
-             (setq |e| (|giveFormalParametersValues| |argl| |e|))
-             (setq |$signatureOfForm| |signature'|)
+                                (cons '|Mapping| signatureq) oldE))))
+             (cond
+               ((null (car signatureq))
+                (setq signatureq
+                         (cond
+                           (identSig identSig)
+                           (t
+                            (or (|getSignature| |$op| (cdr signatureq) e)
+                                (return nil)))))))
+             (setq signatureq
+                      (sublislis argl |$FormalFunctionParameterList|
+                          signatureq))
+             (setq e (|giveFormalParametersValues| argl e))
+             (setq |$signatureOfForm| signatureq)
              (setq |$functionLocations|
-                      (CONS (CONS (CONS |$op|
-                                        (CONS |$signatureOfForm| NIL))
-                                  |lineNumber|)
+                      (cons (cons (cons |$op|
+                                        (cons |$signatureOfForm| nil))
+                                  lineNumber)
                             |$functionLocations|))
-             (setq |e| (|addDomain| (CAR |signature'|) |e|))
-             (setq |e| (|compArgumentConditions| |e|))
-             (COND
+             (setq e (|addDomain| (car signatureq) e))
+             (setq e (|compArgumentConditions| e))
+             (cond
                (|$profileCompiler|
-                   (DO ((G179851 |argl| (CDR G179851)) (|x| NIL)
-                        (G179852 (CDR |signature'|) (CDR G179852))
-                        (|t| NIL))
-                       ((OR (ATOM G179851)
-                            (PROGN (SETQ |x| (CAR G179851)) NIL)
-                            (ATOM G179852)
-                            (PROGN (SETQ |t| (CAR G179852)) NIL))
-                        NIL)
-                     (SEQ (EXIT (|profileRecord| '|arguments| |x| |t|))))))
-             (DO ((G179864 |signature'| (CDR G179864))
-                  (|domain| NIL))
-                 ((OR (ATOM G179864)
-                      (PROGN (SETQ |domain| (CAR G179864)) NIL))
-                  NIL)
-               (SEQ (EXIT (setq |e| (|addDomain| |domain| |e|)))))
-             (setq |rettype|
-                      (|resolve| (CAR |signature'|) |$returnMode|))
-             (setq |localOrExported|
-                      (COND
-                        ((AND (NULL (|member| |$op| |$formalArgList|))
-                              (PROGN
-                                (setq |ISTMP#1|
-                                         (|getmode| |$op| |e|))
-                                (AND (CONSP |ISTMP#1|)
-                                     (EQ (QCAR |ISTMP#1|) '|Mapping|))))
+                   (do ((g1 argl (cdr g1)) (x nil)
+                        (g2 (cdr signatureq) (cdr g2))
+                        (tt nil))
+                       ((or (atom g1)
+                            (progn (setq x (car g1)) nil)
+                            (atom g2)
+                            (progn (setq tt (car g2)) nil))
+                        nil)
+                     (seq (exit (|profileRecord| '|arguments| x tt))))))
+             (do ((g1 signatureq (cdr g1)) (|domain| nil))
+                 ((or (atom g1)
+                      (progn (setq |domain| (car g1)) nil))
+                  nil)
+               (seq (exit (setq e (|addDomain| |domain| e)))))
+             (setq rettype (|resolve| (car signatureq) |$returnMode|))
+             (setq localOrExported
+                      (cond
+                        ((and (null (|member| |$op| |$formalArgList|))
+                              (progn
+                                (setq t1 (|getmode| |$op| e))
+                                (and (consp t1)
+                                     (eq (qcar t1) '|Mapping|))))
                          '|local|)
-                        ('T '|exported|)))
-             (setq |formattedSig|
+                        (t '|exported|)))
+             (setq formattedSig
                       (|formatUnabbreviated|
-                          (CONS '|Mapping| |signature'|)))
-             (COND
-               ((AND |$compileOnlyCertainItems|
-                     (NULL (|member| |$op| |$compileOnlyCertainItems|)))
+                          (cons '|Mapping| signatureq)))
+             (cond
+               ((and |$compileOnlyCertainItems|
+                     (null (|member| |$op| |$compileOnlyCertainItems|)))
                 (|sayBrightly|
-                    (CONS "   skipping "
-                          (CONS |localOrExported| (|bright| |$op|))))
-                (CONS NIL
-                      (CONS (CONS '|Mapping| |signature'|)
-                            (CONS |oldE| NIL))))
-               ('T
+                    (cons "   skipping "
+                          (cons localOrExported (|bright| |$op|))))
+                (cons nil
+                      (cons (cons '|Mapping| signatureq)
+                            (cons oldE nil))))
+               (t
                 (|sayBrightly|
-                    (CONS "   compiling "
-                          (CONS |localOrExported|
-                                (APPEND (|bright| |$op|)
-                                        (CONS ": "
-                                         |formattedSig|)))))
-               (setq T$
-                            (OR (CATCH '|compCapsuleBody|
-                                  (|compOrCroak| |body| |rettype| |e|))
-                                (CONS (INTERN "" "BOOT")
-                                      (CONS |rettype| (CONS |e| NIL)))))
-                (|NRTassignCapsuleFunctionSlot| |$op| |signature'|)
-                (setq |catchTag| (MKQ (GENSYM)))
-                (setq |fun|
-                         (PROGN
-                           (setq |body'|
-                                    (|replaceExitEtc| (CAR T$)
-                                     |catchTag| '|TAGGEDreturn|
+                    (cons "   compiling "
+                          (cons localOrExported
+                                (append (|bright| |$op|)
+                                        (cons ": " formattedSig)))))
+               (setq td
+                            (or (catch '|compCapsuleBody|
+                                  (|compOrCroak| body rettype e))
+                                (cons (intern "" "BOOT")
+                                      (cons rettype (cons e nil)))))
+                (|NRTassignCapsuleFunctionSlot| |$op| signatureq)
+                (setq catchTag (mkq (gensym)))
+                (setq fun
+                         (progn
+                           (setq bodyq
+                                    (|replaceExitEtc| (CAR td)
+                                     catchTag '|TAGGEDreturn|
                                      |$returnMode|))
-                           (setq |body'|
-                                    (|addArgumentConditions| |body'|
+                           (setq bodyq
+                                    (|addArgumentConditions| bodyq
                                      |$op|))
-                           (setq |finalBody|
-                                    (CONS 'CATCH
-                                     (CONS |catchTag|
-                                      (CONS |body'| NIL))))
+                           (setq finalBody
+                                    (cons 'catch
+                                     (cons catchTag
+                                      (cons bodyq nil))))
                            (|compileCases|
-                               (CONS |$op|
-                                     (CONS
-                                      (CONS 'LAM
-                                       (CONS
-                                        (APPEND |argl| (CONS '$ NIL))
-                                        (CONS |finalBody| NIL)))
-                                      NIL))
-                               |oldE|)))
+                               (cons |$op|
+                                     (cons
+                                      (cons 'lam
+                                       (cons
+                                        (append argl (cons '$ nil))
+                                        (cons finalBody nil)))
+                                      nil))
+                               oldE)))
                 (setq |$functorStats|
                          (|addStats| |$functorStats| |$functionStats|))
-                (setq |val|
-                         (CONS |fun|
-                               (CONS |signature'| (CONS |e| NIL))))
-                (CONS |fun|
-                      (CONS (CONS '|Mapping| |signature'|)
-                            (CONS |oldE| NIL))))))))))
+                (setq val
+                         (cons fun
+                               (cons signatureq (cons e nil))))
+                (cons fun
+                      (cons (cons '|Mapping| signatureq)
+                            (cons oldE nil))))))))))
 
 ;--from postpar
 ;--------------------> NEW DEFINITION (override in postpar.boot.pamphlet)
@@ -18948,25 +18936,25 @@
 
 ;;;     ***       |postSignature| REDEFINED
 
-(defun |postSignature| (G179951)
-  (PROG (|sig| |sig1| |op|)
-    (RETURN
-      (PROGN
-        (setq |op| (CADR G179951))
-        (setq |sig| (CADDR G179951))
-        (COND
-          ((AND (CONSP |sig|) (EQ (QCAR |sig|) '->))
-           (PROGN
-             (setq |sig1| (|postType| |sig|))
-             (setq |op|
+(defun |postSignature| (arg)
+  (prog (sig sig1 op)
+    (return
+      (progn
+        (setq op (cadr arg))
+        (setq sig (caddr arg))
+        (cond
+          ((and (consp sig) (eq (qcar sig) '->))
+           (progn
+             (setq sig1 (|postType| sig))
+             (setq op
                       (postAtom
-                          (COND
-                            ((STRINGP |op|) (INTERN |op|))
-                            ('T |op|))))
-             (CONS 'SIGNATURE
-                   (CONS |op|
+                          (cond
+                            ((stringp op) (intern op))
+                            (t op))))
+             (cons 'signature
+                   (cons op
                          (|removeSuperfluousMapping|
-                             (|killColons| (|postDoubleSharp| |sig1|))))))))))))
+                             (|killColons| (|postDoubleSharp| sig1))))))))))))
 
 ;postDoubleSharp sig ==
 ;  sig is [['Mapping,target,:r]] =>
@@ -18975,28 +18963,28 @@
 ;        :r]]
 ;  sig
 
-(defun |postDoubleSharp| (|sig|)
-  (PROG (|ISTMP#1| |ISTMP#2| |target| |r|)
+(defun |postDoubleSharp| (sig)
+  (prog (t1 t2 target r)
   (declare (special |$FormalFunctionParameterList|))
-    (RETURN
-      (COND
-        ((AND (CONSP |sig|) (EQ (QCDR |sig|) NIL)
-              (PROGN
-                (setq |ISTMP#1| (QCAR |sig|))
-                (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|Mapping|)
-                     (PROGN
-                       (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (CONSP |ISTMP#2|)
-                            (PROGN
-                              (setq |target| (QCAR |ISTMP#2|))
-                              (setq |r| (QCDR |ISTMP#2|))
-                              'T))))))
-         (CONS (CONS '|Mapping|
-                     (CONS (SUBLISLIS |$FormalFunctionParameterList|
-                               |$FormalMapVariableList| |target|)
-                           |r|))
-               NIL))
-        ('T |sig|)))))
+    (return
+      (cond
+        ((and (consp sig) (eq (qcdr sig) nil)
+              (progn
+                (setq t1 (qcar sig))
+                (and (consp t1) (eq (qcar t1) '|Mapping|)
+                     (progn
+                       (setq t2 (qcdr t1))
+                       (and (consp t2)
+                            (progn
+                              (setq target (qcar t2))
+                              (setq r (qcdr t2))
+                              t))))))
+         (cons (cons '|Mapping|
+                     (cons (sublislis |$FormalFunctionParameterList|
+                               |$FormalMapVariableList| target)
+                           r))
+               nil))
+        (t sig)))))
 
 ;-- override in  br-util.boot.pamphlet
 ;bcConform1 form == main where
@@ -19064,127 +19052,126 @@
 ;    bcHt escapeSpecialIds princ-to-string x
 ;    if $italics? then bcHt '"}"
 
-(defun |bcConform1,say| (|x|)
+(defun |bcConform1,say| (arg)
   (declare (special |$italics?|))
-  (SEQ (IF |$italics?| (|bcHt| "{\\em ") NIL)
-       (IF (BOOT-EQUAL |x| '|etc|) (setq |x| "...")
-           NIL)
-       (|bcHt| (|escapeSpecialIds| (princ-to-string |x|)))
-       (EXIT (IF |$italics?| (|bcHt| "}") NIL))))
-
-(defun |bcConform1,tl| (|u|)
-  (PROG (|firstTime|)
-    (RETURN
-      (SEQ (|bcHt| "(") (setq |firstTime| 'T)
-           (DO ((G180021 |u| (CDR G180021)) (|x| NIL))
-               ((OR (ATOM G180021)
-                    (PROGN (SETQ |x| (CAR G180021)) NIL))
-                NIL)
-             (SEQ (IF (NULL |firstTime|) (|bcHt| ",") NIL)
-                  (setq |firstTime| NIL)
-                  (EXIT (|bcConform1,hd| |x|))))
-           (EXIT (|bcHt| ")"))))))
-
-(defun |bcConform1,tuple| (|u|)
-  (SEQ (IF (NULL |u|) (EXIT (|bcHt| "()")))
-       (IF (NULL (CDR |u|)) (EXIT (|bcConform1,hd| |u|)))
-       (|bcHt| "(") (|bcConform1,hd| (CAR |u|))
-       (DO ((G180035 (CDR |u|) (CDR G180035)) (|x| NIL))
-           ((OR (ATOM G180035)
-                (PROGN (SETQ |x| (CAR G180035)) NIL))
-            NIL)
-         (SEQ (|bcHt| ",") (EXIT (|bcConform1,hd| |x|))))
-       (EXIT (|bcHt| ")"))))
-
-(defun |bcConform1,mapping| (G180044)
-  (PROG (|target| |source|)
-    (RETURN
-      (SEQ (PROGN
-             (setq |target| (CAR G180044))
-             (setq |source| (CDR G180044))
-             G180044
-             (SEQ (|bcConform1,tuple| |source|)
+  (seq (if |$italics?| (|bcHt| "{\\em ") nil)
+       (if (boot-equal arg '|etc|) (setq arg "...")
+           nil)
+       (|bcHt| (|escapeSpecialIds| (princ-to-string arg)))
+       (exit (if |$italics?| (|bcHt| "}") nil))))
+
+(defun |bcConform1,tl| (arg)
+  (prog (firstTime)
+    (return
+      (seq (|bcHt| "(") (setq firstTime t)
+           (do ((t1 arg (cdr t1)) (x nil))
+               ((or (atom t1)
+                    (progn (setq x (car t1)) nil))
+                nil)
+             (seq (if (null firstTime) (|bcHt| ",") nil)
+                  (setq firstTime nil)
+                  (exit (|bcConform1,hd| x))))
+           (exit (|bcHt| ")"))))))
+
+(defun |bcConform1,tuple| (arg)
+  (seq (if (null arg) (exit (|bcHt| "()")))
+       (if (null (cdr arg)) (exit (|bcConform1,hd| arg)))
+       (|bcHt| "(") (|bcConform1,hd| (car arg))
+       (do ((t1 (cdr arg) (cdr t1)) (x nil))
+           ((or (atom t1)
+                (progn (setq x (car t1)) nil))
+            nil)
+         (seq (|bcHt| ",") (exit (|bcConform1,hd| x))))
+       (exit (|bcHt| ")"))))
+
+(defun |bcConform1,mapping| (arg)
+  (prog (target source)
+    (return
+      (seq (progn
+             (setq target (car arg))
+             (setq source (cdr arg))
+             arg
+             (seq (|bcConform1,tuple| source)
                   (|bcHt| " -> ")
-                  (EXIT (|bcConform1,hd| |target|))))))))
+                  (exit (|bcConform1,hd| target))))))))
 
-(defun |bcConform1,hd| (|form|)
-  (PROG (|n| |s| |head| |r|)
+(defun |bcConform1,hd| (form)
+  (prog (n s head r)
   (declare (special |$italicHead?| |$bcMultipleNames| |$Primitives|
                     |$FormalFunctionParameterList| |$FormalMapVariableList|
                     |$italicHead?|))
-    (RETURN
-      (SEQ (IF (ATOM |form|)
-               (EXIT (SEQ (IF (AND (NULL (member |form| |$Primitives|))
-                                   (NULL (|constructor?| |form|)))
-                              (EXIT (SEQ
-                                     (setq |s| (princ-to-string |form|))
-                                     (IF
-                                      (BOOT-EQUAL (ELT |s| 0)
+    (return
+      (seq (if (atom form)
+               (exit (seq (if (and (null (member form |$Primitives|))
+                                   (null (|constructor?| form)))
+                              (exit (seq
+                                     (setq s (princ-to-string form))
+                                     (if
+                                      (boot-equal (elt s 0)
                                        #\#)
-                                      (EXIT
-                                       (SEQ
-                                        (IF
-                                         (setq |n|
-                                          (POSN1 |form|
+                                      (exit
+                                       (seq
+                                        (if
+                                         (setq n
+                                          (posn1 form
                                            |$FormalFunctionParameterList|))
-                                         (EXIT
+                                         (exit
                                           (|htSay|
                                            (|form2HtString|
-                                            (ELT
+                                            (elt
                                              |$FormalMapVariableList|
-                                             |n|)))))
+                                             n)))))
                                         (|htSay| "\\")
-                                        (EXIT (|htSay| |form|)))))
-                                     (EXIT
+                                        (exit (|htSay| form)))))
+                                     (exit
                                       (|htSay|
                                        (|escapeSpecialChars|
-                                        (princ-to-string |form|)))))))
-                          (setq |s| (princ-to-string |form|))
-                          (IF |$italicHead?|
-                              (EXIT (|htSayItalics| |s|)))
-                          (IF |$bcMultipleNames|
-                              (EXIT (|satTypeDownLink| |s|
-                                     (CONS
-                                                                             "(|conPageChoose| '|"
-                                      (CONS |s|
-                                       (CONS "|)" NIL))))))
-                          (EXIT (|satTypeDownLink| |s|
-                                    (CONS '|(\|conPage\| '\||
-                                     (CONS |s|
-                                      (CONS "|)" NIL))))))))
-           (IF (BOOT-EQUAL (setq |head| (QCAR |form|)) 'QUOTE)
-               (EXIT (SEQ (|htSay| "'")
-                          (EXIT (|bcConform1,hd| (CADR |form|))))))
-           (IF (BOOT-EQUAL |head| 'SIGNATURE)
-               (EXIT (SEQ (|htSay| (CADR |form|) ": ")
-                          (EXIT (|bcConform1,mapping| (CADDR |form|))))))
-           (IF (AND (BOOT-EQUAL |head| '|Mapping|) (CDR |form|))
-               (EXIT (IF (CDR |form|)
-                         (EXIT (|bcConform1,mapping| (CDR |form|))))))
-           (IF (BOOT-EQUAL |head| '|:|)
-               (EXIT (SEQ (|bcConform1,hd| (CADR |form|))
+                                        (princ-to-string form)))))))
+                          (setq s (princ-to-string form))
+                          (if |$italicHead?|
+                              (exit (|htSayItalics| s)))
+                          (if |$bcMultipleNames|
+                              (exit (|satTypeDownLink| s
+                                     (cons "(|conPageChoose| '|"
+                                      (cons s
+                                       (cons "|)" nil))))))
+                          (exit (|satTypeDownLink| s
+                                    (cons '|(\|conPage\| '\||
+                                     (cons s
+                                      (cons "|)" nil))))))))
+           (if (boot-equal (setq head (qcar form)) 'quote)
+               (exit (seq (|htSay| "'")
+                          (exit (|bcConform1,hd| (cadr form))))))
+           (if (boot-equal head 'signature)
+               (exit (seq (|htSay| (cadr form) ": ")
+                          (exit (|bcConform1,mapping| (caddr form))))))
+           (if (and (boot-equal head '|Mapping|) (cdr form))
+               (exit (if (cdr form)
+                         (exit (|bcConform1,mapping| (cdr form))))))
+           (if (boot-equal head '|:|)
+               (exit (seq (|bcConform1,hd| (cadr form))
                           (|htSay| ": ")
-                          (EXIT (|bcConform1,hd| (CADDR |form|))))))
-           (IF (AND (QCDR |form|) (|dbEvalableConstructor?| |form|))
-               (EXIT (|bcConstructor| |form| |head|)))
-           (|bcConform1,hd| |head|)
-           (IF (NULL (setq |r| (QCDR |form|))) (EXIT NIL))
-           (EXIT (|bcConform1,tl| (QCDR |form|)))))))
-
- (defun |bcConform1| (|form|)
-  (PROG (|ISTMP#1| |form1| |pred|)
-    (RETURN
-      (COND
-        ((AND (CONSP |form|) (EQ (QCAR |form|) '|ifp|)
-              (PROGN
-                (setq |ISTMP#1| (QCDR |form|))
-                (AND (CONSP |ISTMP#1|)
-                     (PROGN
-                       (setq |form1| (QCAR |ISTMP#1|))
-                       (setq |pred| (QCDR |ISTMP#1|))
-                       'T))))
-         (|bcConform1,hd| |form1|) (|bcPred| |pred|))
-        ('T (|bcConform1,hd| |form|))))))
+                          (exit (|bcConform1,hd| (caddr form))))))
+           (if (and (qcdr form) (|dbEvalableConstructor?| form))
+               (exit (|bcConstructor| form head)))
+           (|bcConform1,hd| head)
+           (if (null (setq r (qcdr form))) (exit nil))
+           (exit (|bcConform1,tl| (qcdr form)))))))
+
+ (defun |bcConform1| (form)
+  (prog (t1 form1 pred)
+    (return
+      (cond
+        ((and (consp form) (eq (qcar form) '|ifp|)
+              (progn
+                (setq t1 (qcdr form))
+                (and (consp t1)
+                     (progn
+                       (setq form1 (qcar t1))
+                       (setq pred (qcdr t1))
+                       t))))
+         (|bcConform1,hd| form1) (|bcPred| pred))
+        (t (|bcConform1,hd| form))))))
 
 \end{chunk}
 \eject
-- 
1.7.5.4

